
create function getKinmuTime(iTime varchar(4),oTime varchar(4),rTime varchar(4))
returns varchar(4)
begin
declare fromH    varchar(255);
declare fromM    varchar(255);
declare toH      varchar(255);
declare toM      varchar(255);
declare restH    varchar(255);
declare restM    varchar(255);
declare TmpFrom  varchar(255);
declare TmpTo    varchar(255);
declare TmpRest  varchar(255);
declare Tmpotime varchar(255);
declare TmpWork  varchar(255);
declare rest     varchar(255);
declare mini     varchar(255);
declare workH    varchar(255);
declare workM    varchar(255);

if isnull(iTime) then return null; end if;
if isnull(oTime) then return null; end if;
if isnull(rTime) then return null; end if;

set fromH = substring(iTime,1,2);
set fromM = substring(iTime,3,2);
set toH   = substring(oTime,1,2);
set toM   = substring(oTime,3,2);
set restH = substring(rTime,1,2);
set restM = substring(rTime,3,2);

set TmpFrom = concat_ws(':', fromH, fromM);
set TmpTo   = concat_ws(':', toH, toM);
set TmpRest = concat_ws(':', restH, restM);
select SUBTIME(TmpTo,TmpRest) into Tmpotime;
set TmpTo   = Tmpotime;
if iTime > oTime then
    set TmpTo = concat_ws(':', substring(TmpTo,1,2)+24, substring(TmpTo,4,2));
end if;
select SUBTIME(TmpTo,TmpFrom) into TmpWork;

return concat(substring(TmpWork,1,2),substring(TmpWork,4,2));
end
@
