
CREATE TABLE tbm_delivery_info (
  user_company_id DECIMAL(15) NOT NULL,
  group_id DECIMAL(15) NOT NULL,
  mail VARCHAR(255) NOT NULL,
  delivery_nm VARCHAR(255) NULL,
  mail_kb VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, group_id, mail)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_group_info (
  user_company_id DECIMAL(15) NOT NULL,
  group_id DECIMAL(15) NOT NULL,
  group_nm VARCHAR(255) NULL,
  exposition VARCHAR(255) NULL,
  formal_text_h TEXT NULL,
  formal_text_f TEXT NULL,
  owner_cd VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, group_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_send_record (
  user_company_id DECIMAL(15) NOT NULL,
  send_no DECIMAL(15) NOT NULL,
  send_time DATETIME NULL,
  user_cd VARCHAR(255) NULL,
  company_id DECIMAL(15) NULL,
  group_id DECIMAL(15) NULL,
  mail VARCHAR(255) NULL,
  delivery_nm VARCHAR(255) NULL,
  subject VARCHAR(255) NULL,
  mail_body TEXT NULL,
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, send_no)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

