
CREATE TABLE tbt_download_log (
  user_company_id DECIMAL(15) NOT NULL,
  log_id DECIMAL(15) NOT NULL,
  get_dt VARCHAR(32) NULL,
  user_cd VARCHAR(255) NULL,
  system_nm VARCHAR(255) NULL,
  get_resource_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, log_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_taku_send_record (
  user_company_id DECIMAL(15) NOT NULL,
  send_id DECIMAL(15) NOT NULL,
  user_cd VARCHAR(255) NULL,
  send_dt timestamp NULL,
  group_id DECIMAL(15) NULL,
  send_file_nm VARCHAR(255) NULL,
  file_keep_dt timestamp NULL,
  dengon_txt TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, send_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_taku_send_record_detail (
  user_company_id DECIMAL(15) NOT NULL,
  send_id DECIMAL(15) NOT NULL,
  send_eda_id DECIMAL(15) NOT NULL,
  send_mail VARCHAR(32) NULL,
  user_password VARCHAR(255) NULL,
  log_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, send_id, send_eda_id)
) with (FILLFACTOR=90);

