--
-- view structure for view tbv_appointment
--
create view tbv_appointment as
select
    a.user_company_id,
    a.appointment_id,
    a.user_cd,
    c.personal_nm as personal_nm,
    c.company_nm as company_nm,
    c.office_mail as mail,
    a.to_personal_id,
    b.personal_nm as to_personal_nm,
    b.company_nm as to_company_nm,
    b.office_mail as to_mail,
    b.user_cd as to_user_cd,
    b.password as password,
    a.appointment_dt,
    a.from_time,
    a.to_time,
    a.appointment_place,
    a.memo,
    a.confirm_mail_flg,
    a.status_kbn,
    a.ical_cd,
    a.doko_personal_ids,
    a.upd_date
from 
    tbt_appointment a
    left outer join tbv_personal_info b 
    on(a.user_company_id = b.user_company_id and a.to_personal_id = b.personal_id)
    left outer join tbv_personal_info c 
    on(a.user_company_id = c.user_company_id and a.user_cd = c.user_cd)
where 
     a.del_flg='0';
