
--
-- view structure for view tbv_bunsyo
--
create view tbv_bunsyo as
select a.user_company_id,
       b.document_id,
       b.document_nm,
       b.file_nm,
       b.document_ver,
       b.upd_date,
       b.upd_user_cd,
       e.personal_nm as upd_user_nm,
       a.bunrui_kb,
       a.bunrui_id,
       a.bunrui_kaiso,
       a.bunrui_kanri_cd,
       a.bunrui_cd,
       a.up_bunrui_id,
       a.bunrui1_id,
       a.bunrui1_nm,
       a.bunrui2_id,
       a.bunrui2_nm,
       a.bunrui3_id,
       a.bunrui3_nm,
       a.bunrui_nm,
       a.orderno
from   tbv_bunrui a 
       left outer join tbt_document_mng b
       on b.user_company_id = a.user_company_id and b.bunrui_kb = a.bunrui_kb and b.bunrui_id = a.bunrui_id and b.del_flg = '0'
       left outer join tbm_user_info c
       on b.user_company_id = c.user_company_id and b.upd_user_cd = c.user_cd 
--       left outer join tbm_employee_property d
--       on c.user_company_id = d.user_company_id and c.staff_cd = d.staff_cd 
       left outer join tbm_personal_base e
       on c.user_company_id = e.user_company_id and c.personal_id = e.personal_id 
where  a.bunrui_kb = '1';
