
--
-- view structure for view tbv_bihin
--
create view tbv_bihin as
select a.user_company_id,
       a.bihin_id,
       a.bihin_kanri_cd,
       a.bunrui_kb,
       a.bunrui_id,
       c.bunrui1_nm,
       c.bunrui2_nm,
       c.bunrui3_nm,
       c.bunrui_kaiso,
       c.bunrui1_id,
       c.bunrui2_id,
       c.bunrui3_id,
       a.bihin_nm,
       a.bihin_serial_cd,
       a.sisetubi_id,
       b.sisetubi_kb,
       b.code_syubetu_nm as sisetubi_kb_nm,
       b.sisetubi_nm,
       a.bihin_bar_cd,
       a.maker_id,
       a.buy_kb,
       a.bihin_buy_dt,
       a.bihin_lease_dt,
       a.bihin_lease_cd,
       a.bihin_haki_dt,
       a.bihin_yoto_txt,
       a.bihin_bk
from   tbm_bihin a 
       left outer join tbv_sisetubi b
       on a.user_company_id = b.user_company_id and a.sisetubi_id = b.sisetubi_id
       left outer join tbv_bunrui c
       on a.user_company_id = c.user_company_id and a.bunrui_kb = c.bunrui_kb and a.bunrui_id = c.bunrui_id
where  a.del_flg = '0';

