<?php
//=================================================================================
//画面項目名
//=================================================================================
/**
 * T   タイトル
 * H   ヘッダー
 * C_T コンテンツタイトル
 * TXT テキスト
 *
 * E   エラーメッセージ
 * I   メッセージ
 * B   ボタン
 * CL  カラム
 * FM  フォーム
 */

define('CL_LOGOFF', 'ログオフ');
define('CL_ADMIN', '管理者機能');
define('CL_MYACCOUNT', 'Myアカウント');

//---------------------------------------------------------------------------------
//共通
//---------------------------------------------------------------------------------
define('B_NM_BACK',         '戻る');
define('B_NM_NEXT',         '次へ');
define('B_APPROVE',         '承認');
define('B_REJECT',          '却下');

define('CL_HOME',           'ホーム');
define('CL_LOGONUSER',      'ログオンユーザー');

define('CL_NAMEKANA',       'ふりがな');
define('CL_MOBILE_MAIL',    '携帯MAILアドレス');
define('CL_PRESIDENT',      '代表者名');

define('CL_ADDRESS',        '住所');

//共通
define('CL_COMPANYID','利用会社');
define('CL_USERCD','ユーザーコード');
define('CL_USERORGANIZATION','ユーザー所属');
define('CL_USERNM','ユーザー名称');
define('CL_USERKN','ユーザーかな');
define('CL_STAFF','社員番号');
define('CL_PASSWD','パスワード');
define('CL_LEVEL','権限レベル');
define('CL_ICAL','iCalendar(ICS)保存場所');

define('CL_STATUS',         '状況');
define('CL_TAISYO_SELECT',  '対象選択');
define('CL_JISYATANTOSYA',  '自社担当者');
define('CL_IRAIMOTO',       '依頼元');
define('CL_ORGANIZATION',   '部署');
define('CL_REGUSER',        '登録者');
define('CL_TOROKU_ORGANIZATION','登録部署');
define('CL_TANTO',          '担当者');
define('CL_SIIRE',          '仕入先');
define('CL_DETAIL_SU',      '明細数');
define('CL_TOKUI',          '得意先');
define('CL_NOUKI',          '納期');

define('CL_EDANO',          '枝番');
define('CL_PRODUCT_NM_KIKAKU', '品名／規格');
define('CL_APPLY_FLG',      '消込');
define('CL_ITEM_CODE',      '商品コード');

define('TXT_UPDATE',        '更新');
define('TXT_SAVE',          '登録');
define('TXT_HACHU_REGIST',  '発注登録');
define('TXT_ORDER_REGIST',  '受注登録');
define('TXT_APPROVING',     '承認中');

define('B_NM_KARI_SIME',    '仮締処理');
define('B_NM_DO_SIME',      '締処理');
define('B_NM_REDO_SIME',    '再締処理');
define('C_NM_KARI_SIME',    '仮締処理を実行してよろしいですか？');
define('C_NM_DO_SIME',      '締処理を実行してよろしいですか？');
define('C_NM_REDO_SIME',    '再締処理してよろしいですか？');
define('I_DB_SIME',         '締処理は正常に処理されました');
define('I_DB_RE_SIME',      '再締処理は正常に処理されました');
define('E_DB_NO_DATA',      '処理対象データがありません');


define('CL_NOTE_02',        '再締処理では、作成済みの支払明細書のデータを破棄して、支払明細書データを再作成します');
define('CL_NOTE_01',        '当処理により上記支払年月分の内容で当月残高が確定します');
define('E_DB_SIME',         '前回支払年月は支払年月より大きいの場合、締処理できません');
define('E_DB_RE_SIME',      '前回支払年月は支払年月と違いの場合、再締処理できません');

//==================================================================================================
//MST
//==================================================================================================
define('CL_TOKUICD',          '得意先コード');
define('CL_TOKUINM',          '得意先名');

    //---------------------------------------------------------------------------------
    //CSR発注依頼管理
    //---------------------------------------------------------------------------------
    define('CL_HACHUIRAI_NO',           '発注依頼番号');
    define('CL_HACHU_NO',               '発注番号');
    define('CL_HACHUIRAI_TITLE',        '件名');
    define('CL_HACHUIRAI_KIN',          '発注金額合計');
    define('CL_HACHUIRAI_DATE',         '発注依頼日');
    define('CL_HACHUIRAI_APPROVE_DATE', '発注依頼承認日');
    define('CL_HACHUIRAI_LIMIT_DATE',   '発注依頼期限');
    define('CL_ORDER_REASON',           '購買理由');



define('COPYRIGHT','©2008 EXBRIDGE,Inc.');

//HTMLタイトル
define('TTL_PRODUCT','AURORA');

define('TTL_UAM','ユーザー権限管理システム');
define('TTL_CTM','勤怠管理システム');
define('TTL_CCM','顧客管理システム');
define('TTL_MDM','メール配信システム');
define('TTL_EAC','経費精算システム');
define('TTL_DOM','文書管理システム');
define('TTL_DMB','社内ファイル便システム');
define('TTL_FMS','備品管理システム');
define('TTL_IRM','施設設備予約管理システム');
define('TTL_MST','マスタ管理システム');
define('TTL_AOG','入荷管理システム');
define('TTL_SPM','出荷管理システム');
define('TTL_SMS','売上管理システム');
define('TTL_BMS','仕入管理システム');
define('TTL_SMM','販売管理システム');
define('TTL_WHS','入庫管理システム');
define('TTL_LFW','出庫管理システム');
define('TTL_INI','初期設定');
define('TTL_ACS','販売管理システム');
define('TTL_IMC','在庫管理システム');
define('TTL_TSC','棚卸管理システム');
define('TTL_MSB','伝言管理システム');
define('TTL_APM','アポイント管理システム');
define('TTL_SET','セットアップ');
define('TTL_SYS','システム管理');
define('TTL_RMS','資源管理システム');
define('TTL_INC','インシデント管理システム');
define('TTL_PRB','問題管理システム');
define('TTL_PID','支払管理システム');
define('TTL_BIL','請求管理システム');
define('TTL_PAY','出金管理システム');
define('TTL_ROM','入金管理システム');
define('TTL_CSR','依頼管理システム');
define('TTL_ESS','見積管理システム');
define('TTL_POC','買掛管理システム');
//ユーザー管理
define('TL_LOGON_TOP','ログオン');
define('TL_LOGON_LIST','ユーザー一覧');
define('TL_LOGON_SAVE','ユーザー登録');
define('TL_LOGON_GUEST','ゲスト登録');
define('TL_LOGON_OTHER','外部連携ユーザー登録');
define('TL_LOGON_IKKATU','一括登録');

//システム
define('TL_APPCONTROL','アプリケーション');
define('TL_TBVCONTROL','ビュー');
define('TL_CODECONTROL','コード');
define('TL_ZIPCODECONTROL','郵便番号');

//アポイント管理
define('TL_APPOINTMENT','My アポイント');

//伝言管理
define('TL_DENGON','My 伝言');

//メール配信
define('TL_LST_GROUP','グループ一覧');
define('TL_ADD_GROUP','グループ登録');
define('TL_LST_MEMBER','配信先一覧');
define('TL_ADD_MEMBER','配信先登録');
define('TL_ADD_IKKATU1','一括登録（入力）');
define('TL_ADD_IKKATU2','一括登録（検索）');
define('TL_SND_MAIL','メール配信');

//社内ファイル便
define('TL_PERSONALSEND','個人宛送信');
define('TL_GROUPSEND','グループ配信');
define('TL_SEND_HISTORY','送信履歴一覧');
define('TL_SEND_GROUP','送信履歴グループ詳細');
define('TL_SEND_PERSONAL','送信履歴個別詳細');
define('TL_RECEIVECONFIRM','受信確認');

//顧客管理
define('TL_LST_KOJIN','個人一覧');
define('TL_SGS_KOJIN','個人検索');
define('TL_LST_KAYISYA','会社一覧');
define('TL_SGS_KAYISYA','会社検索');
define('TL_SAV_KOJIN','個人登録');
define('TL_SAV_KAYISYA','会社登録');
define('TL_REF_KOJIN','個人詳細');
define('TL_REF_KAYISYA','会社詳細');
define('TL_LNK_GAYIBU','外部連携');

//勤怠管理
define('TL_LST_SYAIN','社員一覧');
define('TL_LST_KINTAI','勤怠一覧');
define('TL_ADD_KINTAI','勤怠入力');
define('TL_KNR_KINTAI','勤怠管理');

//文書管理
define('TL_SAV_BUNSYO','文書登録');
define('TL_LST_BUNSYO','文書一覧');
define('TL_SGS_BUNSYO','文書検索');
define('TL_BUNSYO_SERARCH_FULLTEXT','文書全文検索');
define('TL_BUNSYO_SERARCH_REPOSITORY','SVN文書検索');

//施設設備予約
define('TL_SAV_SEICIBILIST','施設設備一覧');
define('TL_SAV_YOYAKU','予約登録');
define('TL_LST_YOYAKU','予約一覧');
define('TL_LST_YOYAKUDETAIL','予約詳細');
define('TL_LST_MONTHYOYAKU','月単位予約状況');
define('TL_LST_DAYYOYAKU','日単位予約状況');

//備品
define('TL_SAV_SEICIBIMST','施設設備マスタ');
define('TL_LST_BIHIN','備品一覧');
define('TL_SAV_BIHIN','備品登録');
define('TL_LST_BIHINDETAIL','備品詳細');
define('TL_SUM_BIHINIDO','保管場所移動');
define('TL_LST_BIHINDAICYO','備品管理台帳');

//経費精算
define('TL_SUM_SEISAN','精算サマリー');
define('TL_SUM_KEIRI','経理サマリー');
define('TL_LST_KARIBARAI','仮払い申請一覧');
define('TL_SAV_KARIBARAI','仮払い申請登録');
define('TL_LST_RYOHI','旅費交通費一覧');
define('TL_SAV_RYOHI','旅費交通費登録');
define('TL_LST_KEIHI','経費精算一覧');
define('TL_SAV_KEIHI','経費精算登録');
define('TL_SAV_SEISAN','精算確認登録');
define('TL_CSV_SIWAKE','データ出力');
define('TL_PRT_COMMON','帳票出力');
define('TL_DET_KEIHI','経費精算詳細');

//インシデント
define('TL_INC_TOP_PAGE','Myインシデント');
define('TL_INC_REGIST','新規作成');
define('TL_INC_TRUCK','トラッキング');
define('TL_INC_SEARCH','検索');

//問題
define('TL_PRB_TOP_PAGE','My問題');
define('TL_PRB_REGIST','新規作成');
define('TL_PRB_TRUCK','トラッキング');
define('TL_PRB_SEARCH','検索');

//資源
define('TL_COM_TOROKU','コンピュータ登録');
define('TL_COMPUTER_LIST','コンピュータ一覧');
define('TL_COMPUTER_DETAIL','コンピュータ詳細');
define('TL_PRINTER_TOROKU','プリンタ登録');
define('TL_PRINTER_LIST','プリンタ一覧');
define('TL_PRINTER_DETAIL','プリンタ詳細');

//マスタ
define('TL_MAKER','メーカー');
define('TL_BUNRUI','分類');
define('TL_ITEM_LIST','商品一覧');
define('TL_ITEM','商品');
define('TL_ITEM_IKKATU','商品一括登録');
define('TL_FEATURE','ﾌｨｰﾁｬｰ');
define('TL_FEATURE_MEISAI','ﾌｨｰﾁｬｰ明細');
define('TL_TOKUI','得意先');
define('TL_NOHIN','納品先');
define('TL_M_SIIRE','仕入先');
define('TL_STORE','店舗');
define('TL_STOREADMIN_LIST','店舗管理者一覧');
define('TL_STOREADMIN','店舗管理者');
define('TL_STORE_IMPORT', '店舗一括登録');
define('TL_TANTO','担当者');
define('TL_CODE','コード');
define('TL_SAIBAN','採番');
define('TL_SYAIN','社員');
define('TL_OFFICIAL_TITLE','役職');
define('TL_SISETUBI','施設設備');
define('TL_BANK','銀行');
define('TL_TAX','消費税');
define('TL_TANKA_LIST','単価一覧');
define('TL_TANKA','基準単価');
define('TL_GENKA','基準原価');
define('TL_ITEM_TANKA_LIST','商品別単価一覧');
define('TL_ITEM_TANKA','商品別単価');
define('TL_NYUKIN_JOKEN','入金条件');
define('TL_BUNRUI_BIHIN','分類（備品用）');
define('TL_BUNRUI_BUNSYO','分類（文書用）');
define('TL_HAISOU','配送業者');
define('TL_ITEM_SEARCH','商品検索');
define('TL_TORIHIKITANKA','取引先単価');
define('TL_TORIHIKITANKA_LIST','取引先単価一覧');
define('TL_JISYA','自社情報');
define('TL_TANABAN','棚番');
define('TL_TORIHIKISAKI_KOZA','取引先口座');
define('TL_TOKUISEARCH','得意先検索');
define('TL_SEIKYUSEARCH','請求先検索');
define('TL_SIHARAISEARCH','支払先検索');
define('TL_SIIRESEARCH','仕入先検索');
define('TL_REPOSITORY','SVN');
define('TL_ORGANIZATION','所属');
define('TL_PROJECT','プロジェクト');
define('TL_ROUTE','承認ルート');
define('TL_CATEGORY','カテゴリー');
define('TL_PARTS','部品表');
define('TL_ITEM_IMPORT','商品一括登録');

//入荷
define('TL_NYUKA','入荷検品登録');
define('TL_NYUKA_DETAIL','入荷検品明細登録');

//入庫
define('TL_NYUKO','入庫登録');
define('TL_NYUKODETAIL','入庫詳細登録');

//出庫
define('TL_SYUKO','出庫登録');
define('TL_SYUKODETAIL','出庫詳細登録');
define('TL_PICKINGLIST','ﾋﾟｯｷﾝｸﾞﾘｽﾄ一覧');
define('TL_PICKING','ﾋﾟｯｷﾝｸﾞﾘｽﾄ作成');
define('TL_PICKINGDETAIL','ﾋﾟｯｷﾝｸﾞﾘｽﾄ詳細');

//出荷
define('TL_SYUKA','出荷検品登録');
define('TL_SYUKA_DETAIL','出荷検品明細登録');
define('TL_OKURI_PRINT','送り状印刷');
define('TL_NOUHIN_DETAIL','納品詳細');

//発注
define('TL_HACHU_LIST','発注一覧');
define('TL_HACHU_DETAIL','発注詳細');
define('TL_HACHU','発注登録');
define('TL_HACHU_12','発注登録（１／２）');
define('TL_HACHU_22','発注登録（２／２）');
define('TL_HACHU_REPORT','発注関連帳票');
define('TL_HACHUZANDAKA_LIST','発注残一覧');
define('TL_HACHU_BASEREG','発注基本情報登録');
define('TL_HACHU_DETAILREG','発注詳細登録');
define('TL_HACHU_HIKIATE','発注引当');

//見積
define('TL_MITUIRAI_LIST','見積依頼一覧');
define('TL_MITUIRAI_DETAIL','見積依頼詳細');
define('TL_MITUIRAI','見積依頼登録');
define('TL_MITUIRAI_BASEREG','見積依頼基本情報登録');
define('TL_MITUIRAI_DETAILREG','見積依頼詳細登録');
define('TL_MITU_LIST','見積一覧');
define('TL_MITU_DETAIL','見積詳細');
define('TL_MITU','見積登録');
define('TL_MITU_12','見積登録（１／２）');
define('TL_MITU_22','見積登録（２／２）');
define('TL_MITU_REPORT','見積関連帳票');
define('TL_MITU_BASEREG','見積基本情報登録');
define('TL_MITU_DETAILREG','見積詳細登録');

//発注依頼
define('TL_HACHUIRAI_LIST','発注依頼一覧');
define('TL_HACHUIRAI_DETAIL','発注依頼詳細');
define('TL_HACHUIRAI','発注依頼登録');
define('TL_HACHUIRAI_BASEREG','発注依頼基本情報登録');
define('TL_HACHUIRAI_DETAILREG','発注依頼詳細登録');
define('TL_HACHUIRAI_12','発注依頼登録（１／２）');
define('TL_HACHUIRAI_22','発注依頼登録（２／２）');

//仕入
define('TL_SIIRE_LIST','仕入一覧');
define('TL_SIIRE','仕入登録');
define('TL_SIIRE_12','仕入登録（１／２）');
define('TL_SIIRE_22','仕入登録（２／２）');
define('TL_SIIRE_REPORT','仕入関連帳票');
define('TL_PAID_ZANDAKA_LIST','支払残高一覧');
define('TL_PAID_SIME','支払締処理');
define('TL_PAID_SIME_REPORT','支払締関連帳票');
define('TL_SYUKKIN_LIST','出金一覧');
define('TL_SYUKKIN','出金登録');
define('TL_SYUKKIN_REPORT','出金関連帳票');
define('TL_KAIKAKE_ZANDAKA_LIST','買掛残高一覧');
define('TL_KAIKAKE','買掛締処理');
define('TL_KAIKAKE_REPORT','買掛関連帳票');

define('TL_PAID_ZANDAKA','支払残高登録');
define('TL_PAID_ZANDAKA_MEISAI','支払明細');
define('TL_PAID_ZANDAKA_DETAIL','支払残高詳細');
define('TL_SYUKKIN_DETAIL','出金明細');
define('TL_SYUKKIN_NIPOU','出金日報');
define('TL_SYUKKIN_GEPOU','出金予定表 ');
define('TL_PAID_SIME_LIST_REPORT','支払一覧表 ');
define('TL_SIIRE_DETAIL','仕入明細表 ');
define('TL_KAIKAKE_UPD','買掛残高更新');
define('TL_KAIKAKE_DETAIL','買掛残高詳細');

//受注
define('TL_ORDER_LIST','受注一覧');
define('TL_ORDER_REPORT','受注関連帳票');
define('TL_ORDER','受注登録');
define('TL_ORDER_DETAIL','受注詳細');
define('TL_ORDER_12','受注登録（１／２）');
define('TL_ORDER_22','受注登録（２／２）');
define('TL_ORDER_BASEREG','受注基本情報登録');
define('TL_ORDER_DETAILREG','受注詳細登録');

//請求管理
define('TL_BILL_DETAIL_LIST','請求明細');
define('TL_BILL_ZANDAKA', '請求残高登録');
define('TL_BILL_ZANDAKA_LIST','請求残高一覧');
define('TL_BILL_SIME','請求締処理');
define('TL_BILL_REPORT','請求関連帳票');
define('TL_BILL_ZANDAKA_DETAIL','請求残高詳細');


//売上
define('TL_URIAGE_LIST','売上一覧');
define('TL_URIAGE','売上登録');
define('TL_URIAGE_REPORT','売上関連帳票');
define('TL_NYUKIN_LIST','入金一覧');
define('TL_NYUKIN_DETAIL','入金明細');
define('TL_NYUKIN','入金登録');
define('TL_NYUKIN_REPORT','入金関連帳票');
define('TL_URIKAKE_ZANDAKA_LIST','売掛残高一覧');
define('TL_URIKAKE','売掛締処理');
define('TL_URIKAKE_REPORT','売掛関連帳票');
define('TL_URIKAKE_UPD','売掛残高更新');
define('TL_URIKAKE_DETAIL','売掛残高詳細');
define('TL_URIAGE_12','売上登録（１／２）');
define('TL_URIAGE_22','売上登録（２／２）');

define('TL_RIAGEMONTH_TOKUI','売上月報得意先別');
define('TL_RIAGEMONTH_TANTO','売上月報担当者別');
define('TL_RIAGEDAY_TOKUI','売上日報得意先別');
define('TL_RIAGEDAY_TANTO','売上日報担当者別');
define('TL_BILLLIST_TOKUI','請求一覧表得意先別');
define('TL_BILLLIST_TANTO','請求一覧表担当者別');
define('TL_NYUKIN_DAY','入金日報');
define('TL_NYUKIN_YOTEI','入金予定表 ');

//在庫
define('TL_ZAIKO_LIST','在庫一覧');
define('TL_NYUSYUKO_LIST','入出庫一覧');
define('TL_ZAIKO','在庫登録');
define('TL_ZAIKO_IDOU','在庫移動登録');
define('TL_ZAIKO_REPORT','在庫関連帳票');
define('TL_ZAIKO_HIKIATE','在庫引き当て');

//棚卸
define('TL_TANAOROSI_JYUNBI','棚卸準備');
define('TL_TANAOROSI_KINYU_REPORT','棚卸記入表印刷');
define('TL_TANAOROSI_ZAIKO_TUIKA','棚卸在庫登録');
define('TL_TANAOROSI','棚卸登録');
define('TL_TANAOROSI_KOUSIN','棚卸結果更新');
define('TL_TANAOROSI_SAI_REPORT','棚卸差異表印刷');
define('TL_TANAOROSI_KINYU_POP','棚卸記入表　');
define('TL_TANAOROSI_SAI_POP','棚卸差異表　');

//拡張カスタマイズ
define('TL_KAUNET','Kaunet登録');
define('TL_PCA','PCA出力');
define('TL_KINKOBAN','金庫番出力');
define('TL_PCA_SIWAKE','データ出力');
define('TL_KINKOBAN_SIWAKE','データ出力');

    /*
     * 区分
     *  C  確認（Confirm）
     *  W  警告
     *  E  エラー（Error）
     *  I  結果通知（Information）
     *  D  画面表示
     *  B  ボタン
     *
     * 分類
     *  BC バッチ処理
     *  DB データベース処理（DataBase）
     *  IC 入力チェック（Input　Check）
     *  FL ファイル出力、入力（File）
     *  NM 一般（Normal）
     *  PR 帳票印刷（Print　Report）
     *  SA 権限、セキュリティ（Seculity)
     *  CL 項目
     */
define('D_NM_SOMU','総　務');
define('D_NM_KYODO','協　働');
define('D_NM_KIKAN_KOU','基幹－購買');
define('D_NM_KIKAN_HAN','基幹－販売');
define('D_NM_KIKAN_ZAI','基幹－在庫');
define('D_NM_KIKAN_TANA','基幹－棚卸');
define('D_NM_UNYO','運　用');
define('D_NM_MASTER','マスタ管理');
define('D_NM_ADMIN','管理者用');

define('D_NM_UAM','ユーザー権限管理');
define('D_NM_CTM','勤怠管理');
define('D_NM_CCM','住所管理');
define('D_NM_MDM','メール配信');
define('D_NM_EAC','経費精算');
define('D_NM_DMB','社内ファイル便');
define('D_NM_FMS','備品管理');
define('D_NM_DOM','文書管理');
define('D_NM_MSB','伝言管理');
define('D_NM_APM','アポイント管理');
define('D_NM_IRM','予約管理');
define('D_NM_RMS','資源管理');

define('D_NM_WHS','入庫管理');
define('D_NM_LFW','出庫管理');
define('D_NM_AOG','入荷管理');
define('D_NM_SPM','出荷管理');
define('D_NM_SMS_URIAGE','売上管理');
define('D_NM_SMS_SEIKYU','請求管理');
define('D_NM_SMS_NYUKIN','入金管理');
define('D_NM_SMS_URIKAKE','売掛管理');
define('D_NM_ESS','見積管理');
define('D_NM_SMM','受注管理');
define('D_NM_BMS_SIIRE','仕入管理');
define('D_NM_BMS_SIHARAI','支払管理');
define('D_NM_BMS_SYUKKIN','出金管理');
define('D_NM_BMS_KAIKAKE','買掛管理');
define('D_NM_CSR','依頼管理');
define('D_NM_ACS','発注管理');
define('D_NM_IMC','在庫管理');
define('D_NM_TSC','棚卸管理');
define('D_NM_INC','インシデント');
define('D_NM_PRB','問題管理');
define('D_NM_SYS','システム管理');

define('D_NM_MST','マスタ管理');
define('D_NM_INI','初期設定');
define('D_NM_EXT','データ連携');
define('D_NM_SET','セットアップ');

define('B_COMPANY_SEARCH','会社検索');
define('B_PERSONAL_SEARCH','個人検索');
define('B_SYAIN_SEARCH','社員検索');
define('B_ITEM_SEARCH','商品検索');
define('B_SELECT','選択');
define('B_NM_NEW','新規登録');
define('B_NM_REG','登録');
define('B_NM_REG_IKKATU','一括登録');
define('B_NM_REG_P','登録／印刷');
define('B_NM_REG_M','明細追加');
define('B_NM_UPD','更新');
define('B_NM_DEL','削除');
define('B_NM_TORIKESI','取消');
define('B_NM_SEARCH','検索');
define('B_NM_DIS','表示');
define('B_NM_RELOAD','再表示');
define('B_NM_DETAIL','詳細');
define('B_NM_MEISAI','明細');
define('B_NM_PRINT','発行');
define('B_NM_LIST','一覧');
define('B_NM_ADD','追加');
define('B_NM_IMPORT','インポート');
define('B_NM_EXPORT','エクスポート');
define('B_CLOSE','閉じる');
define('B_CLEAR','クリア');
define('B_NM_CHECK','すべてを選択');
define('B_NM_UNCHECK','すべての選択を解除');
define('B_ZIPTOADDRE','住所変換');
define('B_REPORT_PRINT','印刷');
define('B_NM_SANSYO','参照');

define('CL_ALL','全て');

define('CL_TOTAL','件中');
define('CL_PAGE','s - %s 件目');

define('CL_YEAR','年');
define('CL_MONTH','月');
define('CL_DAY','日');
define('CL_HOUR','時');
define('CL_MINUTE','分');

define('CL_ZIP','郵便番号');
define('CL_ADD_STATE','都道府県');
define('CL_ADD_CITY','市区町村');
define('CL_ADD_DISTRICT','町域');
define('CL_ADD_STREET','番地');

define('CL_MAIL','メールアドレス');
define('CL_MAIL_USER','認証ユーザー<Br>(SMTP-AUTH)');
define('CL_MAIL_PSWD','認証パスワード<Br>(SMTP-AUTH)');
define('CL_MAIL_METHOD','認証方法<Br>(SMTP-AUTH)');
define('CL_URL','ホームページ');
define('CL_TEL','電話番号');
define('CL_FAX','FAX番号');
define('CL_MOBILE','携帯番号');
define('CL_ETC','備考');

define('MITOUROKU','未登録名称（登録者：%s）');

define('HISSU','<font size=1 color=orange>※ </font>');
define('LINE',' ～ ');
define('YEN','円');

define('CL_PRODUCT','品名／規格');
define('CL_SU','数量');
define('CL_TANI','単位');
define('CL_TANKA','単価');
define('CL_TEIKA','原価');
define('CL_KIN','金額');
define('CL_KBK','種別');
define('CL_BIKO','備考');


//メッセージ一覧
define('I_BC_01','正常終了しました');
define('I_BC_02','Endファイルの作成は行われませんでした');
define('I_BC_03','処理中です。しばらくお待ちください。');

define('W_BC_01','Endファイルが存在します。処理をスルーします');

define('E_BC_01','業務プロセスに異常が発生しました');
define('E_BC_02','procフォルダが取得出来ません');
define('E_BC_03','プロセスファイルが取得出来ません');
define('E_BC_04','起動中か前回処理が異常終了しています[起動できません]');

define('E_IC_01','［%s］は必須入力項目です');
define('E_IC_02','［%s］は数字ではありません');
define('E_IC_03','［%s］は文字列長不正です[%s - %s]');
define('E_IC_04','［%s］は日付形式ではありません');
define('E_IC_05','［%s］は金額ではありません');
define('E_IC_06','［%s］は電話番号ではありません');
define('E_IC_07','［%s］は郵便番号ではありません');
define('E_IC_08','［%s］は英字ではありません');
define('E_IC_09','［%s］はメールアドレスではありません');
define('E_IC_10','［%s］はURLではありません');
define('E_IC_11','［%s］は入力値が正しくありません');
define('E_IC_12','［%s］は［%s］との前後関係が不正です');

define('F_NM_01','致命的エラーが発生しました。[%s]');
define('F_NM_02','引数が存在しません[%s]');
define('F_NM_03','必須パラメータです[%s]');
define('F_NM_04','メソッドが存在しません[%s]');

define('E_IC_20','引数が正しくありません');
define('E_IC_21','項目が存在しません');
define('E_IC_22','条件が存在しません');
define('E_IC_23','パラメータが指定されていません');
define('E_IC_24','%s行目は読込めませんでした（メールアドレス異常）');
define('E_IC_25','%s行目は読込めませんでした（項目数異常）');
define('E_IC_26','エラー件数が%s行を超えました');
define('E_IC_27','必須項目です');
define('E_IC_28','権限範囲外のものが含まれているため操作を中断します');

define('E_FL_01','ファイルが開けません（%s）');
define('E_FL_02','ファイルに書込めません（%s）');
define('E_FL_03','ファイルを削除できません（%s）');
define('E_FL_04','サーバーに接続出来ませんでした（%s）');
define('E_FL_05','サーバーにログオン出来ませんでした（%s）');
define('E_FL_06','ファイルが存在しません（%s）');
define('E_FL_07','ファイルのサイズが0です（%s）');
define('E_FL_08','ファイルが読込めません（%s）');
define('E_FL_09','ファイルが選択されていません');
define('E_FL_10','ファイルサイズ制限を越えています（%s）');
define('E_FL_11','拡張子[%s]ではありません');

define('E_MAIL','メールアドレスが既に存在します。');
define('E_USER_CD','ユーザーが既に存在します。');
define('E_SYAIN_CD','社員番号が既に存在します。');
define('E_LOGON_USER_SECURITY','ユーザー「%s」が帳票の表示権限がありません。');

define('C_NM_01','登録してよろしいですか？');
define('C_NM_02','更新してよろしいですか？');
define('C_NM_03','削除してよろしいですか？');
define('C_NM_04','取消してよろしいですか？');
define('C_NM_05','発行してよろしいですか？');
define('C_NM_06','承認してよろしいですか？');
define('C_NM_07','却下してよろしいですか？');
define('C_NM_08','出荷検品してよろしいですか？');
define('C_NM_09','入荷検品してよろしいですか？');

define('I_DB_01','正常に登録されました');
define('I_DB_02','正常に更新されました');
define('I_DB_03','許可されていない変更です');
define('I_DB_04','正常に削除されました');
define('I_DB_05','削除対象のデータが選択されていません');
define('I_DB_06','登録対象のデータが選択されていません');
define('I_DB_07','正常に取消されました');
define('I_DB_08','取消対象のデータが選択されていません');
define('I_DB_09','発行対象のデータが選択されていません');
define('I_DB_10','明細データが登録されていません');
define('I_DB_11','明細を登録しました（本登録はされていません）');
define('I_DB_12','明細を更新しました（本登録はされていません）');
define('I_DB_13','明細を削除しました（本登録はされていません）');
define('I_DB_40','発行対象のデータがありませんでした');
define('E_DB_99','DB登録時に異常が発生しました');

define('I_DB_APPROVED', '承認しました');
define('I_DB_REJECTED', '却下しました');
define('I_DB_APPROVED_NODATA','承認対象のデータが選択されていません');
define('I_DB_REJECTED_NODATA','却下対象のデータが選択されていません');
define('I_NO_SELECTED', '対象のデータが選択されていません');
define('E_UNKNOWN', '予期せぬエラーが発生しました');
define('W_NOSELECTED', '対象を選択してください');

?>
