<?php
/**
 * This file is part of Helios.CoTV
 *
 * @package   Helios.CoTV
 * @copyright 2008- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
//=================================================================================
//画面項目名
//=================================================================================
/**
 * T   タイトル
 * H   ヘッダー
 * C_T コンテンツタイトル
 * TXT テキスト
 *
 * E   エラーメッセージ
 * I   メッセージ
 * B   ボタン
 * CL  カラム
 * FM  フォーム
 */
define('CL_LOGOFF', 'ログオフ');
define('CL_ADMIN', '管理者機能');
define('CL_MYACCOUNT', 'Myアカウント');

define('CL_YEAR',                           '年');
define('CL_MONTH',                          '月');
define('CL_DAY',                            '日');
define('CL_HOUR',                           '時');
define('CL_MINUTE',                         '分');

define('B_ZIPTOADDRESS',              '住所検索');

define('CL_ZIP','郵便番号');
define('CL_STATE','都道府県');
define('CL_CITY','市区町村');
define('CL_DISTRICT','町域');
define('CL_STREET','番地・建物名');

define('CL_TEL', '電話番号');
define('CL_MAIL', 'メールアドレス');
define('CL_URL', 'ホームページ');

//---------------------------------------------------------------------------------
//共通
//---------------------------------------------------------------------------------
define('HISSU','<font size=1 color=orange>※ </font>');
define('HISSU1','<font size=2 color=red>※ </font>');
define('B_CONFIRM',     '確認');
define('B_BACK',        '戻る');
define('B_SEND',        '送信');
define('B_REVISION',    '修正');
define('B_SEARCH',      '検索');
define('B_CLEAR',       'クリア');
define('B_UPDATE',    '更新');

define('T_PITI_FORM',    'PetitForm');

//---------------------------------------------------------------------------------
//お問い合わせ
//---------------------------------------------------------------------------------
define('T_REQUEST',                       'お問い合わせ');
define('T_REQUEST_CONFIRM',               'お問い合わせ　確認');
define('T_REQUEST_COMPLETE',              'お問い合わせ　完了');

define('CL_REQUEST_ID',                   '問合せID');
define('CL_CLIENT_KB',                    '個人／法人');
define('CL_COMPANY',                      '会社名');
define('CL_PERSONAL_NM',                  '氏名');
define('CL_PERSONAL_KN',                  'ふりがな');
define('CL_ORGANIZATION_NM',              '所属部署名');
define('CL_OFFICIAL_NM',                  '役職');
define('CL_REQUEST',                      'お問い合わせ内容');
define('CL_REQUEST_DATE',                 'お問い合わせ日');
define('CL_ANSWER_STATUS',                '対応状況');
define('CL_BIKO',                         '備考');
define('CL_SEND_MESSAGE',                 '上記の内容でよろしければ「送信」ボタンを押してください。<br />修正する場合は「修正」ボタンを押して、再入力してください。');
define('CL_SEND_COMPLETE',                'お問い合わせを受け付けました。<BR><BR>このたびは、お問い合わせいただきまして誠にありがとうございます。<BR>ご登録いただいたメールアドレスあてにメールをお送りしました。<BR>お問い合わせの内容につきましては、弊社にて確認させていただき、ご連絡を差し上げます。');


define('TXT_CLIENTKB_ALL',                'すべて');

//---------------------------------------------------------------------------------
//お問い合わせタイトル
//---------------------------------------------------------------------------------
define('T_REQUEST_LIST',                    'お問い合わせ一覧');
define('T_REQUEST_DETAIL',                  'お問い合わせ詳細');
define('T_IFORM_INPUT',                     'お問い合わせ入力');
define('T_IFORM_CONFIRM',                   'お問い合わせ確認');
define('T_IFORM_COMPLETE',                  'お問い合わせ完了');

define('CL_SELECT', '選択');
define('B_DELETE',                          '削除');
define('B_CORPORATION_PERSONAL',            '法人・個人');
define('B_CORPORATION',                     '法人');
define('B_PERSONAL',                        '個人');
define('B_NAME',                            'お名前');
define('B_NAME_KN',                         '（フリガナ）');
define('CL_OFFICIAL_NAME',                  '役職名');
define('CL_IDEA',                           'ご意見・ご質問・ご要望');


//---------------------------------------------------------------------------------
//メッセージ
//---------------------------------------------------------------------------------
define('I_SEND_MAIL_SUCCESS',       'メールを送信しました');
define('I_DRAFT_MAIL_SUCCESS',      'メールを下書きで保存しました');
define('I_RESERVE_MAIL_SUCCESS',    'メールの送信予約が完了しました');

define('E_SEND_MAIL',      "メールの送信に失敗しました\nSMTPの設定をご確認ください");


define('TXT_CHECKED_ALL',                   'すべてを選択');
define('TXT_RELEASED_ALL',                  'すべての選択を解除');
define('I_DELETE_MOVIE_SUCCESS',            '削除に成功しました');
define('E_DELETE_MOVIE_FAILED',             '削除に失敗しました');
define('E_SEARCH_RESULT_NOT_EXIST',         '検索結果が存在しません');

define('I_ADMIN_MAIL_TITLE',                'お問い合わせ');
define('I_ADMIN_MAIL_DB_ERR',               ' (DBエラー)「%s」');
define('I_GEUST_MAIL_TITLE',                'お問い合わせの確認');
define('I_GEUST_MAIL_BODY',                 "お問い合わせを受け付けました。\n\nこのたびは、お問い合わせいただきまして誠にありがとうございます。\n\nお問い合わせの内容につきましては、弊社にて確認させていただき、ご連絡を差し上げます。");
define('I_GEUST_MAIL_BODY_EXP',             "以下は、お問い合わせの内容です。");
