<?php
/**
 * uamUserController controller class.
 *
 * @author    S.Tajima <tajima@exbridge.jp> 2007/12/13
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
class uamUserController extends xbeAuroraUamController {

    var $_display_name  = TL_LOGON_SAVE; //画面名
    /**
     * 初期処理
     *
     * コントローラー初期処理
     *
     */
    function init() {
        load_view('PersonalBase', 'xbrg_ccm');
        load_view('PersonalDetail', 'xbrg_ccm');
        load_view('PersonalHome', 'xbrg_ccm');
        load_view('PersonalParent', 'xbrg_ccm');
        load_view('PersonalEmployee', 'xbrg_ccm');
        load_app('mst');
        $this->use_popup(POP_PERSONAL);
        parent::init(__CLASS__);
        $this->view = UserView::getInstance();

        //debugLog($this->getSession(FROM));
    }

    /**
     * デフォルト呼出
     *
     * ログイン画面表示へフォワードする
     *
     */
    function executeDefault() {

        if (!isNULL($this->userCompanyId)) {
            $this->view->userCompanyId = $this->userCompanyId;
            $this->view->personalId    = $this->personalId;
            $this->from                = $this->from;
        }
        $this->forward('Show');
    }

    /**
     * 入力チェック処理（ajax）
     *
     * 画面の入力項目のチェックを行う
     *
     */
    function executeRequestCheck() {
        return $this->_requestCheck();
    }

    /**
     * ユーザー登録／更新処理（ajax）
     *
     * 画面の入力項目でユーザーの登録／更新処理を行う
     *
     */
    function executeRequestSave() {
        return $this->_requestSave();
    }

    /**
     * ログオン呼出
     *
     * ログイン処理を行う
     *
     */
    function executeShow() {
        if('1'==$this->from){
            $this->location = XBEUAM_R_USERLIST;
            $this->from = null;
        }else{
            $this->location = XBEUAM_R_USER;
        }

        if (!isNULL($this->view->personalId)) {
            $this->view = auroraService::getInstance('MstUserService')->getUser($this->view);
        }
        return $this->render('uam/user');
    }
}
?>
