<?php
/**
 * contact controller class.
 *
 * @author    Y.Shimizu <shimizu@exbridge.jp> 2007/12/11
 *            S.Tajima <tajima@exbridge.jp> 2008/08/25
 * @version   svn:$Id: contactController.php 7900 2008-08-31 23:26:13Z tajima $
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
class contactController extends xbeCoreCommonController {

    var $_display_name = TL_CONTACT;

    var $_pw_layout_template = 'top';

    var $_pw_css = array('css/core.css', 'css/user.css');

    var $_pw_jscript = array(
                        'js/ext/jquery/jquery.js',
                        'js/interface.js',
                        'js/xbeJquery.js',
                        'js/validation.js',
                        'js/logon/contact.js'); //Jscript

    /**
     * デフォルト呼出
     *
     * お問い合わせ画面表示へフォワードする
     *
     */
    function executeDefault() {
        $this->mail = $this->logon_mail;
        $this->forward('ShowContact');
    }

    /**
     * メール送信
     *
     */
    function executeRequestContactSend() {
        //リクエストを取得する
        $mail = $this->mail;
        $message = $this->message;
        $requestUrl = CORE_AURORA_URL . 'xbeWebLogon.php?action=RequestSendMessage';
        $requestUrl .= '&mail=' . urlencode($mail);
        $requestUrl .= '&message=' . urlencode($message);
        debugLog( 'request url[' . $requestUrl . ']', __CLASS__, __FILE__, __LINE__);
        $result = get_url_contents($requestUrl);
        $this->_result  = $result;
        switch ($result) {
            case R_SUCCESS:
                $this->_message = I_SENDMESSAGE_SUCCESS;
                break;
            case R_ERROR:
                $this->_message = E_UNKNOWN;
                break;
        }
        $this->forward('ShowContact');
    }

    /**
     * お問い合わせ画面表示
     *
     */
    function executeShowContact() {
        return $this->render('logon/contact');
    }
}
