<?php
/**
 * relay controller class.
 *
 * @author    S.Tajima <tajima@exbridge.jp> 2008/08/25
 * @version   svn:$Id: relayController.php 7951 2008-09-02 03:03:09Z tajima $
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
class relayController extends xbpwController {

    /**
     * 初期処理
     *
     * コントローラー初期処理
     *
     */
    function init() {
        //MyAccountはリレー不要
        if (preg_match('/logon\/account\.php/i', $this->url)) {
            $this->redirectToUrl($this->url, $param);
            return;
        }
        //ログオフはリレー不要
        if (preg_match('/RequestLogoff/i', $this->url)) {
            $this->redirectToUrl($this->url, $param);
            return;
        }

        $user = & xbpwContext::getUser();
        $oid             = session_id();
        $user_company_id = $user->getUserParameter(SESSION_LOGON_USER_COMPANY_ID);
        $user_cd         = $user->getUserParameter(SESSION_LOGON_USER_CD);
        $hash            = $user->getUserParameter(SESSION_HASH);
        $project_from    = $user->getUserParameter(SESSION_LOGON_PROJECT_FROM);
        $param = '&oid=' . session_id() . '&user_company_id=' . $user_company_id . '&user_cd=' . $user_cd . '&hash=' . $hash . '&project_from=' .  $project_from;
        $this->redirectToUrl($this->logon . '?url=' . $this->url . $param);
    }
}
