<?php
/*
 * This file is part of HELIOS.PetitForm
 * (c) 2007-2008 Exbridge,inc. <info@exbridge.jp>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 * Heliosメール　画面インターフェース
 *
 * @copyright 2008- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 * @package   HELIOS.PetitForm
 * @version   svn:$Id: requestDetailController.php 9127 2008-10-18 09:18:00Z hatanaka $
 */
class requestDetailController extends xbeHeliosPetitFormController {

    var $_display_name  = T_REQUEST_DETAIL; //画面名

    /**
     * 初期処理
     */
    function init() {
        parent::init();

        $this->_sv = & xbpwContext::getService('requestForm');
        $this->_vo = $this->_sv->getValueObject();
        $this->_vo->user_company_id = $this->user_company_id;
    }

    /**
     * デフォルト呼出
     */
    function executeDefault() {
        $this->forward('Show');
    }

    /**
     * 更新
     */
    function executeRequestUpdate() {
        $this->_vo->request_id = $this->request_id;
        $this->_vo->answer_status_kb = $this->answer_status_kb;
        $this->_vo->biko = $this->biko;

        $r_code = $this->_sv->saveRequest($this->_vo);

        $result['r_code']    = $r_code;
        if ($r_code === R_SUCCESS_UPDATE) {
            $result['r_message'] = I_DB_02;
        }
        else {
            $result['r_message'] = E_DB_99;
        }

        $this->setSession('_result', $result);

        $this->redirectToPath(R_REQUEST_LIST);//一覧画面へ
    }

    /**
     * 画面表示
     */
    function executeShow() {
        if (!isNULL($this->request_id)) {
            $this->_vo->request_id = $this->request_id;
            $this->_sv->getRequest($this->_vo);

            foreach ($this->_vo->request as $key => $val) {
                $this->$key = $val;
            }
        }
        $this->render('admin/request_detail');
    }
}
?>
