<?php
//==================================================================
//データ取得部分
//引数
//$m : val          page_info,routing
//$m : disabled
//=================================================================

    //@todo database.inc と xbIDsのpage_maxの値を統一させる必要あり。

    $m->page_info = xbUtil::getPageInfo($m->view->pageId, $m->view->limit, $m->view->cnt);
    $routing = $m->routing;           //リンク先のURL
    $separator = '&';                   //パラメータ(page_id)の結合文字
    $pageSpan = isNULL($m->page_span)?8:$m->page_span; //テキストで表示するリンク数

    //ページ番号の制御
    $spos = $m->page_info['page_id'] - floor( $pageSpan / 2 );
    $epos = $m->page_info['page_id'] + floor( $pageSpan / 2 );

    //開始位置の調整
    if($spos < 1){
        $epos = $epos + ( $spos * -1 + 1);
        $spos = 1;
        if($epos > $m->page_info['last_page']){
            $epos = $m->page_info['last_page'];
        }
    }

    //終了位置の調整
    if($epos > $m->page_info['last_page']){
        $spos = $spos - ( $epos - $m->page_info['last_page'] );
        $epos = $m->page_info['last_page'];
        if($spos < 1){
            $spos = 1;
        }
    }

//==================================================================
//html生成
//==================================================================
    $buff = array();

    $buff[] = "<div class='pager_area'>";
    $buff[] = "<table>";
    $buff[] = "<tr>";
    if(isNULL($m->page_info['count'])){
        $buff[] = "<td>";
        $buff[] = "</td>";
    }
    elseif($m->page_info['count'] == 0){
        $buff[] = "<td>";
        $buff[] = "全" . $m->page_info['count'] . "件";
        $buff[] = "</td>";
    }
    else{
        $buff[] = "<td>";
        $buff[] = "全" . $m->page_info['count'] . "件　（" . $m->page_info['snum'] . "-" . $m->page_info['enum'] . "件を表示）";
        $buff[] = "</td>";

        //開始ページと終了ページが同じでない場合ページリンク出力
        if($spos != $epos){
            //先頭ページへのリンク
            $buff[] = "<td>";
            $buff[] = "<div class='arrow01' onclick=\"javascript:location.href='" . $routing . $separator . "page_id=1'\"></div>";
            $buff[] = "</td>";
            //前ページヘのリンク
            $buff[] = "<td>";
            $buff[] = "<div class='arrow02' onclick=\"javascript:location.href='" . $routing . $separator . "page_id=" . $m->page_info['pre_page'] . "'\"></div>";
            $buff[] = "</td>";

            //前ページが存在する
            if($spos > 1){
                $buff[] = "<td>";
                $buff[] = "…";
                $buff[] = "</td>";
            }
            //ページ番号のリンク
            for($i = $spos; $i <= $epos; $i++){
                $buff[] = "<td>";
                if( $m->page_info['page_id'] == $i ){
                    $buff[] = $i;
                }
                else{
                    $buff[] = link_to($i,$routing . $separator . 'page_id='.$i);
                }
                $buff[] = "</td>";
            }
            //次ページが存在する
            if( $epos < $m->page_info['last_page'] ){
                $buff[] = "<td>";
                $buff[] = "…";
                $buff[] = "</td>";
            }

            //次ページヘのリンク
            $buff[] = "<td>";
            $buff[] = "<div class='arrow03' onclick=\"javascript:location.href='" . $routing . $separator . "page_id=" . $m->page_info['next_page'] . "'\"></div>";
            $buff[] = "</td>";
            //最終ページへのリンク
            $buff[] = "<td>";
            $buff[] = "<div class='arrow04' onclick=\"javascript:location.href='" . $routing . $separator . "page_id=" . $m->page_info['last_page'] . "'\"></div>";
            $buff[] = "</td>";
        }
    }
    $buff[] = "</tr>";
    $buff[] = "</table>";
    $buff[] = "</div>";
    $pager_html = implode("\n", $buff);

//==================================================================
//出力部分
//==================================================================
echo $pager_html;

?>
