<!-- コードマスタ Detail Section Begin -->
<script type="text/javascript">
<!--
/**
 * 削除時の確認
 */
function delete_confirm(){
    //チェックボックス選択の検証
    if(j$("#tbodyCodeList input:checkbox:checked").length == 0){
        alert('<?php echo W_NOSELECTED?>');
        return false;
    }
    //確認ダイアログ
    if(!confirm('<?php echo C_NM_03?>')){
        return false;
    }
    showWaiing();

    return true;
}

/**
 * 概要
 * コードリストクリックイベント
 *
 * 説明
 * コードリストがクリックされた場合、更新情報エリアへ設定する。
 *
 * @return なし
 * @access public
 */
function selectCodeRow(obj) {
    var tdObj = obj.getElementsByTagName('td');
    for (var i=0; i<tdObj.length; i++){
        var param = tdObj[i].getAttribute('param');
        var td_value = tdObj[i].getAttribute('value');
        if(param == 'tCodeKb'){
            j$('#codeKb').val(td_value);
        }
        if(param == 'tCode'){
            j$('#code').val(td_value);
        }
        if(param == 'tCodeNm'){
            j$('#codeNm').val(td_value);
        }
    }
}
//-->
</script>
<span class="title"><?php echo TL_CODE ?></span>
<?php echo form_tag(XBEINI_R_CODE_SEARCH) ?>

<div class="tablehead_green">
</div>

<div class="tablebody green">
<table border="0" cellspacing="0" cellpadding="0" class="single">
  <tr>
    <th width="30%"><?php echo CL_CODE_DIFF ?></th>
    <td>
    <?php include_component('select_code_kb.tpl', array('id'=>'codeKbKey','code_kb'=>$m->view->getCodeKb())); ?>
    </td>
  </tr>
</table>
</div>
<div class="tablefoot"></div>
</form>

<?php echo form_tag(XBEINI_R_CODE_SAVE, array('id'=>frm_code_save)) ?>

<div class="tablehead_pink">
</div>

<div class="tablebody pink">

<table border="0" cellspacing="0" cellpadding="0" class="single">
  <tr>
    <th width="30%"><?php echo HISSU.CL_CODE_DISPLAY ?></th>
    <td><?php echo input_tag('codeKb', $m->view->getCodeKb(), array('maxlength'=>32, 'class' => "x160", 'editable'=>false)) ?></td>
  </tr>
  <tr>
    <th><?php echo HISSU.CL_CODE_CODE ?></th>
    <td><?php echo input_tag('code', $m->view->getCode(), array('maxlength'=>32, 'class' => "x160")) ?></td>
  </tr>
  <tr>
    <th><?php echo HISSU.CL_CODE_NAME ?></th>
    <td><?php echo input_tag('codeNm', $m->view->getCodeNm(), array('maxlength'=>255, 'class' => "x240")) ?></td>
  </tr>
</table>
  <div class="table_control center">
<?php
    $parameter['type']              = '0';
    $parameter['prepareRouting']    = XBEINI_R_CODE_CHECK;
    $parameter['execRouting']       = XBEINI_R_CODE_SAVE;
    $parameter['location']          = XBEINI_R_CODE_SHOW;
    //登録ボタン
    echo aurora_submit( $parameter );
?>
  <?php echo input_tag('clear', B_CLEAR, array('type'=>'button', 'class'=>'btn', 'onClick'=>"ClearALL(document.forms['frm_code_save']);"));?>
  </div>

</div>

<div class="tablefoot">
</div>
</FORM>
<!-- コードマスタ Detail Section End -->

<!-- コードマスタ List Section Begin -->
<?php echo form_tag(XBEINI_R_CODE_DELETE, array('method' => 'post', 'id'=>'frm_code_list')) ?>
<div class="tablehead_blue">
</div>

<div class="list_tablebody">
  <div class="table_control">
    <div class="table_lnk">
      <?php echo link_to_function(B_NM_CHECK, "JavaScript:CheckALL(document.forms['frm_code_list'],true)") ?>  |  
      <?php echo link_to_function(B_NM_UNCHECK, "JavaScript:CheckALL(document.forms['frm_code_list'],false)") ?>
    </div>
    <?php echo submit_tag(B_NM_DEL, array('class'=>'btn', 'onClick'=>"if(!delete_confirm()){return false;}")); ?>
  </div>
<!-- Pager Section Start-->
<?php $m->routing = XBEINI_R_CODE_PAGING . '&code_kb=' . $m->view->getCodeKb(); ?>
<div class="table_pager"><?php include_component('pager.tpl', $m); ?></div>
<!-- Pager Section End-->

<div class="list">
<table border="0" cellspacing="0" cellpadding="0" class="list_blue">
  <thead>
  <tr>
    <th nowrap width='40px'><?php echo B_SELECT ?></th>
    <th nowrap style='display:none' width='150px'><?php echo CL_CODE_DIFF ?></th>
    <th nowrap><?php echo CL_CODE_CODE ?></th>
    <th nowrap><?php echo CL_CODE_NAME ?></th>
  </tr>
  </thead>
  <tbody id='tbodyCodeList'>
  <?php $i=0; foreach ($m->view->getCodeListDetailView() as $vDetail):?>
  <tr id='codeRow_<?php echo $i ?>' nowrap>
    <td><?php echo checkbox_tag('chk[]', $i, false); ?><input type='button' class='edit' onclick='selectCodeRow(document.getElementById("codeRow_<?php echo $i?>"));return false;' /></td>
    <td nowrap param='tCodeKb' style='display:none' value='<?php echo $vDetail->getCodeKb() ?>'><?php echo $vDetail->writeCodeKb() ?></td>
    <td nowrap param='tCode' value='<?php echo $vDetail->getCode() ?>'><?php echo $vDetail->writeCode() ?></td>
    <td nowrap param='tCodeNm' value='<?php echo $vDetail->getCodeNm() ?>'><?php echo $vDetail->writeCodeNm() ?></td>
  </tr>
  <?php $i++; endforeach; ?>
  </tbody>
</table>
</div>

<br>
<div class="table_control">
  <div class="table_lnk">
      <?php echo link_to_function(B_NM_CHECK, "JavaScript:CheckALL(document.forms['frm_code_list'],true)") ?>  |  
      <?php echo link_to_function(B_NM_UNCHECK, "JavaScript:CheckALL(document.forms['frm_code_list'],false)") ?>
  </div>
</div>

<div class="tablefoot">
</div>

</div>
</FORM>
<!-- コードマスタ List Section End -->
