<?php
/*
 * This file is part of the pettiwork package.
 * (c) 2007-2008 Exbridge,inc. <info@exbridge.jp>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 * Project: pettiwork: the PHP lightweight web framework
 * File:    xbpwAbstractView.php
 *
 * @link http://exbridge.jp/
 * @author S.Tajima <tajima@exbridge.jp>
 * @version svn:$Id: xbpwAbstractView.php 4411 2008-06-05 00:53:20Z tajima $
 * @copyright 2007-2008 Exbridge,Inc.
 */
class xbpwAbstractView
{
    /**
     * @access public
     * @param array $config Configuration values
     * @return boolean
     */
    function init($config)
    {
        return false;
    }

    /**
     * @access public
     * @param string $template Path to template file
     * @param array $model Array of model values
     * @return boolean
     */
    function dispatch($template, $model, $pwProperty)
    {
        return false;
    }

    /**
     * @access public
     * @return string
     */
    function getResult()
    {
        return '';
    }

    /**
     * @access public
     * @return boolean
     */
    function isTemplateExists($template)
    {
        return false;
    }
}
