<?php
/*
 * This file is part of the pettiwork package.
 * (c) 2007-2008 Exbridge,inc. <info@exbridge.jp>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 * Project: pettiwork: the PHP lightweight web framework
 * File:    xbpwValidator.php
 *
 * @link http://exbridge.jp/
 * @author S.Tajima <tajima@exbridge.jp>
 * @version svn:$Id: xbpwValidator.php 4411 2008-06-05 00:53:20Z tajima $
 * @copyright 2007-2008 Exbridge,Inc.
 */
class xbpwValidator
{
    /**
     * Array of error message
     *
     * @access private
     * @var array
     */
    var $errors = array();

    /**
     * Add error message with key.
     *
     * @access public
     * @param string $key
     * @param string $message
     */
    function addError($key, $message)
    {
        $this->errors[$key] = $message;
    }

    /**
     * Returns array of error message.
     *
     * @access public
     * @return array
     */
    function getErrors()
    {
        return $this->errors;
    }
}
