<?php
require_once("xbCommonBatch.class.php");
/**
 * ʃob`Endt@C폜NX
 *
 * @author   Shiro Tajima <tajima@exbridge.jp>
 * @since    PHP 5.0
 */
class xbEndFileDelete extends xbCommonBatch {

    protected static $instance;

    public static function getInstance() {
        if (!isset(self::$instance)) {
            $class = __CLASS__;
            self::$instance = new $class();
        }
        self::$instance->setClass($class);
        return self::$instance;
    }

    public function mainProcess() {
        try {
            $filenm = PROC_DIR.'/*.end';
            foreach (glob($filenm) as $filename) {
                unlink($filename);
            }
            return true;
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }
}
?>
