<?php
/**
 * Project: 
 * File:    
 *
 * @link http://exbridge.jp/
 * @copyright 2007 Exbridge,Inc.
 * @author S.Tajima
 */

/**
 * access logging
 */
function accessLog($message, $class, $file, $line) {
    if (LOGGER_LEVEL <= 2) {//INFO
        pringLog(LOGGER_ACEESS, constructLogLine($message, $class, $file, $line, 'INFO'));
    }
}

/**
 * debug logging
 */
function debugLog($message, $class, $file, $line) {
    if (LOGGER_LEVEL <= 1) {//DEBUG
        pringLog(LOGGER, constructLogLine($message, $class, $file, $line, 'DEBUG'));
    }
}

/**
 * info logging
 */
function traceLog($message, $class, $file, $line) {
    if (LOGGER_LEVEL <= 2) {//INFO
        pringLog(LOGGER, constructLogLine($message, $class, $file, $line, 'INFO'));
    }
}

/**
 * warn logging
 */
function warnLog($message, $class, $file, $line) {
    if (LOGGER_LEVEL <= 3) {//WARN
        pringLog(LOGGER, constructLogLine($message, $class, $file, $line, 'WARN'));
    }
}

/**
 * error logging
 */
function errorLog($message, $class, $file, $line) {
    if (LOGGER_LEVEL <= 4) {//ERROR
        pringLog(LOGGER, constructLogLine($message, $class, $file, $line, 'ERROR'));
    }
}

/**
 * fatal logging
 */
function fatalLog($message, $class, $file, $line) {
    if (LOGGER_LEVEL <= 5) {//FATAL
        pringLog(LOGGER, constructLogLine($message, $class, $file, $line, 'FATAL'));
    }
}

/**
 * logging formatter
 */
function constructLogLine($message, $class, $file, $line, $level) {
    $ip = getEnv("REMOTE_ADDR");
    $ip = ($ip=='')?"none":"$ip";
    $date = date('Y/m/d H:i:s', time());
    return "[$date][$level][$ip][".session_id()."][$line][$class]$message";
}

function pringLog($file, $str) {
    //ob_start();
    //print_r( $str );
    //$buffer = ob_get_contents();
    //ob_end_clean();
    $path = LOGGER_DIR . '/' . $file;

    $fp = fopen($path, "a+");
    fwrite($fp, $str."\n");
    fclose($fp);

    rotationLog( $path );
}

function rotationLog($path) {

    // fBNg擾
    $dirname = dirname($path);
    // t@C擾
    $basename = basename($path);

    // t@CőTCY𒴂ĂȂ`FbN
    if (filesize($path) > LOGGER_MAX_SIZE) {
        if ($dh = opendir($dirname)) {
            while (($file = readdir($dh)) !== false) {
                // O[e[Vɂč쐬ꂽt@C擾
                if (ereg("^". $basename . "\." , $file)) {
                    $arrLog[] = $file;
                }
            }

            // t@COőȂȏȂÂt@C폜
            $count = count($arrLog);
            if ($count >= LOGGER_MAX_ROTATION) {
                $diff = $count - LOGGER_MAX_ROTATION;
                for ($i = 0; $diff >= $i ; $i++) {
                    unlink($dirname. "/" .array_pop($arrLog));
                }
            }

            // Ot@C̓Y炷
            $count = count($arrLog);
            for ($i = $count; 1 <= $i; $i--) {
                $move_number = $i + 1;
                if(file_exists("$path.$move_number")) unlink("$path.$move_number");
                copy("$dirname/" . $arrLog[$i - 1], "$path.$move_number");		
            }
            $ret = copy($path, "$path.1");

            // VKOt@C쐬
            if ($ret) {
                unlink($path);
                touch($path);
            }
        }
    }
}
?>
