<?php
/**
* j[PKwNX
*
* @package Menu
* @author S.Tajiam  <tajima@exbridge.jp> 2007/04/05
* @since PHP 5.0
*/
class xbMenuType1 extends xbBaseMenu{

    private $userInfo;

    private $topLevelList = array();

    private $topLevelSubList = array();

    private $middleLevelList = array();

    private $middleLevelSubList = array();


    public function setUserInfo($userInfo){
        $this->userInfo = $userInfo;
    }

    public function addTopLevelMenu($value){
    	$this->topLevelList[] = $value;
    }

    public function addTopLevelSubMenu($value){
        $this->topLevelSubList[] = $value;
    }

    public function addMeddleLevelMenu($value){
        $this->middleLevelList[] = $value;
    }

    public function addMeddleLevelSubMenu($value){
        $this->middleLevelSubList[] = $value;
    }

    /**
     * gbvxj[wb_[o
     */
    private function writeHeaderTopMenu(){
        return "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td colspan=3 align=right style='background-color: #003366';></td></tr><tr><td width=800px><div class=menuBar>";
    }

    /**
     * gbvxj[tb^[o
     */
    private function writeFooterTopMenu(){
        $this->setCredential(AuthService::ADMIN);
        $credential = $this->isCredential();
        $htmlString = array();
        $htmlString[] = "</div></td><td align=right><div class=menuBar style='background-color:#FFFFFF;'>";
        if(!$credential){
            $htmlString[] = link_to("Ǘҗp", xbUtil::getRedirectURL("xbrg_uam.php/RequestUserLogonKanri/1"), array("class"=>"menuButton"))."</div></td>";
        }
        $htmlString[] = "<td align=right><div class=menuBar>".link_to("OIt", LOGOFF_URL, array("class"=>"menuButton"))."</div>";
        $htmlString[] = "</td></tr></table>";
        return implode("\n", $htmlString);
    }

    /**
     * ~hxj[wb_[o
     */
    private function writeHeaderMeddleMenu(){
        return "<div class=menuBar2>";
    }

    /**
     * ~hxj[tb^[o
     */
    private function writeFooterMeddleMenu(){
        return "</div>";
    }

    /**
     * Tuj[wb_[o
     */
    private function writeHeaderSubMenu($url){
        return "<div class=menu2 id='$url' onmouseover=menuMouseover(event)>";
    }

    /**
     * Tuj[tb^[o
     */
    private function writeFooterSubMenu(){
        return "</div>";
    }

    /**
     * gbvxj[o
     */
    private function writeTopLevelMenu(){
        $htmlString = '';
        foreach($this->topLevelList as $tmpList){
            $htmlString .= $tmpList->write();
        }
        return $this->writeHeaderTopMenu() . $htmlString . $this->writeFooterTopMenu();
    }

    /**
     * gbvxTuj[o
     */
    private function writeTopLevelSubMenu(){
        $htmlString = array();
        $tmpStr = "";
        foreach($this->topLevelSubList as $tmpList){
            if($tmpStr!=$tmpList->getSystem()){
                if($tmpStr!=""){
                    $htmlString[] = $this->writeFooterSubMenu();
                }
                $tmpStr = $tmpList->getSystem();
                $htmlString[] = $this->writeHeaderSubMenu($tmpStr);
            }
            $htmlString[] = $tmpList->write();
        }
        $htmlString[] = $this->writeFooterSubMenu();
        return implode("\n", $htmlString);
    }

    /**
     * ~hxj[o
     */
    private function writeMeddleLevelMenu(){
        $htmlString = '';
        foreach($this->middleLevelList as $tmpList){
            $htmlString .= $tmpList->write();
        }
        return $this->writeHeaderMeddleMenu() . $htmlString . $this->writeFooterMeddleMenu();
    }

    /**
     * ~hxTuj[o
     */
    private function writeMeddleLevelSubMenu(){
        $htmlString = array();
        $tmpStr = "";
        foreach($this->middleLevelSubList as $tmpList){
            $baseKey = $tmpList->getSystem();
            if($tmpStr!=$baseKey){
                if($tmpStr!=""){
                    $htmlString[] = $this->writeFooterSubMenu();
                }
                $tmpStr = $baseKey;
                $htmlString[] = $this->writeHeaderSubMenu($tmpStr);
            }
            $htmlString[] = $tmpList->write();
        }
        $htmlString[] = $this->writeFooterSubMenu();
        return implode("\n", $htmlString);
    }

    /**
     * j[o
     */
    public function make(){
        return $this->writeTopLevelMenu().$this->writeTopLevelSubMenu().$this->writeMeddleLevelMenu().$this->writeMeddleLevelSubMenu();
    }
}
?>
