<?php
/**
* j[PKwNX
*
* @package Menu
* @author Y.Shimizu  <shimizu@exbridge.jp> 2008/01/08
* @since PHP 5.0
*/
class xbMenuType2 extends xbBaseMenu{

    private $userInfo;

    private $topLevelList = array();

    private $middleLevelList = array();

    private $bottomLevelList = array();

    private $cnt = 0;

    public function setUserInfo($userInfo){
        $this->userInfo = $userInfo;
    }

    public function addTopLevelMenu($value){
    	$this->topLevelList[] = $value;
    }

    public function addMeddleLevelMenu($value){
        $this->middleLevelList[] = $value;
    }

    public function addBottomLevelMenu($value){
        $this->bottomLevelList[] = $value;
    }

    /**
     * j[@JeS[iKwEKwjo
     */
    private function writeCategory(){
        $html_array = array();
        //JeS[o͗̈

        $html_array[] = "<div id='menu_control'>";
        $html_array[] = "   <a href='#' onclick='javascript:j$(\"#menu_category\").toggle();if(this.id==\"btn_openmenu\"){this.id=\"btn_closemenu\"}else{this.id=\"btn_openmenu\"}' id='btn_openmenu'></a>";
        $html_array[] = "</div>";
        $html_array[] = "<div id='menu_category'>";
        $html_array[] = "  <div class='header'></div>";
        $html_array[] = "  <div class='body'></div>";
        $html_array[] = "  <div class='footer'></div>";
        $html_array[] = "  <a id='menu_category_close' href='#' onclick='javascript:j$(\"#menu_category\").toggle();document.getElementById(\"btn_closemenu\").id = \"btn_openmenu\"'></a>";
        $html_array[] = "  <div class='contents'>";
        foreach($this->topLevelList as $topLevel){
            $tmp_html_array = array();
            $topLevelStr = $topLevel->write();;
            //eiKwjȂꍇ͎q͏oȂ
            if(xbUtil::isNULL($topLevelStr)){
                continue;
            }
            $tmp_html_array[] = $topLevelStr;

            //qiKwjo
            $tmp_html_array[] = "<ul class='" . $topLevel->getSystem() . "'>";
            //qiKwj̐
            $middleLevelCnt = 0;
            foreach($topLevel->getChildList() as $middleLevel) {
                $middleLevelStr = $middleLevel->write();
                if(xbUtil::isNULL($middleLevelStr)){
                    continue;
                }
                $middleLevelCnt++;
                $tmp_html_array[] = $middleLevelStr;
            }
            $tmp_html_array[] = "</ul>";
            //qiKwjȂꍇe͏oȂ
            if($middleLevelCnt == 0){
                continue;
            }
            $html_array[] = implode("\n", $tmp_html_array);
        }
        $html_array[] = "  </div>";
        $html_array[] = "</div>";
        //ieŃXg{bNXz-indexȂ
        $html_array[] = "<script type='text/javascript'>";
        $html_array[] = "    j$('#menu_category').bgiframe();";
        $html_array[] = "</script>";
        return implode("\n", $html_array);
    }

    /**
     * j[@JeS[ڍׁiOKwjo
     */
    private function writeDetail(){
        $html_array = array();
        $html_array[] = "<div id='menu_detail'>";
        $html_array[] = "<ul class='tabs-nav'>";
        foreach($this->bottomLevelList as $bottomLevel){
            $html_array[] = $bottomLevel->write();
        }
        $html_array[] = "</ul>";
        $html_array[] = "</div>";
        //tab
        $html_array[] = "<div class='tabs-container'>";
        $html_array[] = "</div>";
        return implode("\n", $html_array);
    }

    /**
     * j[o
     *    writeCategory (EKw)
     *    writeDetail (OKw)
     */
    public function make(){
        $menu_html = '';
        if (FLG_MENU_CATEGORY) {
            $menu_html .= $this->writeCategory() ."\n";
        }
        $menu_html .= $this->writeDetail() ."\n";
        return $menu_html;
    }
}
?>
