<?php
/**
* j[pNX
*
* @package MenuConfig
* @author Y.Shimizu <shimizu@exbridge.jp>
*         S.Tajiam  <tajima@exbridge.jp> 2007/04/05 p
* @since PHP 5.0
*/
abstract class xbBaseMenu{

    /**
     *
     * @var array
     *
     */
    protected $authManager;             //NX

    private $type = MENU_TYPE;   //0:] 1:

    private $system;                    //VXe

    private $title;                     //^Cg

    private $uri;                       //NURL

    private $baseUrl;                   //NURLiVXeʗpj

    private $subBase;                   //NURL

    private $credential;                //

    private $enable = "YES";             //

    private $disabled;                   //gps

    private $childList = array();

    /**
     * Tv
     *  RXgN^
     */
    function __construct($authManager = null){
        $this->authManager = $authManager;
    }

    /**#@+
     *
     * @access public
     */
    public function getType() {
        return $this->type;
    }
    public function setType($type) {
        $this->type = $type;
    }

    public function getSystem() {
        return $this->system;
    }
    public function setSystem($system) {
        $this->system = $system;
    }

    public function getTitle() {
        return $this->title;
    }
    public function setTitle($title) {
        $this->title = $title;
    }

    public function getBaseUrl() {
        return $this->baseUrl;
    }
    public function setBaseUrl($baseUrl) {
        if(!xbUtil::isNULL($baseUrl)){
            $this->baseUrl = $baseUrl;
        }
    }

    public function getSubBase() {
        return $this->subBase;
    }
    public function setSubBase($subBase) {
        if(!xbUtil::isNULL($subBase)){
            $this->subBase = $subBase;
        }
    }

    public function getUri() {
        return $this->uri;
    }
    public function setUri($uri) {
        if(!xbUtil::isNULL($uri)){
            $this->uri = $uri;
        }
    }

    public function getEnable() {
        return $this->enable;
    }
    public function setEnable($enable) {
        if(!xbUtil::isNULL($enable)){
            $this->enable = $enable;
        }
    }

    public function getDisabled() {
        return $this->disabled;
    }
    public function setDisabled($disabled) {
        $this->disabled = $disabled;
    }

    public function getCredential() {
        return $this->credential;
    }
    public function setCredential($credential) {
        if(!xbUtil::isNULL($credential)){
            $this->credential = $credential;
        }
    }

    public function addChild($child){
        $this->childList[] = $child;
    }

    public function getChildList(){
        return $this->childList;
    }

    public function isUriEnable($value=null, $mode=0){
        //ubaseurlvݒ肳Ăꍇ́AubaseurlvŔ
        //uurivݒ肳Ăꍇ́AuurivŔ
        //usubbasevݒ肳Ăꍇ́AusubbasevD悷
        //uvaluevݒ肳Ăꍇ́AuvaluevŗD悷
        if($mode == 1){
            $baseKey = $this->baseUrl;
            if(!is_null($value)){
                $baseKey = $value;
            }
            //xbLog::logger(xbLog::DEBUG, __CLASS__, "@>>>>>>>>[".SF_APP."][$baseKey]");
            return (SF_APP.".php" == $baseKey)?true:false;
        }
        else{
            $requesturi = explode('?', $_SERVER['REQUEST_URI']);
            $routing = $requesturi[0];

            $baseKey = '/.*'.$this->baseUrl.'*/i';
            //if($this->subBase != ""){
            //    $baseKey = '/.*'.$this->subBase.'*/i';
            //}
            if($this->uri != ""){
                //uRequestvO
                $baseKey = $this->uri;
                //$baseKey = ereg_replace("Request", "", $baseKey);;
                $baseKey = '/.*'.$baseKey.'$/i';
            }
            if(!is_null($value)){
                $baseKey = '/.*'.$value.'*/i';
            }
            //xbLog::logger(xbLog::DEBUG, __CLASS__, "#>>>>>>>>[$routing][$baseKey]");
            return (preg_match($baseKey, $routing))?true:false;
        }
    }

    public function isCredential(){
        $credential = false;
        if(isset($this->credential)||!is_null($this->credential)){
            if(is_array($this->credential)){
                foreach($this->credential as $tmpCredential){
                    $credential = $this->authManager->isCredential($tmpCredential);
                    if($credential){
                        break;
                    }
                }
            }
            else{
                $credential = $this->authManager->isCredential($this->credential);
            }
        }
        else{
            $credential = true;
        }
        return $credential;
    }

    public function isEnabled(){
        return ($this->enable=="YES")?true:false;
    }

    public function write(){
        $tmpString = array();
        $tmpString[] = $this->make();
        return implode( "\n", $tmpString );
    }

    abstract public function make();
}
?>
