<?php
/**
 * ʃr[NX
 *
 * @author   Shiro Tajima <tajima@exbridge.jp>
 * @since    PHP 5.0
 */
require_once('xbBaseView.class.php');

class xbCommonView extends xbBaseView {

    public $userCompanyId;                 //pID
    public $logonUserCd;                   //[U[R[h
    public $logonPersonalId;               //lID
    public $logonUserNm;                   //[U[
    public $logonUserMail;                 //[U[[
    public $logonStaffCd;                  //Јԍ
    public $logonOrganization;             //
    public $logonOrganizationId;           //ID
    public $logonCompanyNm;                //
    public $authManager;                   //}l[W
    public $logonIcalFile;                 //icalt@C

    public $aryForBreadcrumb;              //pNYXgݒpArrayList(=>N ̘AzzɂB)
    public $displayAhead;                  //Jڐ̐ݒi߂j

    public function setUserCompanyId($value) {
        $this->userCompanyId = $value;
    }

    public function getUserCompanyId() {
        return $this->userCompanyId;
    }

    public function setLogonUserCd($value) {
        $this->logonUserCd = $value;
    }

    public function getLogonUserCd() {
        return $this->logonUserCd;
    }

    public function setLogonPersonalId($value) {
        $this->logonPersonalId = $value;
    }

    public function getLogonPersonalId() {
        return $this->logonPersonalId;
    }

    public function setLogonUserNm($value) {
        $this->logonUserNm = $value;
    }

    public function getLogonUserNm() {
        return $this->logonUserNm;
    }

    public function setLogonUserMail($value) {
        $this->logonUserMail = $value;
    }

    public function getLogonUserMail() {
        return $this->logonUserMail;
    }

    public function setLogonStaffCd($value) {
        $this->logonStaffCd = $value;
    }

    public function getLogonStaffCd() {
        return $this->logonStaffCd;
    }

    public function setLogonOrganization($value) {
        $this->logonOrganization = $value;
    }

    public function getLogonOrganization() {
        return $this->logonOrganization;
    }

    public function setLogonOrganizationId($value){
        $this->logonOrganizationId = $value;
    }

    public function getLogonOrganizationId(){
        return $this->logonOrganizationId;
    }

    public function setLogonCompanyNm($value){
        $this->logonCompanyNm = $value;
    }

    public function getLogonCompanyNm(){
        return $this->logonCompanyNm;
    }

    public function setLogonIcalFile($value){
        $this->logonIcalFile = $value;
    }

    public function getLogonIcalFile(){
        return $this->logonIcalFile;
    }

    /**
     * `FbN
     */
    public function isCredential($value){
        if(!isset($this->authManager)){
            false;
        }
        return $this->authManager->isCredential($value);
    }

    /**
     * Set pNYXgݒpAzz
     * @access public
     * @param array $arrayVal =>N̘Azz
     * @return Ȃ
     */
    public function setAryForBreadcrumb($arrayVal){
        $this->aryForBreadcrumb = $arrayVal;
    }

    /**
     * Get pNYXgݒpAzz
     * @access public
     * @param Ȃ
     * @return array =>N̘Azz
     */
    public function getAryForBreadcrumb(){
        return $this->aryForBreadcrumb;
    }

    /**
     * write pNYXg̐ݒ
     */
    public function writeBreadcrumb($nowFormNm){
        if(xbUtil::isOneOrMore($this->aryForBreadcrumb)){
            return get_breadcrumb($nowFormNm, $this->aryForBreadcrumb);
        }
    }

    /**
    * get JڐURLipNYXg擾j
    * pNYXgpAzzŏURL擾ԂB
    * pNYXgꍇɂ''ԂB
    */
    public function getDisplayAhead(){
        $rtnUrl = '';
        if(xbUtil::isOneOrMore($this->aryForBreadcrumb)){
            list($rtnUrl) = array_values($this->aryForBreadcrumb);
        }else{
            $rtnUrl = '';
        }
        return $rtnUrl;
    }

    public static function getInstance(){
        $class = __CLASS__;
        self::$instance = new $class();
        return self::$instance;
    }

    public function __construct($class=__CLASS__, $file=__FILE__) {

        try{
            if(class_exists('xbIDs', false) /*&& class_exists('sfContext', false)*/){
                //n̐ݒ
                $this->authManager = null;
                //pw version
                if (defined('SESSION_AURORA_USER_MANAGER')) {
                    $this->authManager = xbpwContext::getUser()->getUserParameter(SESSION_AURORA_USER_MANAGER);
                }
                //symfony version
                else {
                    $this->authManager = $_SESSION[xbIDs::AUTHMANAGER];
                }
                if(!is_null($this->authManager)){
                    if(!xbUtil::isNULL($this->authManager->getUserCompanyId())){
                        $this->setUserCompanyId($this->authManager->getUserCompanyId());
                        $this->setLogonUserCd($this->authManager->getUserCd());
                        $this->setLogonPersonalId($this->authManager->getPersonalId());
                        $this->setLogonUserNm($this->authManager->getUserNm());
                        $this->setLogonUserMail($this->authManager->getUserMail());
                        $this->setLogonStaffCd($this->authManager->getStaffCd());
                        $this->setLogonOrganization($this->authManager->getOrganization());
                        $this->setLogonOrganizationId($this->authManager->getOrganizationId());
                        $this->setLogonCompanyNm($this->authManager->getCompanyNm());
                        $this->setLogonIcalFile($this->authManager->getIcalFile());
                    }
                }
                if (xbUtil::isNULL($this->userCompanyId)) {
                    $this->userCompanyId = USER_COMPANY_ID;
                    if (xbUtil::isNULL($this->userCompanyId)) {
                        if (defined('SESSION_AURORA_USER_COMPANY_ID')) {
                            $this->userCompanyId = $_SESSION[SESSION_AURORA_USER_COMPANY_ID];
                        }
                    }
                }
            }
        }
        catch (Exception $e){}
        parent::__construct();
    }
}
?>