<?php
//----------------------------------------------------------------------------------------------
//mb_stringで使用
//----------------------------------------------------------------------------------------------
//不要
//define('HTML_ENCODE','UTF-8');

//-------------------------------------------------------
//エイリアス名称
//-------------------------------------------------------
define('ALIAS', 'xbe_aurora');

//-------------------------------------------------------
//ポート
//-------------------------------------------------------
define('PORT', '80');
//***************************************************************************************************************************
//***************************************************************************************************************************
//↓↓↓xbIDsより転記↓↓↓
//***************************************************************************************************************************
//***************************************************************************************************************************

//----------------------------------------------------------------------------------------------
//拡張カスタマイズパラメータ
//----------------------------------------------------------------------------------------------
define('EXTENABLE','YES');
define('MSTENABLE_KAUNET  ','YES');//カウネット
define('MSTENABLE_PCA     ','YES');//PCA連動
define('MSTENABLE_KINKOBAN','YES');//金庫番連動

//----------------------------------------------------------------------------------------------
//icalファイル保存パス（外部）
//----------------------------------------------------------------------------------------------
define('ICAL_DIR','http://labs.exbridge.jp/ical/');

//----------------------------------------------------------------------------------------------
//URL可、外部URLを使用するときは、「http」から記述してください。
//----------------------------------------------------------------------------------------------
define('TOPURL','ess_mitu_list.php');
define('LOGOFF_URL','uam_logon.php?action=RequestUnAuthenticate');
define('HELIOS_URL','http://***.***.***.***/xbe_helios/');

//----------------------------------------------------------------------------------------------
//利用会社ＩＤ
//----------------------------------------------------------------------------------------------
define('USER_COMPANY_ID','1');

//----------------------------------------------------------------------------------------------
//デモフラグ
//----------------------------------------------------------------------------------------------
define('DEMO', true);

//----------------------------------------------------------------------------------------------
//風神プレビュー用OCXファイル
//----------------------------------------------------------------------------------------------
//不要、現在JSファイル内に記述してある
//define('HOOZIN_X','/downloads/hoozin/HoozinX.ocx#Version=3.1.2.13');

//----------------------------------------------------------------------------------------------
//メニューのタイプ
//----------------------------------------------------------------------------------------------
define('VER_DISP','0');//0:非表示 1:表示

//----------------------------------------------------------------------------------------------
//ヘッダー、明細登録タイプ
//----------------------------------------------------------------------------------------------
define('DETAIL_REGIST_TYPE','1');//0:旧 1:新

//----------------------------------------------------------------------------------------------
//マスタデータキャッシュ
//----------------------------------------------------------------------------------------------
//const CACHE_ENABLE','0');//0:通常 1:memcache
//const CACHE_PORT','11211');//memcacheサーバー用ポート

//----------------------------------------------------------------------------------------------
//勤怠 時間単位設定（勤怠で使用する）
//----------------------------------------------------------------------------------------------
define('TIMEADJUST','15');

//----------------------------------------------------------------------------------------------
//ワンタイムパスワード（社内ファイル便で使用する）
//----------------------------------------------------------------------------------------------
define('ONETIMEPASSWORD','1');

//----------------------------------------------------------------------------------------------
//ディレクトリ情報
//----------------------------------------------------------------------------------------------
define('UPLOADS_DIR','/uploads');     //アップロードDIR（絶対パス）
define('DOWNLOADS_DIR','/downloads');   //ダウンロードDIR（絶対パス）
define('REPOSITORY_DIR','/uploads/svnroot'); //レポジトリーDIR（絶対パス）

//----------------------------------------------------------------------------------------------
//メール設定
//----------------------------------------------------------------------------------------------
define('MAILTYPE',1); //1:PEER 2:MAIL
define('SMTPHOST','exbridge.jp');
define('SMTPPORT','25');
define('SMTPAUTH','1');
define('MAILADMINUSER','shimizu@exbridge.jp');

//----------------------------------------------------------------------------------------------
//認証方法
//----------------------------------------------------------------------------------------------
define('SMTP_AUTH_DIGEST','DIGEST-MD5');
define('SMTP_AUTH_CRAM','CRAM-MD5');
define('SMTP_AUTH_LOGIN','LOGIN');
define('SMTP_AUTH_PLAIN','PLAIN');

//----------------------------------------------------------------------------------------------
//ユーザ権限
//----------------------------------------------------------------------------------------------
define('GUEST_AUTH_GROUP_ID',   '99');  //ゲスト
define('TMP_PASSWORD_ON',       '1');   //仮パスワード:有効
define('TMP_PASSWORD_OFF',      '0');   //仮パスワード:無効

//----------------------------------------------------------------------------------------------
//ファイル便送信最大ファイルサイズ
//----------------------------------------------------------------------------------------------
define('MAXFILESIZE',60004000);

//----------------------------------------------------------------------------------------------
//z-index指定
//----------------------------------------------------------------------------------------------
define('ZINDEX_COVER',        99);
define('ZINDEX_UNDER_COVER',  90);
define('ZINDEX_UPPER_COVER', 100);

//----------------------------------------------------------------------------------------------
//デフォルトデータベース
//----------------------------------------------------------------------------------------------
define('DBTYPE','1'); //0:MySQL 1:PostgresSQL
define('DEFAULTDB','xbrg_commons_db');
define('DNS','xb.library/propelHelper/xbConnectionDNS.php');
define('DBUSER','aurora');//データベースユーザー：バックアップに使用する
define('DATABASE','aurora');//データベース　　　　：バックアップに使用する

define('DB_MYSQL','0');
define('DB_PGSQL','1');

//----------------------------------------------------------------------------------------------
//アプリケーション設定
//----------------------------------------------------------------------------------------------
define('MSTENABLE','YES');//マスタ管理
define('INIENABLE','YES');//初期設定
define('CTMENABLE','YES');//勤怠管理
define('CCMENABLE','YES');//住所管理
define('MDMENABLE','YES');//メール配信
define('EACENABLE','YES');//経費精算
define('DOMENABLE','YES');//文書管理
define('DMBENABLE','YES');//社内ファイル便
define('FMSENABLE','YES');//備品管理
define('IRMENABLE','YES');//施設設備予約
define('WHSENABLE','YES');//入庫管理
define('LFWENABLE','YES');//出庫管理
define('AOGENABLE','YES');//入荷管理
define('SPMENABLE','YES');//出荷管理
define('SMSENABLE','YES');//売上管理
define('ROMENABLE','YES');//入金管理
define('BILENABLE','YES');//請求管理
define('CRSENABLE','YES');//売掛管理
define('BMSENABLE','YES');//仕入管理
define('PAYENABLE','YES');//出金管理
define('PIDENABLE','YES');//支払管理
define('POCENABLE','YES');//買掛管理
define('SMMENABLE','YES');//販売管理
define('ESSENABLE','YES');//見積管理
define('ACSENABLE','YES');//購買管理
define('CSRENABLE','YES');//発注依頼管理
define('IMCENABLE','YES');//在庫管理
define('TSCENABLE','YES');//棚卸管理
define('MSBENABLE','YES');//伝言管理
define('APMENABLE','YES');//アポイント管理
define('RMSENABLE','YES');//資源管理
define('INCENABLE','YES');//インシデント管理
define('PRBENABLE','YES');//問題管理
define('SYSENABLE','YES');//システム管理
define('UAMENABLE','YES');//ユーザー権限管理システム
define('WEBENABLE','YES');//WEBサービス管理システム

//----------------------------------------------------------------------------------------------
//アプリケーション XBRG_MST設定
//----------------------------------------------------------------------------------------------
define('MSTENABLE_SAIBAN','YES');//採番マスタ
define('MSTENABLE_CODE','YES');//コードマスタ
define('MSTENABLE_BUNRUI','YES');//分類マスタ
define('MSTENABLE_BUNRUI_BUNSYO','YES');//分類マスタ（文書用）
define('MSTENABLE_BUNRUI_BIHIN','YES');//分類マスタ（備品用）
define('MSTENABLE_TANABAN','YES');//棚番マスタ
define('MSTENABLE_ITEM','YES');//商品マスタ
define('MSTENABLE_FEATURE','YES');//フィーチャーマスタ
define('MSTENABLE_MAKER','YES');//メーカーマスタ
define('MSTENABLE_TOKUI','YES');//得意先マスタ
define('MSTENABLE_NOHIN','YES');//納品先マスタ
define('MSTENABLE_SIIRE','YES');//仕入先マスタ
define('MSTENABLE_HAISOU','YES');//配送先マスタ
define('MSTENABLE_JISYA','YES');//自社マスタ
define('MSTENABLE_SYAIN','YES');//社員マスタ
define('MSTENABLE_TANTO','YES');//担当者マスタ
define('MSTENABLE_OFFICIAL_TITLE','YES');//
define('MSTENABLE_SISETUBI','YES');//施設マスタ
define('MSTENABLE_BANK','YES');//銀行マスタ
define('MSTENABLE_TORIHIKISAKI_KOZA','YES');//取引先口座マスタ
define('MSTENABLE_NYUKIN','YES');//入金条件マスタ
define('MSTENABLE_TAX','YES');//消費税マスタ
define('MSTENABLE_ITEM_TANKA','YES');//商品別単価マスタ
define('MSTENABLE_TORIHIKITANKA','YES');//取引先別単価マスタ
define('MSTENABLE_REPOSITORY','YES');//リポジトリマスタ
define('MSTENABLE_ORGANIZATION','YES');//所属マスタ
define('MSTENABLE_COMPUTER','YES');//コンピュータマスタ
define('MSTENABLE_PRINTER','YES');//プリンターマスタ
define('MSTENABLE_PROJECT','YES');//プロジェクトマスタ
define('MSTENABLE_ROUTE','YES');//承認マスタ
define('MSTENABLE_CATEGORY','YES');//カテゴリーマスタ
define('MSTENABLE_PARTS','YES');//部品表マスタ
define('MSTENABLE_STORE','YES');//店舗マスタ
define('MSTENABLE_STOREADMIN','YES');//店舗管理者マスタ
define('MSTENABLE_AREA','YES');//店舗マスタ

//----------------------------------------------------------------------------------------------
//売上、仕入区分（消費税関連）
//----------------------------------------------------------------------------------------------
define('STR_ZERO','0'); //
define('KB_NORMAL','1'); //通常売上（仕入）
define('KB_HENPIN','2'); //返品
define('KB_NEBIKI','3'); //値引
define('KB_REBATE','4'); //リベート
define('KB_ZATU','5'); //雑売（仕）
define('KB_ZAPPI','6'); //雑費
define('KB_UNTIN','7'); //運賃
define('KB_ZEI','8'); //消費税
define('KB_ZEIC','9'); //消費税調整
define('KB_OTHER','10');//その他（拡張）

//----------------------------------------------------------------------------------------------
//入金・出金区分
//----------------------------------------------------------------------------------------------
define('KB_KOU_GENKIN','1');  //入金・出金区分 現金
define('KB_KOU_KOGITE','2');  //入金・出金区分 小切手
define('KB_KOU_FURIK','3');  //入金・出金区分 銀行振込
define('KB_KOU_TEGATA','4');  //入金・出金区分 手形
define('KB_KOU_SOUSAI','5');  //入金・出金区分 相殺
define('KB_KOU_NEBIKI','6');  //入金・出金区分 値引き
define('KB_KOU_OTHER','99'); //入金・出金区分 その他

//----------------------------------------------------------------------------------------------
//入荷（仕入）、出荷（売上）登録区分
//----------------------------------------------------------------------------------------------
define('CREATE_HAN_SYUKKA_KB','2');
define('CREATE_HAN_URIAGE_KB','1');
define('CREATE_KOU_NYUKA_KB','2');
define('CREATE_KOU_SIIRE_KB','1');

//----------------------------------------------------------------------------------------------
//在庫入出庫履歴
//----------------------------------------------------------------------------------------------
define('ZAIKO_RIREKI_KB_90','90'); //出庫
define('ZAIKO_RIREKI_KB_91','91'); //移動出庫
define('ZAIKO_RIREKI_KB_120','120');//入庫
define('ZAIKO_RIREKI_KB_121','121');//移動入庫
define('ZAIKO_RIREKI_KB_200','200');//在庫調整
define('ZAIKO_RIREKI_KB_210','210');//棚卸調整

//----------------------------------------------------------------------------------------------
//棚卸ステータス区分
//----------------------------------------------------------------------------------------------
define('STS_TANAOROSI','1');//棚卸中
define('STS_TANAOROSI_COMPLETE','2');//棚卸終了

//----------------------------------------------------------------------------------------------
//指示棚卸対象区分
//----------------------------------------------------------------------------------------------
define('SIJI_TANAOROSI_ZAIKO','01');//在庫
define('SIJI_TANAOROSI_BIHIN','02');//備品

//----------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------
define('TANAOROSI_INJIJYUN_NO','999999999999');

//----------------------------------------------------------------------------------------------
//状況ステータス
//----------------------------------------------------------------------------------------------
define('STS_MITUMORI_SEND','040');      //見積（送）
define('STS_MITUMORI_APPROVE','041');   //見積承認
define('STS_MITUMORI_REJECT','042');    //見積却下
define('STS_HACHU_IRAI','055');         //発注依頼
define('STS_HACHU_IRAI_APPROVE','056'); //発注依頼 承認
define('STS_HACHU_IRAI_REJECT','057');  //発注依頼 却下
define('STS_HACHU','060');              //発注
define('STS_JUCHU','070');              //受注
define('STS_UKEZUMI','071');            //請済
define('STS_PICKING','080');            //ピッキング
define('STS_SYUKO','090');              //出庫
define('STS_SYUKA','100');              //出荷検品
define('STS_NYUKA','110');              //入荷検品
define('STS_NYUKO','120');              //入庫
define('STS_SEIKYU_KARI','130');        //仮締請求
define('STS_SEIKYU','140');             //請求
define('STS_SIIRE','150');              //仕入
define('STS_SIHARAI','160');            //支払
define('STS_NYUKIN','180');             //入金
define('STS_SYUKIN','170');             //出金
define('STS_SYOUHIN','200');            //商品マスタより、取得用定数
define('STS_ALL','001');                //出金一覧より、状況取得

//----------------------------------------------------------------------------------------------
//対象選択
//----------------------------------------------------------------------------------------------
define('SELECT_ALL','1');//全対象
define('SELECT_NOT_NYUKIN','2');//入金済は対象外
define('SELECT_NOT_SIHARAI','2');//支払い済は対象外

//----------------------------------------------------------------------------------------------
//採番マスタキー
//----------------------------------------------------------------------------------------------
define('ID_SYAIN_NO','2');//社員番号

define('ID_SINSEI_NO','41');//経費精算番号

define('ID_KOU_ORDER_IRAI_NO','20');//発注依頼番号
define('ID_KOU_MITU_IRAI_NO','21');//見積依頼番号
define('ID_KOU_MITU_NO','22');//見積番号
define('ID_KOU_ORDER_NO','23');//発注番号
define('ID_KOU_NYUKA_KENPIN_NO','25');//入荷検品番号
define('ID_KOU_PAID_SIME_NO','26');//支払締番号
define('ID_KOU_SIIRE_NO','27');//仕入番号
define('ID_KOU_SYUKKIN_NO','28');//出金番号
define('ID_KOU_KAIKAKE_SIME_NO','29');//買掛締番号

define('ID_HAN_MITU_IRAI_NO','31');//見積依頼番号
define('ID_HAN_MITU_NO','32');//見積番号
define('ID_HAN_ORDER_NO','33');//受注番号
define('ID_HAN_PICKING_NO','34');//ピッキング番号
define('ID_HAN_DELIVERY_NO','35');//納品書番号
define('ID_HAN_BILL_NO','36');//請求書番号
define('ID_HAN_URI_NO','37');//売上番号
define('ID_HAN_NYUKIN_NO','38');//入金番号
define('ID_HAN_URIKAKE_SIME_NO','39');//売掛締番号

define('ID_INCIDENT_NO','300');//インシデント番号
define('ID_PROBLEM_NO','301');//問題番号

//----------------------------------------------------------------------------------------------
//その他定数
//----------------------------------------------------------------------------------------------
define('SIMBI_LAST_DAY','99');//末日
define('SIHARAI_KB_TUDO','1');//支払区分：都度支払
define('SIHARAI_KB_SIME','2');//支払区分：締支払
define('SEIKYU_KB_TUDO', '1');//請求区分：都度支払
define('SEIKYU_KB_SIME', '2');//請求区分：締支払
define('SIHARAI_STYLE_KURIKOSI',    '1');//支払スタイル：繰越
define('SIHARAI_STYLE_NOT_KURIKOSI','2');//支払スタイル：非繰越
define('SEIKYU_STYLE_KURIKOSI',     '1');//請求スタイル：繰越
define('SEIKYU_STYLE_NOT_KURIKOSI', '2');//請求スタイル：非繰越
define('ZEI_KB_SOTOZEI','2');//税区分：外税

//----------------------------------------------------------------------------------------------
//ルート体系
//----------------------------------------------------------------------------------------------
define('ROUTEKB_SYONIN','6');      //承認管理用分類マスタ

    //----------------------------------------------------------------------------------------------
    //承認区分
    //----------------------------------------------------------------------------------------------
    define('SYONINKB_01', '1');//発注依頼
    define('SYONINKB_02', '2');//見積

        //----------------------------------------------------------------------------------------------
        //承認状況区分
        //----------------------------------------------------------------------------------------------
        define('SYONIN_JYOKYO_KB_01', '1');//承認
        define('SYONIN_JYOKYO_KB_02', '2');//却下
        define('SYONIN_JYOKYO_KB_03', '3');//取消

//=============================================
//ユーザー登録
//=============================================
define('ACTIVATED_YES','1');    //承認済み
define('ACTIVATED_NO','0');     //未承認

define('INFOSPACE','InfomationSpace');
define('SESSSPACE','UserSessionSpace');

define('INFOMATION','Infomation');
define('AUTHMANAGER','AuthManager');
define('REQURI','RequestURI');
define('V_PREVIEW','Preview');
define('V_PVCNT','PreviewCnt');
define('V_LOGON_SECURITY','logonSecurityView');
define('FROM','From');

//----------------------------------------------------------------------------------------------
//自動採番用文字列
//----------------------------------------------------------------------------------------------
//マスタ系
define('TBMGROUPINFO_ID','TbmGroupInfo_GroupId');
define('TBMCOMPANYBASE_ID','TbmCompanyBase_CompanyId');
define('TBMPERSONALBASE_ID','TbmPersonalBase_PersonalId');
define('TBMMAKER_ID','TbmMaker_MakerId');
define('TBMTANTO_ID','TbmTanto_TantoId');
define('TBMTOKUI_ID','TbmTokui_TokuiId');
define('TBMSIIRE_ID','TbmSiire_SiireId');
define('TBMBUNRUI_ID','TbmBunrui_BunruiId');
define('TBMITEM_ID','TbmItem_ItemId');
define('TBMOFFICIAL_ID','TbmOfficialTitle_OfficialId');
define('TBMSISETUBI_ID','TbmSisetubi_SisetubiId');
define('TBMBIHIN_ID','TbmBihin_BihinId');
define('TBMBIHIN_BARCORD','TbmBihin_BarcordId');
define('TBMBANK_ID','TbmBank_BankId');
define('TBMTAX_ID','TbmTax_TaxId');
define('TBMITEM_TANKA_ID','TbmItemTanka_TankaId');
define('TBMTORIHIKITANKA_ID','TbmTorihikiTanka_TorihikiTankaId');
define('TBMNYUKINJOKEN_ID','TbmNyukinJoken_NyukinJokenId');
define('TBMHAISOU_ID','TbmHaisou_HaisouId');
define('TBMTANA_ID','TbmTana_TanaId');
define('TBMTORIHIKISAKI_KOZA_ID','TbmTorihikisakiKoza_TorihikisakiKozaId');
define('TBMREPOSITORY_ID','TbmRepository_RepositoryId');
define('TBMRESOURCE_COMPUTER_ID','TbmResourceComputer_ComputerId');
define('TBMRESOURCE_PRINTER_ID','TbmResourcePrinter_PrinterId');
define('TBMPROJECT_ID','TbmProject_ProjectId');
define('TBMSTORE_ID','TbmStore_StoreId');
define('TBMSTOREADMIN_ID','TbmStoreAdmin_StoreAdminId');

//----------------------------------------------------------------------------------------------
//トランザクション系
//----------------------------------------------------------------------------------------------
define('TBTSEND_ID','TbtSendRecord_SendNo');
define('TBTDOCUMENTMNG_ID','TbtDocumentMng_DocumentId');
define('TBTDOWNLOADLOG_ID','TbtDownloadLog_LogId');
define('TBTTAKUSENDRECORD_ID','TbtTakuSendRecord_SendId');
define('TBTSISETUBIRESERVE_ID','TbtSisetubiReserve_ReserveId');
define('TBTBIHINIDOLOG_ID','TbtBihinIdoLog_LogId');
define('TBTINCIDENT_NO','TbtIncident_IncidentNo');
define('TBTOPMFILE_ID','TbtOpmFile_FileId');
define('TBTINCIDENTANSWER_ID','TbtIncidentAnswer_AnswerId');
define('TBTINCIDENTSTATUS_ID','TbtIncidentStatus_StatusId');
define('TBTPROBLEMANSWER_ID','TbtProblemAnswer_AnswerId');
define('TBTPROBLEMSTATUS_ID','TbtProblemStatus_StatusId');
define('TBTSYONINRIREKI_ID','TbtSyoninRireki_SyoninRirekiId');

//----------------------------------------------------------------------------------------------
//在庫管理システム用
//----------------------------------------------------------------------------------------------
define('TBTNYUSYUKORIREKI_ID','TbtNyusyukoRireki_NyusyukoRirekiId');
define('TBTZAIKO_ID','TbtZaiko_ZaikoId');

//----------------------------------------------------------------------------------------------
//棚卸管理システム用
//----------------------------------------------------------------------------------------------
define('TBTTANAOROSISIJI_ID','TbtTanaorosiSiji_TanaorosiSijiId');

//----------------------------------------------------------------------------------------------
//購買管理システム用
//----------------------------------------------------------------------------------------------
define('TBTKOUSTATUS_ID','TbtKouStatus_StatusId');

//----------------------------------------------------------------------------------------------
//販売管理システム用
//----------------------------------------------------------------------------------------------
define('TBTHANSTATUS_ID','TbtHanStatus_Status_Id');

//----------------------------------------------------------------------------------------------
//伝言管理システム用
//----------------------------------------------------------------------------------------------
define('TBTDENGON_DENGONID','TbtDengon_DengonId');
define('TBTAPPOINT_APPOINTID','TbtAppoint_AppointId');

//----------------------------------------------------------------------------------------------
//広告表示用ファイル
//----------------------------------------------------------------------------------------------
define('ADVERTISEMENT_APM_DIR','/tmp/advertisement_apm.txt');
define('ADVERTISEMENT_DMB_DIR','/tmp/advertisement_dmb.txt');
define('ADVERTISEMENT_INC_DIR','/tmp/advertisement_inc.txt');
define('ADVERTISEMENT_MDM_DIR','/tmp/advertisement_mdm.txt');
define('ADVERTISEMENT_MSB_DIR','/tmp/advertisement_msb.txt');
define('ADVERTISEMENTM_MSB_DIR','/tmp/advertisement_msb_mobile.txt');
define('ADVERTISEMENT_PRB_DIR','/tmp/advertisement_prb.txt');

//----------------------------------------------------------------------------------------------
//メッセージ背景
//----------------------------------------------------------------------------------------------
define('COLOR_INFOMATION','#0000FF');
define('COLOR_WARNNING','#FF0000');
//----------------------------------------------------------------------------------------------
//コンポーネントの戻り値出力スイッチ
//----------------------------------------------------------------------------------------------
define('COMPONENT_RETURN_NOVALUE',0);
define('COMPONENT_RETURN_VALUE',1);


//***************************************************************************************************************************
//***************************************************************************************************************************
//↑↑↑xbIDsより転記↑↑↑
//***************************************************************************************************************************
//***************************************************************************************************************************


//====================================================================================
//Aurora用共通セッションキー
//====================================================================================
define('XBE_AURORA_COMMON_SESSION_RESULT',         'aurora.common.sesson.result');      //resultコードとメッセージを保持(r_code,r_mesage)
define('XBE_AURORA_COMMON_SESSION_REPORT',         'aurora.common.sesson.report');      //帳票情報を保持(hzf_path,csv_path,print_kb)
define('XBE_AURORA_COMMON_BREADCRUMB',             'aurora.common.sesson.breadcrumb');//パンくずリスデータを保持

//-------------------------------------------------------
//Aurora用ユーザーセッションキー
//-------------------------------------------------------
//define('XBE_AURORA_USER_SESSION_MANAGER',         'aurora.user.sesson.manager');
//define('XBE_AURORA_USER_SESSION_USER_COMPANY_ID', 'aurora.user.sesson.tmp.usercompanyid');

//====================================================================================
// xbeSmmシステムセッションキー
//====================================================================================
define('XBE_AURORA_SMM_SESSION_ORDER',             'aurora.ess.session.order');               //受注情報保存
define('XBE_AURORA_SMM_SESSION_ORDER_DETAIL_LIST', 'aurora.ess.session.order_detail_list');   //受注詳細情報保存


//====================================================================================
// xbeEssシステムセッションキー
//====================================================================================
define('XBE_AURORA_ESS_SESSION_MITU',             'aurora.ess.session.mitu');               //見積情報保存
define('XBE_AURORA_ESS_SESSION_MITU_DETAIL_LIST', 'aurora.ess.session.mitu_detail_list');   //見積詳細情報保存

//====================================================================================
// xbeCsrシステムセッションキー
//====================================================================================
define('XBE_AURORA_CSR_SESSION_HACHUIRAI_LIST',         'aurora.ess.session.hachu_irai_list');          //発注依頼一覧の検索条件
define('XBE_AURORA_CSR_SESSION_HACHUIRAI',              'aurora.ess.session.hachu_irai');               //発注依頼情報保存
define('XBE_AURORA_CSR_SESSION_HACHUIRAI_DETAIL_LIST',  'aurora.ess.session.hachu_irai_detail_list');   //発注依頼詳細情報保存

//====================================================================================
// xbeAcsシステムセッションキー
//====================================================================================
define('XBE_AURORA_ACS_SESSION_HACHUMEISAI',            'aurora.acs.session.hachumeisai');  //発注明細
//====================================================================================
// xbeBmsシステムセッションキー
//====================================================================================
define('XBE_AURORA_BMS_SESSION_SIIREMEISAI',            'aurora.bms.session.siiremeisai');  //仕入明細
//====================================================================================
// xbeImcシステムセッションキー
//====================================================================================
define('XBE_AURORA_IMC_SESSION_ZAIKOHIKIATE',            'aurora.imc.session.zaikohikiate');  //在庫引き当て
//====================================================================================
// xbeSmsシステムセッションキー
//====================================================================================
define('XBE_AURORA_SMS_SESSION_URIAGEMEISAI',            'aurora.sms.session.uriagemeisai');  //売上明細


//-------------------------------------------------------
//Aurora用document_root
//-------------------------------------------------------
define('AURORA_WEB_DIR', PW_ROOT_DIR . '/app/web/aurora');

//-------------------------------------------------------
//Aurora用　アップロード用
//-------------------------------------------------------
define('AURORA_UPLOAD_DIR', 'uploads');

//-------------------------------------------------------
//Aurora用　ダウンロード用
//-------------------------------------------------------
define('AURORA_DOWNLOAD_DIR', 'downloads');

//-------------------------------------------------------
//アップロードプロセス用
//-------------------------------------------------------
define('XBE_TERMINATE_UPLOAD', "<html><head><script>eval('parent.document.getElementById(\'upload_div\').style.display=\'none\';alert(\'%s\')')</script><body bottommargin=0 leftmargin=0 topmargin=0 rightmargin=0><center><font style='font-size:12px;'>処理中です。しばらくお待ちください。<font><br><img src='images/progress.gif'><br></center></body></html>");

//-------------------------------------------------------
//モジュール画像
//-------------------------------------------------------
define('IMG_MODULE_UAM', 'aurora_uam.png');

//-------------------------------------------------------
//AURORA画像アップロード用
//-------------------------------------------------------
define('AURORA_UPLOAD_TEMP_DIR',        'uploads/tmp/');
define('THUMBNAIL_UPLOAD_PATH',         'uploads/thumbnail/');
define('IMAGE_UPLOAD_EXTENSION',        'jpg,jpeg,gif,bmp,png');    //画像拡張子

define('MAXFILESIZE',                   10000000);
define('UPLOAD_IMAGE_WIDTH',            100);       //幅（超過する場合は、縮小変換する）
define('UPLOAD_IMAGE_HEIGHT',           100);       //高さ

//====================================================================================
// template コンポーネント関連
//====================================================================================
define('POP_COMPANY', 'POP_COMPANY');               //会社検索
define('POP_ITEM', 'POP_ITEM');                     //商品検索
define('POP_PERSONAL', 'POP_PERSONAL');             //個人検索
define('POP_PERSONAL_MAIL', 'POP_PERSONAL_MAIL');   //個人メール検索
define('POP_TOKUI', 'POP_TOKUI');                   //得意先検索
define('POP_SEIKYU', 'POP_SEIKYU');                 //請求先検索
define('POP_SIIRE', 'POP_SIIRE');                   //仕入先検索
define('POP_SIHARAI', 'POP_SIHARAI');               //支払先検索
define('POP_TANTO', 'POP_TANTO');                   //担当者検索

//-------------------------------------------------------
// mstシステムコンポーネント
//-------------------------------------------------------
define('COMPONENT_PATH_MST', 'mst/');
define('COMPONENT_PATH_MST_TOKUI', 'mst/tokui/');

//-------------------------------------------------------
// popシステムコンポーネント
//-------------------------------------------------------
define('COMPONENT_PATH_POP', 'pop/');
define('COMPONENT_PATH_POP_COMPANY', 'pop/company/');

//-------------------------------------------------------
// essシステムコンポーネント
//-------------------------------------------------------
define('COMPONENT_PATH_ESS', 'ess/');

//-------------------------------------------------------
// csrシステムコンポーネント
//-------------------------------------------------------
define('COMPONENT_PATH_CSR', 'csr/');

?>
