create or replace function getKinmuTime(varchar, varchar, varchar) returns varchar as '

DECLARE

iTime ALIAS FOR $1;
oTime ALIAS FOR $2;
rTime ALIAS FOR $3;
ret varchar(4);

TmpFrom    time;
TmpTo      time;
TmpRest    time;
TmpTime    time;

TmpFrom_int    int;
TmpTo_int      int;
TmpRest_int    int;


BEGIN

--@ōf[^鎞͏Ȃ
if cast(length(iTime) as integer) = 0 then return null; end if;
if cast(length(oTime) as integer) = 0 then return null; end if;
if cast(length(rTime) as integer) = 0 then return null; end if;

if iTime is null then return null; end if;
if oTime is null then return null; end if;
if rTime is null then return null; end if;

TmpFrom  = cast(iTime as time);
TmpTo    = cast(oTime as time);
TmpRest  = cast(rTime as time);


SELECT EXTRACT(EPOCH FROM TmpFrom) into TmpFrom_int;
SELECT EXTRACT(EPOCH FROM TmpTo)   into TmpTo_int;
SELECT EXTRACT(EPOCH FROM TmpRest) into TmpRest_int;

if TmpTo_int - TmpFrom_int - TmpRest_int < 0 then
   return null;
end if;   

select TmpTo - TmpFrom - TmpRest into TmpTime;

return (substr(Tmptime,1,2)||substr(Tmptime,4,2));

END;'language 'plpgsql';
