CREATE TABLE tbt_appointment (
  user_company_id DECIMAL(15) NOT NULL,
  appointment_id DECIMAL(15) NOT NULL,
  user_cd VARCHAR(32) NULL,
  to_personal_id DECIMAL(15) NULL,
  appointment_dt VARCHAR(32) NULL,
  from_time VARCHAR(32) NULL,
  to_time VARCHAR(32) NULL,
  appointment_place VARCHAR(255) NULL,
  memo TEXT NULL,
  confirm_mail_flg VARCHAR(1) NULL,
  status_kbn VARCHAR(32) NULL,
  ical_cd VARCHAR(255) NULL,
  doko_personal_ids VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, appointment_id)
) with (FILLFACTOR=90);
