
CREATE TABLE tbm_bihin (
  user_company_id DECIMAL(15) NOT NULL,
  bihin_id DECIMAL(15) NOT NULL,
  bihin_kanri_cd VARCHAR(255) NULL,
  bunrui_kb VARCHAR(32) NULL,
  bunrui_id DECIMAL(15) NULL,
  bihin_nm VARCHAR(255) NULL,
  bihin_serial_cd VARCHAR(255) NULL,
  sisetubi_id DECIMAL(15) NULL,
  bihin_bar_cd VARCHAR(255) NULL,
  maker_id DECIMAL(15) NULL,
  buy_kb VARCHAR(32) NULL,
  bihin_buy_dt VARCHAR(32) NULL,
  bihin_lease_dt VARCHAR(32) NULL,
  bihin_lease_cd VARCHAR(255) NULL,
  bihin_haki_dt VARCHAR(32) NULL,
  bihin_yoto_txt TEXT NULL,
  bihin_bk TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, bihin_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_bihin_ido_log (
  user_company_id DECIMAL(15) NOT NULL,
  bihin_ido_log_id DECIMAL(15) NOT NULL,
  bihin_id DECIMAL(15) NULL,
  idomoto_sisetubi_id DECIMAL(15) NULL,
  idosaki_sisetubi_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, bihin_ido_log_id)
) with (FILLFACTOR=90);

