
CREATE TABLE tbt_sisetubi_reserve (
  user_company_id DECIMAL(15) NOT NULL,
  reserve_id DECIMAL(15) NOT NULL,
  reserve_start_dt VARCHAR(32) NULL,
  reserve_start_tm VARCHAR(32) NULL,
  reserve_end_dt VARCHAR(32) NULL,
  reserve_end_tm VARCHAR(32) NULL,
  sisetubi_id DECIMAL(15) NULL,
  riyo_su DECIMAL(15,3) NULL,
  riyo_txt TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, reserve_id)
) with (FILLFACTOR=90);

