
--
-- view structure for view tmp_sisetubi_reserve_0
--
create view tmp_sisetubi_reserve_0 as
select a.user_company_id,
       b.yymm,
       b.ymd,
       a.sisetubi_id,
       a.reserve_id,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '0800') and (a.reserve_end_tm >= '0815' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h08m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '0815') and (a.reserve_end_tm >= '0830' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h08m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '0830') and (a.reserve_end_tm >= '0845' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h08m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '0845') and (a.reserve_end_tm >= '0900' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h08m4,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '0900') and (a.reserve_end_tm >= '0915' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h09m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '0915') and (a.reserve_end_tm >= '0930' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h09m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '0930') and (a.reserve_end_tm >= '0945' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h09m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '0945') and (a.reserve_end_tm >= '1000' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h09m4,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1000') and (a.reserve_end_tm >= '1015' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h10m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1015') and (a.reserve_end_tm >= '1030' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h10m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1030') and (a.reserve_end_tm >= '1045' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h10m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1045') and (a.reserve_end_tm >= '1100' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h10m4,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1100') and (a.reserve_end_tm >= '1115' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h11m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1115') and (a.reserve_end_tm >= '1130' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h11m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1130') and (a.reserve_end_tm >= '1145' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h11m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1145') and (a.reserve_end_tm >= '1200' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h11m4,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1200') and (a.reserve_end_tm >= '1215' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h12m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1215') and (a.reserve_end_tm >= '1230' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h12m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1230') and (a.reserve_end_tm >= '1245' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h12m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1245') and (a.reserve_end_tm >= '1300' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h12m4,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1300') and (a.reserve_end_tm >= '1315' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h13m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1315') and (a.reserve_end_tm >= '1330' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h13m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1330') and (a.reserve_end_tm >= '1345' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h13m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1345') and (a.reserve_end_tm >= '1400' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h13m4,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1400') and (a.reserve_end_tm >= '1415' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h14m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1415') and (a.reserve_end_tm >= '1430' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h14m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1430') and (a.reserve_end_tm >= '1445' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h14m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1445') and (a.reserve_end_tm >= '1500' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h14m4,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1500') and (a.reserve_end_tm >= '1515' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h15m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1515') and (a.reserve_end_tm >= '1530' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h15m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1530') and (a.reserve_end_tm >= '1545' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h15m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1545') and (a.reserve_end_tm >= '1600' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h15m4,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1600') and (a.reserve_end_tm >= '1615' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h16m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1615') and (a.reserve_end_tm >= '1630' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h16m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1630') and (a.reserve_end_tm >= '1645' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h16m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1645') and (a.reserve_end_tm >= '1700' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h16m4,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1700') and (a.reserve_end_tm >= '1715' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h17m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1715') and (a.reserve_end_tm >= '1730' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h17m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1730') and (a.reserve_end_tm >= '1745' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h17m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1745') and (a.reserve_end_tm >= '1800' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h17m4,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1800') and (a.reserve_end_tm >= '1815' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h18m1,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1815') and (a.reserve_end_tm >= '1830' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h18m2,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1830') and (a.reserve_end_tm >= '1845' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h18m3,
       case when (a.reserve_start_dt < b.ymd or a.reserve_start_tm <= '1845') and (a.reserve_end_tm >= '1900' or a.reserve_end_dt > b.ymd) then 1 else 0 end as h18m4,
       a.reserve_start_dt,
       a.reserve_start_tm,
       a.reserve_end_dt,
       a.reserve_end_tm,
       a.riyo_su,
       a.riyo_txt
from   tbt_sisetubi_reserve a left outer join tbv_date b 
       on (a.reserve_start_dt <= b.ymd and a.reserve_end_dt >= b.ymd)
where  a.del_flg = '0';

--
-- view structure for view tmp_sisetubi_reserve_1
--
create view tmp_sisetubi_reserve_1 as
select a.user_company_id,
       a.yymm,
       a.ymd,
       a.sisetubi_id,
       max(h08m1) as h08m1,
       max(h08m2) as h08m2,
       max(h08m3) as h08m3,
       max(h08m4) as h08m4,
       max(h09m1) as h09m1,
       max(h09m2) as h09m2,
       max(h09m3) as h09m3,
       max(h09m4) as h09m4,
       max(h10m1) as h10m1,
       max(h10m2) as h10m2,
       max(h10m3) as h10m3,
       max(h10m4) as h10m4,
       max(h11m1) as h11m1,
       max(h11m2) as h11m2,
       max(h11m3) as h11m3,
       max(h11m4) as h11m4,
       max(h12m1) as h12m1,
       max(h12m2) as h12m2,
       max(h12m3) as h12m3,
       max(h12m4) as h12m4,
       max(h13m1) as h13m1,
       max(h13m2) as h13m2,
       max(h13m3) as h13m3,
       max(h13m4) as h13m4,
       max(h14m1) as h14m1,
       max(h14m2) as h14m2,
       max(h14m3) as h14m3,
       max(h14m4) as h14m4,
       max(h15m1) as h15m1,
       max(h15m2) as h15m2,
       max(h15m3) as h15m3,
       max(h15m4) as h15m4,
       max(h16m1) as h16m1,
       max(h16m2) as h16m2,
       max(h16m3) as h16m3,
       max(h16m4) as h16m4,
       max(h17m1) as h17m1,
       max(h17m2) as h17m2,
       max(h17m3) as h17m3,
       max(h17m4) as h17m4,
       max(h18m1) as h18m1,
       max(h18m2) as h18m2,
       max(h18m3) as h18m3,
       max(h18m4) as h18m4
from   tmp_sisetubi_reserve_0 a
group by 
       a.user_company_id,
       a.yymm,
       a.ymd,
       a.sisetubi_id;

--
-- view structure for view tmp_sisetubi_reserve_2
--
create view tmp_sisetubi_reserve_2 as
select a.user_company_id,
       a.yymm,
       a.ymd,
       a.sisetubi_id,
       a.h08m1,
       case when b.h08m1 = '1' then b.reserve_id else null end as h08m1_id,
       a.h08m2,
       case when b.h08m2 = '1' then b.reserve_id else null end as h08m2_id,
       a.h08m3,
       case when b.h08m3 = '1' then b.reserve_id else null end as h08m3_id,
       a.h08m4,
       case when b.h08m4 = '1' then b.reserve_id else null end as h08m4_id,
       a.h09m1,
       case when b.h09m1 = '1' then b.reserve_id else null end as h09m1_id,
       a.h09m2,
       case when b.h09m2 = '1' then b.reserve_id else null end as h09m2_id,
       a.h09m3,
       case when b.h09m3 = '1' then b.reserve_id else null end as h09m3_id,
       a.h09m4,
       case when b.h09m4 = '1' then b.reserve_id else null end as h09m4_id,
       a.h10m1,
       case when b.h10m1 = '1' then b.reserve_id else null end as h10m1_id,
       a.h10m2,
       case when b.h10m2 = '1' then b.reserve_id else null end as h10m2_id,
       a.h10m3,
       case when b.h10m3 = '1' then b.reserve_id else null end as h10m3_id,
       a.h10m4,
       case when b.h10m4 = '1' then b.reserve_id else null end as h10m4_id,
       a.h11m1,
       case when b.h11m1 = '1' then b.reserve_id else null end as h11m1_id,
       a.h11m2,
       case when b.h11m2 = '1' then b.reserve_id else null end as h11m2_id,
       a.h11m3,
       case when b.h11m3 = '1' then b.reserve_id else null end as h11m3_id,
       a.h11m4,
       case when b.h11m4 = '1' then b.reserve_id else null end as h11m4_id,
       a.h12m1,
       case when b.h12m1 = '1' then b.reserve_id else null end as h12m1_id,
       a.h12m2,
       case when b.h12m2 = '1' then b.reserve_id else null end as h12m2_id,
       a.h12m3,
       case when b.h12m3 = '1' then b.reserve_id else null end as h12m3_id,
       a.h12m4,
       case when b.h12m4 = '1' then b.reserve_id else null end as h12m4_id,
       a.h13m1,
       case when b.h13m1 = '1' then b.reserve_id else null end as h13m1_id,
       a.h13m2,
       case when b.h13m2 = '1' then b.reserve_id else null end as h13m2_id,
       a.h13m3,
       case when b.h13m3 = '1' then b.reserve_id else null end as h13m3_id,
       a.h13m4,
       case when b.h13m4 = '1' then b.reserve_id else null end as h13m4_id,
       a.h14m1,
       case when b.h14m1 = '1' then b.reserve_id else null end as h14m1_id,
       a.h14m2,
       case when b.h14m2 = '1' then b.reserve_id else null end as h14m2_id,
       a.h14m3,
       case when b.h14m3 = '1' then b.reserve_id else null end as h14m3_id,
       a.h14m4,
       case when b.h14m4 = '1' then b.reserve_id else null end as h14m4_id,
       a.h15m1,
       case when b.h15m1 = '1' then b.reserve_id else null end as h15m1_id,
       a.h15m2,
       case when b.h15m2 = '1' then b.reserve_id else null end as h15m2_id,
       a.h15m3,
       case when b.h15m3 = '1' then b.reserve_id else null end as h15m3_id,
       a.h15m4,
       case when b.h15m4 = '1' then b.reserve_id else null end as h15m4_id,
       a.h16m1,
       case when b.h16m1 = '1' then b.reserve_id else null end as h16m1_id,
       a.h16m2,
       case when b.h16m2 = '1' then b.reserve_id else null end as h16m2_id,
       a.h16m3,
       case when b.h16m3 = '1' then b.reserve_id else null end as h16m3_id,
       a.h16m4,
       case when b.h16m4 = '1' then b.reserve_id else null end as h16m4_id,
       a.h17m1,
       case when b.h16m1 = '1' then b.reserve_id else null end as h17m1_id,
       a.h17m2,
       case when b.h17m2 = '1' then b.reserve_id else null end as h17m2_id,
       a.h17m3,
       case when b.h17m3 = '1' then b.reserve_id else null end as h17m3_id,
       a.h17m4,
       case when b.h17m4 = '1' then b.reserve_id else null end as h17m4_id,
       a.h18m1,
       case when b.h18m1 = '1' then b.reserve_id else null end as h18m1_id,
       a.h18m2,
       case when b.h18m2 = '1' then b.reserve_id else null end as h18m2_id,
       a.h18m3,
       case when b.h18m3 = '1' then b.reserve_id else null end as h18m3_id,
       a.h18m4,
       case when b.h18m4 = '1' then b.reserve_id else null end as h18m4_id
from   tmp_sisetubi_reserve_1 a,
       tmp_sisetubi_reserve_0 b
where  a.user_company_id = b.user_company_id
and    a.ymd = b.ymd
and    a.sisetubi_id = b.sisetubi_id;

--
-- view structure for view tmp_sisetubi_reserve_3
--
create view tmp_sisetubi_reserve_3 as
select a.user_company_id,
       a.yymm,
       a.ymd,
       a.sisetubi_id,
       max(a.h08m1) as h08m1,
       max(a.h08m1_id) as h08m1_id,
       max(a.h08m2) as h08m2,
       max(a.h08m2_id) as h08m2_id,
       max(a.h08m3) as h08m3,
       max(a.h08m3_id) as h08m3_id,
       max(a.h08m4) as h08m4,
       max(a.h08m4_id) as h08m4_id,
       max(a.h09m1) as h09m1,
       max(a.h09m1_id) as h09m1_id,
       max(a.h09m2) as h09m2,
       max(a.h09m2_id) as h09m2_id,
       max(a.h09m3) as h09m3,
       max(a.h09m3_id) as h09m3_id,
       max(a.h09m4) as h09m4,
       max(a.h09m4_id) as h09m4_id,
       max(a.h10m1) as h10m1,
       max(a.h10m1_id) as h10m1_id,
       max(a.h10m2) as h10m2,
       max(a.h10m2_id) as h10m2_id,
       max(a.h10m3) as h10m3,
       max(a.h10m3_id) as h10m3_id,
       max(a.h10m4) as h10m4,
       max(a.h10m4_id) as h10m4_id,
       max(a.h11m1) as h11m1,
       max(a.h11m1_id) as h11m1_id,
       max(a.h11m2) as h11m2,
       max(a.h11m2_id) as h11m2_id,
       max(a.h11m3) as h11m3,
       max(a.h11m3_id) as h11m3_id,
       max(a.h11m4) as h11m4,
       max(a.h11m4_id) as h11m4_id,
       max(a.h12m1) as h12m1,
       max(a.h12m1_id) as h12m1_id,
       max(a.h12m2) as h12m2,
       max(a.h12m2_id) as h12m2_id,
       max(a.h12m3) as h12m3,
       max(a.h12m3_id) as h12m3_id,
       max(a.h12m4) as h12m4,
       max(a.h12m4_id) as h12m4_id,
       max(a.h13m1) as h13m1,
       max(a.h13m1_id) as h13m1_id,
       max(a.h13m2) as h13m2,
       max(a.h13m2_id) as h13m2_id,
       max(a.h13m3) as h13m3,
       max(a.h13m3_id) as h13m3_id,
       max(a.h13m4) as h13m4,
       max(a.h13m4_id) as h13m4_id,
       max(a.h14m1) as h14m1,
       max(a.h14m1_id) as h14m1_id,
       max(a.h14m2) as h14m2,
       max(a.h14m2_id) as h14m2_id,
       max(a.h14m3) as h14m3,
       max(a.h14m3_id) as h14m3_id,
       max(a.h14m4) as h14m4,
       max(a.h14m4_id) as h14m4_id,
       max(a.h15m1) as h15m1,
       max(a.h15m1_id) as h15m1_id,
       max(a.h15m2) as h15m2,
       max(a.h15m2_id) as h15m2_id,
       max(a.h15m3) as h15m3,
       max(a.h15m3_id) as h15m3_id,
       max(a.h15m4) as h15m4,
       max(a.h15m4_id) as h15m4_id,
       max(a.h16m1) as h16m1,
       max(a.h16m1_id) as h16m1_id,
       max(a.h16m2) as h16m2,
       max(a.h16m2_id) as h16m2_id,
       max(a.h16m3) as h16m3,
       max(a.h16m3_id) as h16m3_id,
       max(a.h16m4) as h16m4,
       max(a.h16m4_id) as h16m4_id,
       max(a.h17m1) as h17m1,
       max(a.h17m1_id) as h17m1_id,
       max(a.h17m2) as h17m2,
       max(a.h17m2_id) as h17m2_id,
       max(a.h17m3) as h17m3,
       max(a.h17m3_id) as h17m3_id,
       max(a.h17m4) as h17m4,
       max(a.h17m4_id) as h17m4_id,
       max(a.h18m1) as h18m1,
       max(a.h18m1_id) as h18m1_id,
       max(a.h18m2) as h18m2,
       max(a.h18m2_id) as h18m2_id,
       max(a.h18m3) as h18m3,
       max(a.h18m3_id) as h18m3_id,
       max(a.h18m4) as h18m4,
       max(a.h18m4_id) as h18m4_id
from   tmp_sisetubi_reserve_2 a
group by 
       a.user_company_id,
       a.yymm,
       a.ymd,
       a.sisetubi_id;

--
-- view structure for view tbv_sisetubi_reserve
--
create view tbv_sisetubi_reserve as
select a.user_company_id,
       b.yymm,
       b.ymd,
       a.sisetubi_id,
       c.sisetubi_kb,
       d.code_nm as sisetubi_kb_nm,
       c.sisetubi_nm,
       case when (a.h08m1 = '1' and a.h08m2 = '1' and a.h08m3 = '1' and a.h08m4 = '1' ) then 2 else
       case when (a.h08m1 = '1' or a.h08m2 = '1' or a.h08m3 = '1' or a.h08m4 = '1' ) then 1 else 0 end end as h08,
       a.h08m1,
       a.h08m1_id,
       a.h08m2,
       a.h08m2_id,
       a.h08m3,
       a.h08m3_id,
       a.h08m4,
       a.h08m4_id,
       case when (a.h09m1 = '1' and a.h09m2 = '1' and a.h09m3 = '1' and a.h09m4 = '1' ) then 2 else
       case when (a.h09m1 = '1' or a.h09m2 = '1' or a.h09m3 = '1' or a.h09m4 = '1' ) then 1 else 0 end end as h09,
       a.h09m1,
       a.h09m1_id,
       a.h09m2,
       a.h09m2_id,
       a.h09m3,
       a.h09m3_id,
       a.h09m4,
       a.h09m4_id,
       case when (a.h10m1 = '1' and a.h10m2 = '1' and a.h10m3 = '1' and a.h10m4 = '1' ) then 2 else
       case when (a.h10m1 = '1' or a.h10m2 = '1' or a.h10m3 = '1' or a.h10m4 = '1' ) then 1 else 0 end end as h10,
       a.h10m1,
       a.h10m1_id,
       a.h10m2,
       a.h10m2_id,
       a.h10m3,
       a.h10m3_id,
       a.h10m4,
       a.h10m4_id,
       case when (a.h11m1 = '1' and a.h11m2 = '1' and a.h11m3 = '1' and a.h11m4 = '1' ) then 2 else
       case when (a.h11m1 = '1' or a.h11m2 = '1' or a.h11m3 = '1' or a.h11m4 = '1' ) then 1 else 0 end end as h11,
       a.h11m1,
       a.h11m1_id,
       a.h11m2,
       a.h11m2_id,
       a.h11m3,
       a.h11m3_id,
       a.h11m4,
       a.h11m4_id,
       case when (a.h12m1 = '1' and a.h12m2 = '1' and a.h12m3 = '1' and a.h12m4 = '1' ) then 2 else
       case when (a.h12m1 = '1' or a.h12m2 = '1' or a.h12m3 = '1' or a.h12m4 = '1' ) then 1 else 0 end end as h12,
       a.h12m1,
       a.h12m1_id,
       a.h12m2,
       a.h12m2_id,
       a.h12m3,
       a.h12m3_id,
       a.h12m4,
       a.h12m4_id,
       case when (a.h13m1 = '1' and a.h13m2 = '1' and a.h13m3 = '1' and a.h13m4 = '1' ) then 2 else
       case when (a.h13m1 = '1' or a.h13m2 = '1' or a.h13m3 = '1' or a.h13m4 = '1' ) then 1 else 0 end end as h13,
       a.h13m1,
       a.h13m1_id,
       a.h13m2,
       a.h13m2_id,
       a.h13m3,
       a.h13m3_id,
       a.h13m4,
       a.h13m4_id,
       case when (a.h14m1 = '1' and a.h14m2 = '1' and a.h14m3 = '1' and a.h14m4 = '1' ) then 2 else
       case when (a.h14m1 = '1' or a.h14m2 = '1' or a.h14m3 = '1' or a.h14m4 = '1' ) then 1 else 0 end end as h14,
       a.h14m1,
       a.h14m1_id,
       a.h14m2,
       a.h14m2_id,
       a.h14m3,
       a.h14m3_id,
       a.h14m4,
       a.h14m4_id,
       case when (a.h15m1 = '1' and a.h15m2 = '1' and a.h15m3 = '1' and a.h15m4 = '1' ) then 2 else
       case when (a.h15m1 = '1' or a.h15m2 = '1' or a.h15m3 = '1' or a.h15m4 = '1' ) then 1 else 0 end end as h15,
       a.h15m1,
       a.h15m1_id,
       a.h15m2,
       a.h15m2_id,
       a.h15m3,
       a.h15m3_id,
       a.h15m4,
       a.h15m4_id,
       case when (a.h16m1 = '1' and a.h16m2 = '1' and a.h16m3 = '1' and a.h16m4 = '1' ) then 2 else
       case when (a.h16m1 = '1' or a.h16m2 = '1' or a.h16m3 = '1' or a.h16m4 = '1' ) then 1 else 0 end end as h16,
       a.h16m1,
       a.h16m1_id,
       a.h16m2,
       a.h16m2_id,
       a.h16m3,
       a.h16m3_id,
       a.h16m4,
       a.h16m4_id,
       case when (a.h17m1 = '1' and a.h17m2 = '1' and a.h17m3 = '1' and a.h17m4 = '1' ) then 2 else
       case when (a.h17m1 = '1' or a.h17m2 = '1' or a.h17m3 = '1' or a.h17m4 = '1' ) then 1 else 0 end end as h17,
       a.h17m1,
       a.h17m1_id,
       a.h17m2,
       a.h17m2_id,
       a.h17m3,
       a.h17m3_id,
       a.h17m4,
       a.h17m4_id,
       case when (a.h18m1 = '1' and a.h18m2 = '1' and a.h18m3 = '1' and a.h18m4 = '1' ) then 2 else
       case when (a.h18m1 = '1' or a.h18m2 = '1' or a.h18m3 = '1' or a.h18m4 = '1' ) then 1 else 0 end end as h18,
       a.h18m1,
       a.h18m1_id,
       a.h18m2,
       a.h18m2_id,
       a.h18m3,
       a.h18m3_id,
       a.h18m4,
       a.h18m4_id
from   tbv_date b 
       left outer join tmp_sisetubi_reserve_3 a
       on b.ymd = a.ymd
       left outer join tbm_sisetubi c
       on a.user_company_id = c.user_company_id and a.sisetubi_id = c.sisetubi_id and c.del_flg='0'
       left outer join tbm_code d
       on d.code_kb = '61' and c.user_company_id = d.user_company_id and c.sisetubi_kb = d.code;

--
-- view structure for view tbv_sisetubi_reserve_list
--
create view tbv_sisetubi_reserve_list as
select a.user_company_id,
       a.reserve_id,
       a.upd_date as reserve_dt,
       a.upd_user_cd as reserve_user_cd,
       b.personal_nm as reserve_user_nm,
       a.reserve_start_dt,
       a.reserve_start_tm,
       a.reserve_end_dt,
       a.reserve_end_tm,
       a.sisetubi_id,
       d.sisetubi_kb,
       e.code_nm as sisetubi_kb_nm,
       d.sisetubi_nm,
       d.syuyo_su,
       a.riyo_su,
       a.riyo_txt,
       a.add_date
from   tbt_sisetubi_reserve a
       left outer join tbv_user_info b
            on a.user_company_id = b.user_company_id and a.upd_user_cd = b.user_cd
       left outer join tbv_sisetubi d
            on a.user_company_id = d.user_company_id and a.sisetubi_id = d.sisetubi_id
       left outer join tbm_code e
            on e.code_kb = '61' and d.user_company_id = e.user_company_id and d.sisetubi_kb = e.code and e.del_flg='0'
where  a.del_flg = '0';

