--
-- view structure for view tbv_dengon
--
create view tbv_dengon as
select
    td.user_company_id,
    td.dengon_id,
    td.user_cd,
    vu3.personal_id as personal_id,
    vu3.personal_nm as personal_nm,
    vu3.company_nm as company_nm,
    vu3.office_mail as mail,
    td.from_personal_id,
    vu1.office_mail as from_mail,
    vu1.personal_nm as from_personal_nm,
    vu1.company_nm  as from_company_nm,
    vu1.user_cd as from_user_cd,
    vu1.password  as from_password,
    td.to_personal_id,
    vu2.personal_nm as to_personal_nm,
    vu2.company_nm as to_company_nm,
    vu2.office_mail as to_mail,
    vu2.mobile_mail as to_mobile_mail,
    vu2.user_cd as to_user_cd,
    td.dengon_title,
    td.dengon_txt,
    td.status_kbn,
    td.ktai_mail_flg,
    td.confirm_mail_flg,
    td.del_flg,
    td.upd_date
from
    tbt_dengon td
    left outer join tbv_personal_info vu1
    on (td.user_company_id  = vu1.user_company_id AND td.from_personal_id = vu1.personal_id)
    join tbv_personal_info vu2
    on (td.user_company_id  = vu2.user_company_id AND td.to_personal_id   = vu2.personal_id)
    join tbv_personal_info   vu3
    on (td.user_company_id  = vu3.user_company_id AND td.user_cd   	 = vu3.user_cd)
where
     td.del_flg='0';
