<?php
/**
 * IDクラス
 *
 * @author   Zhao DaLi<zhaodali@cnc.cn>20080612
 * @since    PHP 5.0
 */

    /*
     * 区分
     * TL タイトル（メニュー）
     * CL 項目
     */
    //共通
    define('CL_NYUKA_KENPIN_NO','入荷検品番号');
    define('CL_SIIRE','仕入先況');
    define('CL_SIIRE_COMPANY','仕入先');
    define('CL_ZENZAN_KIN','前月残高');
    define('CL_PAID_SIME_NO','支払締番号');
    define('CL_PAID_SIME_DATE','支払年月日');
    define('CL_SYUBETU','種別');
    define('CL_TOU_SIIRE_KIN','仕入金額');
    define('CL_SU','数量');
    define('CL_TANKA','単価');
    define('CL_SIIRE_NM','仕入先名');
    define('CL_PAID_SIME_DT','支払締日');
    define('CL_TOU_TAX_KIN','消費税額');
    define('CL_SYUKKIN_KIN','出金金額');
    define('CL_EDANO','枝番');
    define('CL_PRODUCT_NM','品名');
    define('CL_PRODUCT_KIKAKU','規格');
    define('CL_STATUS','状況');
    define('CL_SYUKKIN_NO','出金番号');
    define('CL_SIIRE_KIN','仕入金額');
    define('CL_TAX_KIN','消費税額');
    define('CL_SUM_SIIRE_KIN','仕入金額合計');
    define('CL_SYUKKIN_ADD_DT','出金登録日');
    define('CL_TAISYO_SELECT','対象選択');
    define('CL_SYUKKIN_CODE_KB','出金区分');
    define('CL_FURIKOMI_KIN','振込手数料');
    define('CL_SIIRE_DT','仕入日');
    define('CL_ORGANIZATION','登録部署');
    define('CL_PERSONAL','登録者');
    define('CL_SYUKKIN_DT','出金日');
    define('B_NM_PRINTTING','印刷');
    define('CL_ZANDAKA','残高');
    define('CL_TOUZAN','当月残高');
    define('CL_STS_JYOTAI','状態');
    define('CL_SHORT_LINE','-');
    define('CL_NYURYOKU_DAY','入力日');
    define('CL_KINTOTAL','合計金額');
    define('CL_SYUKKIN_GOUKEI','出金合計');

    //仕入一覧
    define('CL_ZENKAI_SYORIHI','前回締処理日');
    define('CL_SIIRE_TANTO','仕入担当者');
    define('B_NM_SIIRE_DETAIL_PRINT','仕入明細表印刷');
    define('PR_C_SIIRE_DETAIL_PRINT','選択した「仕入明細」を印刷してよろしいですか？');

    //仕入登録
    define('CL_SIIRE_BASE','仕入基本情報登録');
    define('CL_SIIRE_KB','仕入区分');
    define('CL_TANTO','担当者');
    define('CL_SIIRE_TITLE','件名');
    define('B_NM_SIIRE_DETAIL_POST','仕入明細表 印刷');
    define('PR_C_SIIRE_DETAIL_POST','「仕入明細」を発行してよろしいですか？');
    define('C_NM_OPERATE_NOT_OVER','登録していません。');
    define('CL_PAID_ALIAS_NM','帳合先');
    define('E_DB_IS_SIME','締処理終了の為、更新できません。');
    define('E_DB_DATE_IS_OLD','仕入日より新しいデータが存在しているので、更新できません');
    define('E_DB_SYUKKIN_EXIST','出金されている為、更新できません');
    define('E_DB_KAIKAKE_SIME_EXIST','買掛締処理終了の為、更新できません。');
    define('E_DB_WRONG_CREATE_KB','仕入登録画面以外からのデータは更新できません');
    define('CL_BMS_NEXT','次へ');
    define('CL_BMS_BACK','戻る');
    define('CL_BMS_DETAILUPDATE','編集');
    define('CL_BMS_DETAILDELETE','明細削除');
    define('CL_BMS_CLOSE','閉じる');
    define('CL_BMS_DB_1','明細「枝番%s」を登録しました。');
    define('CL_BMS_DB_2','明細「枝番%s」を更新しました。');
    define('CL_SIIRE_DETAIL','仕入詳細登録');
    define('CL_SIIRE_PRODUCT','品名／規格');
    define('CL_SIIRE_SU','数量');
    define('CL_SIIRE_TANI','単位');
    define('CL_SIIRE_TANKAEN','単価');
    define('CL_SIIRE_TEIKA','原価');
    define('CL_SIIRE_KINEN','金額');
    define('CL_SIIRE_KBK','種別');
    define('CL_SIIRE_BIKO','備考');
    define('B_PRODUCT_SEARCH','商品検索');
    define('SA_NM_SIIRE','権限がないので、仕入登録操作が行えない。');
    define('CL_KAKKO_LEFT', '【');
    define('CL_KAKKO_RIGHT', '】');

    //仕入関連帳票
    define('CL_SIIRE_MONTH','仕入月報');
    define('CL_IRIRAIMOTOBETU','仕入先別');
    define('CL_SYOHINBETU','商品別');
    define('CL_TANTOBETU','担当者別');
    define('CL_SIIRE_SELECT','仕入先選択');
    define('CL_TANTO_SELECT','担当者選択');
    define('CL_SIIRE_DAY','仕入日報');

    //支払残高登録
    define('CL_TOUZAN_KIN','当月支払残高');
    define('CL_TOU_HENP_KIN','返品金額');
    define('CL_TOU_NEBI_KIN','値引金額');
    define('CL_TOU_NEMA_KIN','値増金額');
    define('CL_TOU_KAKE_KIN','【当月買掛計】');
    define('CL_TOU_GENKIN_SYU_KIN','現金');
    define('CL_TOU_TEGA_SYU_KIN','手形');
    define('CL_TOU_KOGIT_SYU_KIN','小切手');
    define('CL_TOU_FURIK_SYU_KIN','振込');
    define('CL_TOU_FURIK_TES_KIN','振込手数料');
    define('CL_TOU_NEBI_SYU_KIN','値引金額');
    define('CL_TOU_SOSA_SYU_KIN','相殺金額');
    define('CL_TOU_OTHER_SYU_KIN','その他');
    define('CL_TOU_SYUK_KEI_KIN','【当月出金計】');
    define('B_NM_RE_COUNT','再計算');

    //支払残高一覧
    define('CL_PAID_YEAR_MONTH','支払年月');
    define('CL_UPDATE_ZANDAKA','残高登録');
    define('CL_SIMEBI','締日');
    define('CL_TOU_SIIRE','当月仕入');
    define('CL_TOU_TAX','当月税額');
    define('CL_TOU_SYUK_KEI','当月出金額');
    define('CL_PAID_KB','支払区分');

    //支払残高詳細
    define('CL_PAID_DATE','日付');
    define('CL_CODE_KB','区分');

    //支払明細
    define('CL_BUY_KIN','購買金額');
    define('CL_SUM_BUY_KIN','購買金額合計');
    define('CL_ORDER_NO','発注番号');
    define('CL_PAID_DT','支払日');
    define('CL_NYUKA_DT','入荷日');
    define('CL_PAID_TANTO','支払担当者');

    //支払締処理
    define('CL_LAST_PAID_SIME_DT','前回支払年月日');
    define('B_NM_KARI_SIME','仮締処理');
    define('B_NM_DO_SIME','締処理');
    define('B_NM_REDO_SIME','再締処理');
    define('CL_NOTE_01','当処理により上記支払年月分の内容で当月残高が確定します');
    define('CL_NOTE_02','再締処理では、作成済みの支払明細書のデータを破棄して、支払明細書データを再作成します');
    define('C_NM_KARI_SIME','仮締処理を実行してよろしいですか？');
    define('C_NM_DO_SIME','締処理を実行してよろしいですか？');
    define('C_NM_REDO_SIME','再締処理してよろしいですか？');
    define('E_DB_SIME','前回支払年月は支払年月より大きいの場合、締処理できません。');
    define('I_DB_SIME','締処理は正常に処理されました。');
    define('E_DB_RE_SIME','前回支払年月は支払年月と違いの場合、再締処理できません。');
    define('I_DB_RE_SIME','再締処理は正常に処理されました。');
    define('E_DB_NO_DATA','処理対象データがありません。');

    //支払締関連帳票
    define('CL_IRAI_FLAG','仕入先別');
    define('CL_TANTO_FLAG','担当者別');
    define('CL_PAID_LIST_REPORT','支払一覧表');
    define('PR_C_PRINTTING','印刷してよろしいですか？');

    //出金一覧
    define('CL_APPLY_FLG','消込');
    define('CL_PAID_SIME_DT_PAID','支払締日付');
    define('B_NM_APPLY','出金確認完了');
    define('C_NM_APPLY','出金確認完了してよろしいですか？');
    define('I_DB_SYUKKIN_APPLY','正常に出金確認されました');
    define('E_DB_SYUKKIN_APPLY','出金確認対象のデータが選択されていません');

    //出金明細

    //出金登録
    define('CL_SYUKKIN_TITLE','件名');
    define('E_NM_SYUKKIN_APPLY','データの消込が行われた為、更新操作は出来ません。');
    define('SA_NM_SYUKKIN','権限がない為、出金登録操作は出来ません。');
    define('E_DB_PAID_SIME_NO_EXIST','締処理終了の為、更新できません。');
    define('CL_SYUKKIN_SIHARAKIN','支払金額');

    //出金関連帳票
    define('CL_SYUKKIN_NIPOU','出金日報');
    define('CL_SYUKKIN_REPORT_NOTE',' （出金登録した日を指定して下さい）');
    define('CL_SYUKKIN_GEPOU','出金予定表 ');
    define('CL_TILL',' ～ ');
    define('PR_C_SYUKKIN_NIPOU','出金日報印刷してよろしいですか？');
    define('PR_C_SYUKKIN_GEPOU','出金予定表印刷してよろしいですか？');

    //買掛残高一覧
    define('CL_KAIKAKE_KANJYOU_DT','勘定年月');

    //買掛残高更新
    define('CL_KAIKAKE_TOUZAN_KIN','当月買掛残高');
    define('E_DB_UPD_PRIVILEGE','権限がない為、更新操作は出来ません。');

    //買掛締処理
    define('CL_KAIKAKE_ZENKANJYOU_DT','前回勘定年月');
    define('B_NM_SIME','締処理');
    define('B_NM_RE_SIME','再締処理');
    define('CL_KAIKAKE_INFO','当処理により上記勘定年月分の内容で次月の前月残高が設定されます');
    define('E_DB_GETPARAMETER','締処理に関してのパラメーター取得できません');
    define('E_DB_RESIME_PRIVILEGE','権限がない為、再締処理は出来ません。');

    //買掛関連帳票
    define('CL_SIIRESAKIBETU','仕入先別');
    define('CL_KAIKAKE_LIST_TABLE','買掛金一覧表 ');
    define('CL_KAIKAKE_MONTH_TABLE','月次買掛金管理表 ');
    define('CL_KAIKAKE_SIIRE_TABLE','仕入先元帳');
    define('C_PRINT_REPORT','印刷してよろしいですか？');
    define('CL_MONTHLY_REPORT','管理月報');

    define('I_DB_14','入荷日は正常に更新されました');
    define('I_DB_15','更新対象のデータが選択されていません');
    define('I_DB_16','出金は正常に登録されました');
    define('I_DB_17','出金確認対象のデータが存在しませんでした');
    define('I_DB_18','出金データの更新は、登録者もしくはシステム管理者に限る');
    define('I_DB_19','前回支払年月は支払年月より小さいの場合のみ、締処理できます');
    define('I_DB_20','締処理は正常に処理されました');
    define('I_DB_21','前回支払年月は支払年月と違いの場合、再締処理できません');
    define('I_DB_22','再締処理は正常に処理されました');
    define('I_DB_23','権限がない為、締処理は出来ません');
    define('I_DB_24','締処理に関連しているパラメーターが取得できません');
    define('I_DB_25','権限がない為、登録操作が行えない');
    define('I_DB_26','締処理の対象データはありません');
    define('I_DB_27','前回の支払を削除できませんでした');
    define('I_DB_28','再締処理の対象データはありません');
    define('I_DB_29','エラー行が存在します');
    define('I_DB_30','明細件数は最大７行までです');
    define('I_DB_31','仕入先情報の支払スタイルが取得できませんでした');

?>