<?php
//====================================================================================
//
//====================================================================================
define('XBE_DENY',           'accessDeny.php');     //アクセス違反画面
define('XBE_DENY_NOT_SYAIN', 'accessDenySyain.php');//アクセス違反画面（非社員）

//====================================================================================
// xbeCommonシステムルーティング情報
//====================================================================================
define('XBECOMMON_R_SISETUBI',  'common.php?action=RequestSisetubiList');   //施設設備リスト取得
define('XBECOMMON_R_TANA',      'common.php?action=RequestTanaList');       //棚リスト取得
define('XBECOMMON_R_PARENTTANALIST',      'common.php?action=RequestParentTanaList');       //棚リスト階層取得
define('XBECOMMON_R_BUNRUILIST',      'common.php?action=RequestBunruiList');       //分類リスト取得
define('XBECOMMON_R_TANAOROSI',      'common.php?action=RequestTanaorosiList');       //棚卸リスト取得
define('XBECOMMON_R_TANAOROSITABLELIST',      'common.php?action=RequestTanaorosiTableList');       //棚卸テーブルリスト

//====================================================================================
// xbePopシステムルーティング情報
//====================================================================================
define('XBEPOP_R_PERSONAL_USER_STAFF_IF',           'xbe_search_personal_user_staff.php');                                      //個人検索（ユーザー登録されていない社員を検索する）
define('XBEPOP_R_PERSONAL_USER_STAFF',              'xbe_search_personal_user_staff.php?action=RequestPopPersonal');            //個人検索（ユーザー登録されていない社員を検索する）
define('XBEPOP_R_PERSONAL_USER_STAFF_SEARCH',       'xbe_search_personal_user_staff.php?action=RequestPopPersonalSearch');      //個人検索（ユーザー登録されていない社員を検索する）
define('XBEPOP_R_PERSONAL_USER_STAFF_PAGING',       'xbe_search_personal_user_staff.php?action=RequestPopPersonalPaging');      //個人検索（ユーザー登録されていない社員を検索する）
define('XBEPOP_R_PERSONAL_USER_NOT_STAFF_IF',       'xbe_search_personal_user_not_staff.php');                                  //個人検索（ユーザー登録されていない社員以外を検索する）
define('XBEPOP_R_PERSONAL_USER_NOT_STAFF',          'xbe_search_personal_user_not_staff.php?action=RequestPopPersonal');        //個人検索（ユーザー登録されていない社員以外を検索する）
define('XBEPOP_R_PERSONAL_USER_NOT_STAFF_SEARCH',   'xbe_search_personal_user_not_staff.php?action=RequestPopPersonalSearch');  //個人検索（ユーザー登録されていない社員以外を検索する）
define('XBEPOP_R_PERSONAL_USER_NOT_STAFF_PAGING',   'xbe_search_personal_user_not_staff.php?action=RequestPopPersonalPaging');  //個人検索（ユーザー登録されていない社員以外を検索する）
define('XBEPOP_R_PERSONAL_NOT_TANTO_IF',            'xbe_search_personal_not_tanto.php');                                       //個人検索（担当者でない人を検索する）
define('XBEPOP_R_PERSONAL_NOT_TANTO',               'xbe_search_personal_not_tanto.php?action=RequestPopPersonal');             //個人検索（担当者でない人を検索する）
define('XBEPOP_R_PERSONAL_NOT_TANTO_SEARCH',        'xbe_search_personal_not_tanto.php?action=RequestPopPersonalSearch');       //個人検索（担当者でない人を検索する）
define('XBEPOP_R_PERSONAL_NOT_TANTO_PAGING',        'xbe_search_personal_not_tanto.php?action=RequestPopPersonalPaging');       //個人検索（担当者でない人を検索する）
define('XBEPOP_R_PERSONAL_NOT_STAFF_IF',            'xbe_search_personal_not_staff.php');                                       //個人検索（社員でない人を検索する）
define('XBEPOP_R_PERSONAL_NOT_STAFF',               'xbe_search_personal_not_staff.php?action=RequestPopPersonal');             //個人検索（社員でない人を検索する）
define('XBEPOP_R_PERSONAL_NOT_STAFF_SEARCH',        'xbe_search_personal_not_staff.php?action=RequestPopPersonalSearch');       //個人検索（社員でない人を検索する）
define('XBEPOP_R_PERSONAL_NOT_STAFF_PAGING',        'xbe_search_personal_not_staff.php?action=RequestPopPersonalPaging');       //個人検索（社員でない人を検索する）
define('XBEPOP_R_COMPANY',                          'pop_company.php');                                                         //会社検索
define('XBEPOP_R_COMPANY_SEARCH',                   'pop_company.php?action=RequestSearch');                                    //会社検索  検索
define('XBEPOP_R_COMPANY_PAGING',                   'pop_company.php?action=RequestPaging');                                    //会社検索  ページング
define('XBEPOP_R_ITEM',                             'pop_item.php');                                                            //商品検索
define('XBEPOP_R_ITEM_SEARCH',                      'pop_item.php?action=RequestPopupItemSearch');                              //商品検索  検索
define('XBEPOP_R_ITEM_PAGING',                      'pop_item.php?action=RequestPopupItemPager');                               //商品検索  ページング
define('XBEPOP_R_ITEM_INFO',                        'pop_item.php?action=RequestPopupItemInfo');                                //商品検索  商品情報取得
define('XBEPOP_R_PERSONAL',                         'pop_personal.php');                                                        //個人検索
define('XBEPOP_R_PERSONAL_SEARCH',                  'pop_personal.php?action=RequestPopupPersonalSearch');                      //個人検索  検索
define('XBEPOP_R_PERSONAL_PAGING',                  'pop_personal.php?action=RequestPopupPersonalPager');                       //個人検索  ページング
define('XBEPOP_R_PERSONAL_MAIL',                    'pop_personal_mail.php');                                                   //個人メール検索
define('XBEPOP_R_PERSONAL_MAIL_SEARCH',             'pop_personal_mail.php?action=RequestPopupSendMailSearch');                 //個人メール検索  検索
define('XBEPOP_R_PERSONAL_MAIL_PAGING',             'pop_personal_mail.php?action=RequestPopupSendMailPager');                  //個人メール検索  ページング
define('XBEPOP_R_SEIKYU',                           'pop_seikyu.php');                                                          //請求先検索
define('XBEPOP_R_SEIKYU_SEARCH',                    'pop_seikyu.php?action=RequestPopupSeikyuSearch');                          //請求先検索  検索
define('XBEPOP_R_SEIKYU_PAGING',                    'pop_seikyu.php?action=RequestPopupSeikyuPager');                           //請求先検索  ページング
define('XBEPOP_R_SIHARAI',                          'pop_siharai.php');                                                         //支払先検索
define('XBEPOP_R_SIHARAI_SEARCH',                   'pop_siharai.php?action=RequestPopupSiharaiSearch');                        //支払先検索  検索
define('XBEPOP_R_SIHARAI_PAGING',                   'pop_siharai.php?action=RequestPopupSiharaisakiPager');                     //支払先検索  ページング
define('XBEPOP_R_SIIRE',                            'pop_siire.php');                                                           //仕入先検索
define('XBEPOP_R_SIIRE_SEARCH',                     'pop_siire.php?action=RequestPopupSiireSearch');                            //仕入先検索  検索
define('XBEPOP_R_SIIRE_PAGING',                     'pop_siire.php?action=RequestPopupSiirePager');                             //仕入先検索  ページング
define('XBEPOP_R_TANTO',                            'pop_tanto.php');                                                           //担当者検索
define('XBEPOP_R_TANTO_SEARCH',                     'pop_tanto.php?action=RequestPopupTantoSearch');                            //担当者検索  検索
define('XBEPOP_R_TANTO_PAGING',                     'pop_tanto.php?action=RequestPopupTantoPager');                             //担当者検索  ページング
define('XBEPOP_R_TOKUI',                            'pop_tokui.php');                                                           //得意先検索
define('XBEPOP_R_TOKUI_SEARCH',                     'pop_tokui.php?action=RequestPopupTokuiSearch');                            //得意先検索  検索
define('XBEPOP_R_TOKUI_PAGING',                     'pop_tokui.php?action=RequestPopupTokuiPager');                             //得意先検索  ページング

//===============================================================================
// xbe共通ルーティング情報
//===============================================================================
//ログインユーザー情報編集画面
define('XBEUAM_R_MY',                               'uam_my.php');                                                                          //自分のユーザー照会／登録／更新
define('XBEPOP_R_REPORT',                           'pop_report.php');                                                          //帳票
define('XBEUAM_R_LOGON',                            'uam_logon.php');                                                                   //ログオン

//===============================================================================
// xbeWebシステムルーティング情報
//===============================================================================
define('XBEWEB_R_LOGON',          'RequestLogon');          //ログオン処理
define('XBEWEB_R_USERINFO',       'RequestUserInfo');       //ユーザー情報取得処理
define('XBEWEB_R_MENUINFO',       'RequestMenuInfo');       //ユーザーメニュー情報取得処理
define('XBEWEB_R_MENUGADGETINFO', 'RequestMenuGadgetInfo'); //ガジェット情報取得処理






?>
