<?php
//=================================================================================
//アプリケーション設定
//=================================================================================

//-------------------------------------------------------
//基本導入システム
// aurora
// helios_portal
// helios_cotv
// selene_xms
// selene_work
// eg3_bo
//-------------------------------------------------------
define('CORE_BASE_APPLICATION', XBE_PRODUCT_AURORA);

//-------------------------------------------------------
//利用会社を複数使用する
//-------------------------------------------------------
define('CORE_ENABLED_USER_COMPANY', false);
define('CORE_USER_COMPANY_ID', 1);

//-------------------------------------------------------
//CORE
//-------------------------------------------------------
define('CORE_HTTP_HOST', 'http://localhost/');
define('CORE_ALIAS',     'xbe_core');
define('CORE_URL',       CORE_HTTP_HOST . CORE_ALIAS . '/');
define('CORE_LOGON',     CORE_URL . 'logon/logon.php');
define('CORE_LOGOFF',    CORE_URL . 'logon/logon.php?action=RequestLogoff');
define('CORE_MYACCOUNT', CORE_URL . 'logon/account.php');
define('CORE_RELAY_URL', CORE_URL . 'logon/relay.php');

//-------------------------------------------------------
//AURORA
//-------------------------------------------------------
define('CORE_AURORA_ENABLED',        true);
define('CORE_AURORA_PRODUCT',        'Aurora');
define('CORE_AURORA_ALIAS',          'xbe_aurora');
define('CORE_AURORA_URL',            CORE_HTTP_HOST . CORE_AURORA_ALIAS . '/');
define('CORE_AURORA_OLD_ALIAS',      'aurora');
define('CORE_AURORA_OLD_URL',        CORE_HTTP_HOST . CORE_AURORA_OLD_ALIAS . '/');
define('CORE_AURORA_HOME',           CORE_AURORA_URL . 'ess_mitu_list.php');
define('CORE_AURORA_TOP',            CORE_AURORA_URL . 'ess_mitu_list.php');
define('CORE_AURORA_USER_LIST',      CORE_AURORA_URL . 'uam_user_list.php');

//-------------------------------------------------------
//HELIOS Portal
//-------------------------------------------------------
define('CORE_HELIOS_PORTAL_ENABLED', true);
define('CORE_HELIOS_PORTAL_PRODUCT', 'Helios.Portal');
define('CORE_HELIOS_PORTAL_ALIAS',   'xbe_helios');
define('CORE_HELIOS_PORTAL_URL',     CORE_HTTP_HOST . CORE_HELIOS_PORTAL_ALIAS . '/');
define('CORE_HELIOS_PORTAL_HOME',    CORE_HELIOS_PORTAL_URL . 'main.php');
define('CORE_HELIOS_PORTAL_TOP',     CORE_HELIOS_PORTAL_URL . 'main.php');

//-------------------------------------------------------
//HELIOS PetitForm
//-------------------------------------------------------
define('CORE_HELIOS_PETITFORM_ENABLED', true);
define('CORE_HELIOS_PETITFORM_PRODUCT', 'Helios.PetitForm');
define('CORE_HELIOS_PETITFORM_ALIAS',   'helios_petitform');
define('CORE_HELIOS_PETITFORM_URL',     CORE_HTTP_HOST . CORE_HELIOS_PETITFORM_ALIAS . '/');
define('CORE_HELIOS_PETITFORM_HOME',    CORE_HELIOS_PETITFORM_URL . 'request_list.php');
define('CORE_HELIOS_PETITFORM_TOP',     CORE_HELIOS_PETITFORM_URL . 'request_list.php');

//-------------------------------------------------------
//HELIOS Cotv
//-------------------------------------------------------
define('CORE_HELIOS_COTV_ENABLED',   true);
define('CORE_HELIOS_COTV_PRODUCT',   'Helios.CoTV');
define('CORE_HELIOS_COTV_ALIAS',     'xbe_helios_cotv');
define('CORE_HELIOS_COTV_URL',       CORE_HTTP_HOST . CORE_HELIOS_COTV_ALIAS . '/');
define('CORE_HELIOS_COTV_HOME',      CORE_HELIOS_COTV_URL . 'main.php');
define('CORE_HELIOS_COTV_TOP',       CORE_HELIOS_COTV_URL . 'tv_info.php');

//-------------------------------------------------------
//SELENE Xms
//-------------------------------------------------------
define('CORE_SELENE_XMS_ENABLED',    true);
define('CORE_SELENE_XMS_PRODUCT',    'Selene.Xms');
define('CORE_SELENE_XMS_ALIAS',      'xbe_selene_xms');
define('CORE_SELENE_XMS_URL' ,       CORE_HTTP_HOST . CORE_SELENE_XMS_ALIAS . '/');
define('CORE_SELENE_XMS_HOME',       CORE_SELENE_XMS_URL . 'store_list.php');
define('CORE_SELENE_XMS_TOP',        CORE_SELENE_XMS_URL . 'store_list.php');

//-------------------------------------------------------
//SELENE Work
//-------------------------------------------------------
define('CORE_SELENE_WORK_ENABLED',   true);
define('CORE_SELENE_WORK_PRODUCT',   'Selene.Work');
define('CORE_SELENE_WORK_ALIAS',     'xbe_selene_work');
define('CORE_SELENE_WORK_URL',       CORE_HTTP_HOST . CORE_SELENE_WORK_ALIAS . '/');
define('CORE_SELENE_WORK_HOME',      CORE_SELENE_WORK_URL . 'admin/access_info.php');
define('CORE_SELENE_WORK_TOP',       CORE_SELENE_WORK_URL . 'admin/access_info.php');

//-------------------------------------------------------
//EG3-bo
//-------------------------------------------------------
define('CORE_EG3_BO_ENABLED',        true);
define('CORE_EG3_BO_PRODUCT',        'Eg3.BackOffice');
define('CORE_EG3_BO_ALIAS',          'xbe_eg3_bo');
define('CORE_EG3_BO_URL',            CORE_HTTP_HOST . CORE_EG3_BO_ALIAS . '/');
define('CORE_EG3_BO_HOME',           CORE_EG3_BO_URL . 'new_arrival_list.php');
define('CORE_EG3_BO_TOP',            CORE_EG3_BO_URL . 'new_arrival_list.php');

//-------------------------------------------------------
//認証例外ＵＲＬの設定
//-------------------------------------------------------
$global_exclusion_url = array(
    '/' . CORE_ALIAS . '\/logon\/contact\.php/i',       //一般公開Contactは例外
    '/' . CORE_HELIOS_PORTAL_ALIAS . '\/main\.php/i',   //一般公開Portalは例外
    '/' . CORE_HELIOS_COTV_ALIAS . '\/main\.php/i'      //一般公開Cotvは例外
);

