CREATE TABLE tbt_request (
  user_company_id DECIMAL(15) NOT NULL,
  request_id DECIMAL(15) NOT NULL,
  client_kb VARCHAR(32) NULL,
  personal_id DECIMAL(15) NULL,
  tanto_id DECIMAL(15) NULL,
  company_id DECIMAL(15) NULL,
  organization_nm VARCHAR(255) NULL,
  official_nm VARCHAR(255) NULL,
  request TEXT NULL,
  request_date TIMESTAMP NULL,
  answer_status_kb VARCHAR(32) NULL,
  biko TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date TIMESTAMP NULL,
  upd_date TIMESTAMP NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, request_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------
