<?php
/**
 * iFormController class.
 *
 * @author    Liucheng<liucheng@exbridge.jp> 2008/10/15
 * @copyright 2008- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 * @version svn:$Id: iFormController.php 9185 2008-10-22 04:08:56Z shimizu $
 */
class iFormController extends xbeHeliosPetitFormController {

    var $_pw_layout_template = 'interface'; //テンプレート

    //変数定義
    var $_display_name = T_IFORM_INPUT;

    /**
     * 初期処理
     *
     * コントローラー初期処理
     *
     */
    function init() {
        $this->client_kb = '2';

        //session start
        if(session_name() != PW_SESSION_NAME){
            session_name(PW_SESSION_NAME);
        }
        if (!isNULL($this->oid)) {
            session_id($this->oid);
        }
        session_start();
    }

    /**
     * デフォルト呼出
     *
     * お問い合わせ入力表示画面へフォワードする
     *
     */
    function executeDefault() {
        $inputArray = array();
        $inputArray = $this->getSession('_input');
        if(0 != count($inputArray)){
            foreach ($inputArray as $key => $val) {
                $this->$key = $val;
            }
        }
        $this->setSession('_input', null);

        $this->forward('Show');
    }

    /**
     * お問い合わせ入力処理
     *
     * お問い合わせ入力
     *
     */
    function executeRequestInput() {
        $this->setSession('_input', $this->_pw_params);
        $this->redirectToPath(R_IFORM_CONFIRM);
    }

    /**
     * お問い合わせ入力画面呼出
     *
     * お問い合わせ入力画面を表示する
     *
     */
    function executeShow() {
        return $this->render('interface/form');
    }
}
?>
