<?php
/**
 * xbeAuroraCommonService class.
 *
 * @author    S.Tajima <tajima@exbridge.jp> 2007/11/14
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
class xbeAuroraCommonService extends xbpwService {



    /**
     * Returns valueObject instance.
     * @access public
     * @return object
     */
    function getValueObject( $param, $vo_name ) {
        $vo = parent::getValueObject( $param, $vo_name);
        //ユーザー情報を格納  参照　XBE_LIBS_DIR . '/xb.library/xbUserSession.class.php'
        $pwUser = & xbpwContext::getUser();
        $user   = $pwUser->getUserParameter(SESSION_AURORA_USER_MANAGER);
        if(!isNULL($user)){
            $vo->user_company_id          = $user->getUserCompanyId();
            $vo->logon_user_cd            = $user->getUserCd();
            $vo->logon_personal_id        = $user->getPersonalId();
            $vo->logon_staff_cd           = $user->getStaffCd();
            $vo->logon_organization_id    = $user->getOrganizationId();
            $vo->logon_organization       = $user->getOrganization();
            $vo->logon_user_nm            = $user->getUserNm();
            $vo->logon_mail               = $user->getUserMail();
            $vo->logon_auth_group_id      = $user->getUserLv();
            $vo->logon_auth_rank          = $user->getAuthRank();
        }
        return $vo;
    }

    function genarateID( $key = 'default' ){

        $id = null;//最大値格納用変数

        //--------------------------------------------------------------
        //somfaオブジェクト取得
        //--------------------------------------------------------------
        $db = $this->getDatabase();

        $db->begin();

        $sql = "select case when id is null then 1 else id + 1 end as id from tbs_id where name = ? for update";
        $rs = $db->execute($sql, array('name'=>$key));

        //--------------------------------------------------------------
        //最大値取得
        //--------------------------------------------------------------
        foreach($rs as $item ){
            $id = $item['id'];
            break;
        }

        if(isNULL($id)){
            $sql = "insert into tbs_id(name, id) values(?, ?) ";
            $results = $db->execute($sql, array('name'=>$key, 'id'=>1));
        }
        else{
            $sql = "update tbs_id set id = id + 1 where name = ? ";
            $results = $db->execute($sql, array('name'=>$key));
        }

        $sql = "select id from tbs_id where name = ? for update";
        $rs = $db->execute($sql, array('name'=>$key));
        foreach($rs as $item ){
            $id = $item['id'];
            break;
        }

        $db->commit();

        return $id;
    }
}
?>
