<?php
//==================================================================
//データ取得部分
//引数
//$m[id]      : リストボックスＩＤ
//$m[code_kb] : コード区分
//$m[code]    : コード
//$m[null]    : true - 空白有（デフォルト） false - 空白無
//$m[sort]    : ソート順　'ksort' ,'asort'...etc
//$m[type]    : normal（リストボックス） or text（テキスト表示）
//$m[options] : オプション etc: array('onclick'=>"javascript:alert('click')")
//==================================================================
if (!isset($m['null'])){
    $m['null'] = true;
}

$sv = & xbpwContext::getService('mstCode');
$vo = $sv->getValueObject();

$vo->code_kb = $m['code_kb'];
$sv->createCodeList($vo);

$id        = $m['id'];
$code      = $m['code'];
$options   = $m['options'];
$type      = $m['type'];

if(!isNULL($m['sort'])){
    $m['sort']($vo->code_list);
}

if($m['null']) {
    $code_list = array(''=>'') + $vo->code_list;
}
else {
    $code_list = $vo->code_list;
}

//==================================================================
//出力部分
//==================================================================
if($type == 'text'){
    echo $code_list[$code];
}
else{
    echo select_tag($id, options_for_select($code_list, $code), $options);
}
?>
