<?php 
//==================================================================
//データ取得部分
//引数
//$m['year_id'] : リストボックス年ＩＤ
//$m['month_id']: リストボックス月ＩＤ
//$m['day_id']  : リストボックス日ＩＤ
//$m['ymd_id']  : 隠し項目年月日ID
//$m['min_year']  : 最小年
//$m['max_year']  : 最大年
//$m['disabled_year']  : true  false （デフォルト）
//$m['disabled_month'] : true  false （デフォルト）
//$m['disabled_day']   : true  false （デフォルト）
//$m['year'] : 年
//$m['month']: 月
//$m['day']  : 日
//$m['null']    : true - 空白有（デフォルト） false - 空白無
//$m['year_options'] : 年のリストボックスのオプション
//$m['month_options'] : 月のリストボックスのオプション
//$m['day_options'] : 日のリストボックスのオプション
//$m['ymd_options'] : 年月日の隠し項目のオプション
//==================================================================
if (!isset($m['null'])){
    $m['null'] = false;
}
$style_left = $m['style_left'];//表示位置左指定(ピクセル数字のみ)

$year_id        = $m['year_id'];
$month_id       = $m['month_id'];
$day_id         = $m['day_id'];
$ymd_id         = $m['ymd_id'];

$calendar_id    = 'calendar_' . $year_id;

$year       = $m['year'];
$month      = $m['month'];
$day        = $m['day'];
$ymd        = $m['year'] . $m['month'] . $m['day'];
$min_year   = isNULL($m['min_year'])?'2':$m['min_year'];
$max_year   = isNULL($m['max_year'])?'2':$m['max_year'];
$simbiFlag  = $m['simebi'];
if(true != $simbiFlag){
    $simbiFlag = "false";
}
$year_options = $m['year_options'];
if(isNULL($year_options)) $year_options = array();
$month_options = $m['month_options'];
if(isNULL($month_options)) $month_options = array();
$day_options = $m['day_options'];
if(isNULL($day_options)) $day_options = array();
$calendar_options = $m['calendar_options'];
if(isNULL($calendar_options)) $calendar_options = array();
$ymd_options = $m['ymd_options'];
if(isNULL($ymd_options)) $ymd_options = array();

$now_year = date('Y', time());
$now_month = date('m', time());
$now_day = date('d', time());

//開始年が指定されていない場合、現在年-1を開始年とする
$startYear = isNULL($min_year)?$now_year - MIN_DISP_YEAR:$now_year - $min_year;

//終了年が指定されていない場合、現在年+2を終了年とする
$endYear = isNULL($max_year)?$now_year + MAX_DISP_YEAR:$now_year + $max_year;

$disabled_year       = $m['disabled_year'];
$disabled_month      = $m['disabled_month'];
$disabled_day        = $m['disabled_day'];

if( !$m['null'] && isNULL($year)){
    $year = $now_year;
}

//年
if( $disabled_year ){
    echo input_tag( $year_id, $year, array('editable'=>false, 'class'=>'x60'));
    echo CL_YEAR;
}
else{
    echo xb_year_select_tag ( $year_id, $year_options + array( 'class'=>'selectY x60', 'tarMonthObj'=>$month_id, 'disabled'=>$disabled_year), $year, $m['null'], $min_year, $max_year);
    echo CL_YEAR;
}
//月
if( $disabled_month ){
    echo input_tag( $month_id, $month, array('editable'=>false, 'class'=>'x40') );
    echo CL_MONTH;
}
else{
    echo xb_month_select_tag( $month_id, $month_options + array( 'class'=>'selectM2 x40', 'tarDayObj'=>$day_id), $month, $m['null']);
    echo CL_MONTH;
}
//日
if( $dayDisabled ){
    echo input_tag( $day_id, $day, array('editable'=>false, 'class'=>'x40') );
    echo CL_DAY;
}
else{
    echo xb_day_select_tag  ( $day_id, $day_options + array('class'=>'x40'), $day, $m['null'], $simbiFlag);
    echo CL_DAY;

}
//年月日
if (is_numeric($ymd) && strlen($ymd) == 8) {
    echo input_hidden_tag($ymd_id, $ymd, $ymd_options);
}
else {
    echo input_hidden_tag($ymd_id, '', $ymd_options);
}
?>

<?php echo button_tag($calendar_id, '', $calendar_options + array('class'=>'calen'));?>


<script type="text/javascript" charset="utf-8">
j$(function()
{
    // initialise the "Select date" link
    j$('#<?php echo $calendar_id ?>')
        .datePicker(
            // associate the link with a date picker
            {
                createButton:false,
                startDate:'01/01/<?php echo $startYear ?>',
                endDate:'31/12/<?php echo $endYear ?>'
            }
        ).bind(
            // when the link is clicked display the date picker
            'click',
            function()
            {
            
                //選択値設定
                if('' == j$('#<?php echo $year_id ;?>').val()){
                    var d_year = '<?php echo $now_year ;?>';
                }else{
                    var d_year = j$('#<?php echo $year_id ;?>').val();
                }
                if('' == j$('#<?php echo $month_id ;?>').val()){
                    var d_month = '<?php echo $now_month - 1;?>';
                }else{
                    var d_month = j$('#<?php echo $month_id ;?>').val() - 1;
                }
                if('' == j$('#<?php echo $day_id ;?>').val()){
                    var d_day = '<?php echo $now_day ;?>';
                }else{
                    var d_day = j$('#<?php echo $day_id ;?>').val();
                }

                var d = new Date( d_year, d_month, d_day );
                if('' != j$('#<?php echo $year_id ;?>').val() && 
                   '' != j$('#<?php echo $month_id ;?>').val() && 
                   '' != j$('#<?php echo $day_id ;?>').val() ){
                   j$(this).dpSetSelected(d.asString());
                }else{
                    j$(this).dpSetSelected(d.asString(),false,true);
                }
                j$(this).dpDisplay();
                var tmp_left = 0;
                var left = 0;
<?php    if(!isNull($style_left)){ ?>
                tmp_left = j$('#dp-popup').css('left').replace('px','');
                left = tmp_left - <?php echo $style_left ;?>;
                j$('#dp-popup').css('left', left + 'px');
<?php    } ?>
                return false;
            }
        ).bind(
            // when a date is selected update the SELECTs
            'dateSelected',
            function(e, selectedDate, j$td, state)
            {
                updateSelects(selectedDate);
            }
        ).bind(
            'dpClosed',
            function(e, selected)
            {
                updateSelects(selected[0]);
            }
        );

    var updateSelects = function (selectedDate)
    {
        nullchkDT = selectedDate;
        selectedDate = new Date(selectedDate);
        var temp    = new Date();
        var day     = selectedDate.getDate();
        var month   = selectedDate.getMonth() + 1;
        var year    = selectedDate.getFullYear();
        if(nullchkDT > 0){
            j$('#<?php echo $day_id ?>').val(day);
            j$('#<?php echo $month_id ?>').val(month);
            j$('#<?php echo $year_id ?>').val(year);
            j$('#<?php echo $ymd_id ?>').val(year + month + day);
        }

        //日のリストを再作成
        create<?php echo $calendar_id ?>DateListBox();
    }
    //年と月のonChangeイベントで日のリストボックスを再作成
    j$('#<?php echo $year_id ?>, #<?php echo $month_id ?>, #<?php echo $day_id ?>')
        .bind(
            'change',
            function()
            {
                //年に空白を選択したときは、すべてクリア
                if('' == j$('#<?php echo $year_id ;?>').val()){
                    j$('#<?php echo $year_id ;?>').val('');
                    j$('#<?php echo $month_id ;?>').val('');
                    j$('#<?php echo $day_id ;?>').val('');
                    j$('#<?php echo $ymd_id ?>').val('');
                }
                create<?php echo $calendar_id ?>DateListBox();
            }
        );
    // listen for when the selects are changed and update the picker
    j$('#<?php echo $day_id ?>, #<?php echo $month_id ?>, #<?php echo $year_id ?>')
        .bind(
            'change',
            function()
            {
                var d = new Date(
                            j$('#<?php echo $year_id ?>').val(),
                            j$('#<?php echo $month_id ?>').val()-1,
                            j$('#<?php echo $day_id ?>').val()
                        );
                j$('#<?php echo $calendar_id ?>').dpSetSelected(d.asString());
            }
        );

    // default the position of the selects to today
    var today = new Date();
    var year;
    var month;
    var day;

    //日の初期値設定
    if('<?php echo $day ?>' == ''){
        day = today.getDate();
    }else if('<?php echo $day ?>' == 'null'){
        day = '';
    }
    else{
        day = parseInt(<?php echo $day ?>);
    }
    //月の初期値設定
    if('<?php echo $month ?>' == ''){
        month = today.getMonth() + 1;
    }else if('<?php echo $month ?>' == 'null'){
        month = '';
    }
    else{
        month = parseInt(<?php echo $month ?>);
    }
    //年の初期値設定
    if('<?php echo $year ?>' == ''){
        year = today.getFullYear();
    }else if('<?php echo $year ?>' == 'null'){
        year = '';
    }
    else{
        year = parseInt(<?php echo $year ?>);
    }

    j$('#<?php echo $day_id ?>').val(day);
    j$('#<?php echo $month_id ?>').val(month);
    j$('#<?php echo $year_id ?>').val(year);
    j$('#<?php echo $ymd_id ?>').val(year + month + day);

    // and update the datePicker to reflect it...
    j$('#<?php echo $year_id ?>').trigger('change');
});

Date.dayNames = ['日曜日', '月曜日', '火曜日', '水曜日', '木曜日', '金曜日', '土曜日'];
Date.abbrDayNames = ['日', '月', '火', '水', '木', '金', '土'];
Date.monthNames = ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月'];
Date.abbrMonthNames = ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12'];

function create<?php echo $calendar_id ?>DateListBox(){
    var year = j$('#<?php echo $year_id ?>').val();
    var month = j$('#<?php echo $month_id ?>').val();
    //日の値を一時的に保持
    var tmp_day = j$('#<?php echo $day_id ?>').val();

    //日のリストボックスを空にする
    j$('#<?php echo $day_id ?>').empty();

    var date = new Date(year, month, 0);
    dayCnt = date.getDate();
    var option_arr = new Array();
    <?php if($m['null']): ?>
        option_arr[0] = "<option value=''></option>";
    <?php endif;?>
    for(var i=1; i<=dayCnt; i++)
    {
        var day = i;
        if(i<10)
        {
            day = '0'+ i;
        }
        option_arr[i] = "<option value='" + day + "'>" + day + "</option>";
    }

    var simebi = <?php echo $simbiFlag ?>;
    if(true == simebi){
        option_arr[i] = "<option value='" + 99 + "'>" + 99 + "</option>";
    }

    j$('#<?php echo $day_id ?>').append(option_arr.join('\n'));
    j$('#<?php echo $day_id ?>').val(tmp_day);
    j$('#<?php echo $ymd_id ?>').val(year + month + tmp_day);
}
</script>

