/**
 * Project: xbPettiwork: PHP web framework
 * File:    pwlib.js
 *
 * @link http://exbridge.jp/
 * @copyright 2007 Exbridge,Inc.
 * @author S.Tajima
 */

/************************************************************************************
 * prototype.js、jqueryの競合対応
 ************************************************************************************/
var j$ = jQuery.noConflict();

/************************************************************************************
 * ajax request
 * url : リクエスト先URL
 * callback : callback関数
 ************************************************************************************/
function ajax_request(url, callback) {
    j$.post(url,
           j$('input').serialize()+'&'+j$('select').serialize()+'&'+j$('text').serialize()+'&'+j$('textarea').serialize(),
           callback);
}

/************************************************************************************
 * form sender
 ************************************************************************************/
function sendForm(form, action) {
    if(form==''){
        return;
    }
    document.forms[form].method = 'POST';
    document.forms[form].target = '_self';
    if(action!='' || action!=undefined){
        document.forms[form].action = action;
    }
    document.forms[form].submit();
}
