<?php
/**
* j[PKwNX
*
* @package Menu
* @author S.Tajiam  <tajima@exbridge.jp> 2007/04/05
* @since PHP 5.0
*/
class xbMenuType0 extends xbBaseMenu{

    private $userInfo;

    private $topLevelList = array();

    private $middleLevelList = array();

    private $bottomLevelList = array();

    private $cnt = 0;

    public function setUserInfo($userInfo){
        $this->userInfo = $userInfo;
    }

    public function addTopLevelMenu($value){
    	$this->topLevelList[] = $value;
    }

    public function addMeddleLevelMenu($value){
        $this->middleLevelList[] = $value;
    }

    public function addBottomLevelMenu($value){
        $this->bottomLevelList[] = $value;
    }

    /**
     * gbvxj[wb_[o
     */
    private function writeHeaderTopMenu(){
        return "<div id=menu><table width=100% border=0 cellpadding=0 cellspacing=0 class=f12px><tr><td width=102></td><td width=102></td><td width=102></td><td width=102></td><td width=102></td><td width=102></td><td width=102></td><td width=102></td><td width=102></td><td width=102></td><tr>";
    }

    /**
     * gbvxj[tb^[o
     */
    private function writeFooterTopMenu(){
        $this->setCredential(AuthService::ADMIN);
        $credential = $this->isCredential();
        if($credential){
//            $colspan_cnt = 8 - count($this->topLevelList);
            $colspan_cnt = 9 - count($this->topLevelList);
//            $colspan_cnt = 10 - $this->cnt;
        }
        else{
            $colspan_cnt = 9 - count($this->topLevelList);
//            $colspan_cnt = 10 - count($this->topLevelList);
//            $colspan_cnt = 11 - $this->cnt;
        }
        $htmlString = "<td align=right colspan=" . $colspan_cnt . "><div id=userInfo><table width=100%><tr><td align=right nowrap></td></tr></table></div></td>";
        if(!$credential){
            $htmlString .= "<td align=center>" . link_to("<span>Ǘҗp</span>", xbUtil::getRedirectURL("xbrg_uam.php/RequestUserLogonKanri/1")) . "</td>";
        }
        $htmlString .= "<td align=center>" . link_to("<span>OIt</span>", xbUtil::getRedirectURL("xbrg_uam.php/RequestUserLogOff")) . "</td></tr>";
        return $htmlString;
    }

    /**
     * ~hxj[wb_[o
     */
    private function writeHeaderMeddleMenu(){
        return "<tr>";
    }

    /**
     * ~hxj[tb^[o
     */
    private function writeFooterMeddleMenu(){
        $colspan_cnt = 10 - count($this->middleLevelList);
        return "<td colspan=" . $colspan_cnt . " bgcolor=#0080c0>&nbsp;</td></tr>";
    }

    /**
     * {gj[wb_[o
     */
    private function writeHeaderBottomMenu($url){
        return "<tr bgcolor='#a5d8ed'>";
    }

    /**
     * {gj[tb^[o
     */
    private function writeFooterBottomMenu(){
        $colspan_cnt = 10 - count($this->bottomLevelList);
        return "<td colspan=" . $colspan_cnt . ">&nbsp;</td></tr></table></div>";
    }

    /**
     * gbvxj[o
     */
    private function writeTopLevelMenu(){
        $htmlString = '';
        foreach($this->topLevelList as $tmpList){
            $str = $tmpList->write();
            if($str == ''){
                $this->cnt++;
            }
            else{
                $htmlString .= $tmpList->write();
            }
        }
        return $this->writeHeaderTopMenu() . $htmlString . $this->writeFooterTopMenu();
    }

    /**
     * ~hxj[o
     */
    private function writeMeddleLevelMenu(){
        $htmlString = '';
        foreach($this->middleLevelList as $tmpList){
            $htmlString .= $tmpList->write();
        }
        return $this->writeHeaderMeddleMenu() . $htmlString . $this->writeFooterMeddleMenu();
    }

    /**
     * {gxj[o
     */
    private function writeBottomLevelMenu(){
        $htmlString = array();
        $htmlString[] = $this->writeHeaderBottomMenu();
        $i = 0;
        foreach($this->bottomLevelList as $tmpList){
            if( $i > 9 ){
                $htmlString[] = "</TR><TR>";
                $i = 0;
            }
            $str = $tmpList->write();
            //CXg[Ȃ==enableYES O
            if(xbUtil::isNULL($str)){
                continue;
            }
            $htmlString[] = $str;
            $i = $i + 1;
        }
        $htmlString[] = $this->writeFooterBottomMenu();
        return implode("\n", $htmlString);
    }

    /**
     * j[o
     */
    public function make(){
        return $this->writeTopLevelMenu() . $this->writeMeddleLevelMenu() . $this->writeBottomLevelMenu();
    }
}
?>
