<?php
/**
* j[QKwTuNX
*
* @package Menu
* @author Y.Shimizu  <shimizu@exbridge.jp> 2008/01/08
* @since PHP 5.0
*/
class xbBottomLevelMenuType2 extends xbBaseMenu{

    /**
     * {gxj[o
     */
    public function make(){
        $title   = $this->getTitle();
        $baseUrl = $this->getBaseUrl();
        $subBase = $this->getSubBase();
        $uri     = $this->getUri();

        //gp
        if($this->isEnabled()){
            // ꍇ
            if($this->isCredential()){

                $disabled_class = '';
                if($this->getDisabled()) {
                    $disabled_class = ' tabs-disabled ';
                    $onclick = 'JavaScript:';
                    $url = 'Javascript:';
                }
                else {
                    $onclick = 'JavaScript:disabledAll(this);';
                    if (substr($subBase, -4) == '.php') {
                        $url = $baseUrl . $subBase . "/" . $uri;
                    }
                    else {
                        $url = $baseUrl . $uri;
                    }
                }
                return "<li class='".$this->getLinkMenuBarClass() . $disabled_class . "'><a href='" . $url . "' onclick='" . $onclick . "'><span>".$title."</span></a></li>";
            }
        }
    }

    /**
     * ANeBu
     */
    private function getLinkMenuBarClass(){
        return ($this->isUriEnable())?'tabs-selected':'';
    }
}
?>
