<?php
/**
 * xbZlibNX
 *
 * @author   Shiro Tajima <tajima@exbridge.jp>
 * @since    PHP 5.0
 */
require_once('Archive/Zip.php');

class xbZip {

    protected static $instance;

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public static function getInstance() {
        if (!isset(self::$instance)) {
            $class = __CLASS__;
            self::$instance = new $class();
        }
        return self::$instance;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function execute($fileList, $archivePath, $delflg = true) {
        try {
            $archive = addslashes($archivePath);
            $fList;
            if (is_array($fileList)) {
                $fList = array();
                $tempList = array();
                foreach ($fileList as $tempList) {
                    $fList[] = addslashes($tempList);
                    xbLog::logger(xbLog::INFO,__CLASS__,' ZIP-->'.addslashes($tempList));
                }
            }
            else {
                $fList = addslashes($fileList);
                xbLog::logger(xbLog::INFO,__CLASS__,' -->'.$fList);
            }

            $zip = new Archive_Zip($archive, true);
            $zip->create($fList, array("remove_all_path"=>true));

            if ($delflg) {
                if (is_array($fileList)) {
                    $tempList = array();
                    foreach ($fileList as $tempList) {
                        unlink($tempList);
                    }
                }
                else {
                    unlink($fileList);
                }
            }
            return true;
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }
}
?>
