<?php
/**
 * [U[ZbVNX
 *
 * PHP versions 5
 *
 * @package     xbrgLibrary
 * @author
 * @copyright   2006 EXBRIDGE,Inc. All Rights Reserved.
 * @version     SVN : $Id
 * @link        http://exbridge.jp/
 * @see
 */
class xbUserSession {

    const USER_COMPANY_ID = 'sys_00000001';
    const USER_CD         = 'sys_00000002';
    const USER_NM         = 'sys_00000003';
    const AUTH_GROUP_ID   = 'sys_00000004';
    const MAIL            = 'sys_00000005';
    const STAFF_CD        = 'sys_00000006';
    const ORGANIZATION_ID = 'sys_00000007';
    const ORGANIZATION    = 'sys_00000008';
    const PERSONAL_ID     = 'sys_00000009';
    const COMPANY_NM      = 'sys_00000010';
    const ICAL_FILE       = 'sys_00000011';
    const HASH            = 'sys_00000012';
    const AUTH_RANK       = 'sys_00000013';
    const AUTH_FUNCTION_LIST = 'sys_00000014';  //͈͋@\Xg
    const PROJECT_FROM    = 'sys_00000015';

    /**
     * OC
     *
     * @return
     * @access  public
     */
    public function signIn($user) {

        if (isNULL($user->hash)) {
            //nbV̏ꍇ@F؏ݒ
            auroraService::getInstance('AuthService')->setAuthentication($user);
        }

        //[U[擾
        auroraService::getInstance('AuthService')->getAuthenticationUser($user);

        //ZbVۑ
        $_SESSION[self::USER_COMPANY_ID] = $user->getUserCompanyId();
        $_SESSION[self::USER_CD]         = $user->getUserCd();
        $_SESSION[self::USER_NM]         = $user->getUserNm();
        $_SESSION[self::ORGANIZATION_ID] = $user->getUserOrganizationId();
        $_SESSION[self::ORGANIZATION]    = $user->getUserOrganization();
        $_SESSION[self::AUTH_GROUP_ID]   = $user->getAuthGroupId();
        $_SESSION[self::MAIL]            = $user->getMail();
        $_SESSION[self::STAFF_CD]        = $user->getStaffCd();
        $_SESSION[self::PERSONAL_ID]     = $user->getPersonalId();
        $_SESSION[self::COMPANY_NM]      = $user->getCompanyNm();
        $_SESSION[self::ICAL_FILE]       = $user->getIcalFile();
        $_SESSION[self::HASH]            = $user->getHash();
        $_SESSION[self::AUTH_RANK]       = $user->getAuthRank();
        $_SESSION[self::AUTH_FUNCTION_LIST] = $user->getAuthFunctionList();
        //OVXe痘p
        $_SESSION[self::PROJECT_FROM]    = $user->getProjectFrom();

        //OCbZ[W
        xbLog::logger(xbLog::DEBUG, __CLASS__, '[UserLogon]UserCd:'.$user->getUserCd());
    }

    /**
     * OAEg
     *
     * @return
     * @access  public
     */
    public function signOut() {

        require_once(XBE_LIBS_DIR . '/xb.views/xbrg_uam/UserLogonView.class.php');
        $logonView = UserLogonView::getInstance();
        $logonView->setUserCompanyId($_SESSION[self::USER_COMPANY_ID]);
        $logonView->setUserCd($_SESSION[self::USER_CD]);
        $logonView = auroraService::getInstance('AuthService')->deleteAuthentication($logonView);

        $userCd = $_SESSION[self::USER_CD];

        //ZbVۑ
        unset($_SESSION[self::USER_COMPANY_ID]);
        unset($_SESSION[self::USER_CD]);
        unset($_SESSION[self::USER_NM]);
        unset($_SESSION[self::AUTH_GROUP_ID]);
        unset($_SESSION[self::MAIL]);
        unset($_SESSION[self::STAFF_CD]);
        unset($_SESSION[self::ORGANIZATION_ID]);
        unset($_SESSION[self::ORGANIZATION]);
        unset($_SESSION[self::PERSONAL_ID]);
        unset($_SESSION[self::COMPANY_NM]);
        unset($_SESSION[self::ICAL_FILE]);
        unset($_SESSION[self::HASH]);
        unset($_SESSION[self::AUTH_RANK]);
        unset($_SESSION[self::AUTH_FUNCTION_LIST]);
        unset($_SESSION[self::PROJECT_FROM]);

        //if( $this->isAuthenticated() ){
            //Гt@C֗p؂t@C폜gK[
            //$view = xbCommonView :: getInstance();
            //$view->setUserCompanyId($authManager->getUserCompanyId());
            //dmbService :: getInstance('FileDeliveryService')->deleteTemporaryFiles($view);
        //}

        session_unset();

        //OAEgbZ[W
        xbLog::logger(xbLog::DEBUG, __CLASS__, '[UserLogout]UserCd:'.$userCd);
    }

    public function isAuthenticated($userCd=null, $hash=null) {

        if (xbUtil::isNULL($_SESSION[self::USER_CD])) {
            if(is_null($userCd) || is_null($hash)) {
                return false;
            }
            $userCompanyId = USER_COMPANY_ID;
        }
        else {
            return true;
            //$userCompanyId = $_SESSION[self::USER_COMPANY_ID];
            //$userCd        = $_SESSION[self::USER_CD];
            //$hash          = $_SESSION[self::HASH];
        }

        $user = UserView::getInstance();
        $user->setUserCompanyId($userCompanyId);
        $user->setUserCd($userCd);
        $user->setHash($hash);
        if (auroraService::getInstance('AuthService')->isAuthentication($user)) {
            if (!isset($_SESSION[self::USER_CD])) {
                //[U[擾
                auroraService::getInstance('AuthService')->getAuthenticationUser($user);
                //ZbVۑ
                $_SESSION[self::USER_COMPANY_ID] = $user->getUserCompanyId();
                $_SESSION[self::USER_CD]         = $user->getUserCd();
                $_SESSION[self::USER_NM]         = $user->getUserNm();
                $_SESSION[self::ORGANIZATION_ID] = $user->getUserOrganizationId();
                $_SESSION[self::ORGANIZATION]    = $user->getUserOrganization();
                $_SESSION[self::AUTH_GROUP_ID]   = $user->getAuthGroupId();
                $_SESSION[self::MAIL]            = $user->getMail();
                $_SESSION[self::STAFF_CD]        = $user->getStaffCd();
                $_SESSION[self::PERSONAL_ID]     = $user->getPersonalId();
                $_SESSION[self::COMPANY_NM]      = $user->getCompanyNm();
                $_SESSION[self::ICAL_FILE]       = $user->getIcalFile();
                $_SESSION[self::HASH]            = $user->getHash();
                $_SESSION[self::AUTH_RANK]       = $user->getAuthRank();
                $_SESSION[self::AUTH_FUNCTION_LIST] = $user->getAuthFunctionList();
            }
            return true;
        }
        return false;
    }

    /**
     * Ǘ
     *
     * @return
     * @access  public
     */
    public function isCredential($function_cd) {
        if (xbUtil::isNULL($_SESSION[self::USER_CD])) {
            return false;
        }
        //OI[U[͈̌͋@\Xg擾
        $auth_function_list = $this->getAuthFunctionList();

        return (isset($auth_function_list[$function_cd]))?true:false;
    }

    public function getUserCompanyId() {
        return $_SESSION[self::USER_COMPANY_ID];
    }

    public function getUserCd() {
        return $_SESSION[self::USER_CD];
    }

    public function getUserLv() {
        return $_SESSION[self::AUTH_GROUP_ID];
    }

    public function getUserMail() {
        return $_SESSION[self::MAIL];
    }

    public function getUserNm() {
        $userNm = $_SESSION[self::USER_NM];
        if ($userNm=='') {
            $userNm = $_SESSION[self::STAFF_CD];
            if ($userNm=='') {
                $userNm = $_SESSION[self::USER_CD];
            }
        }
        return $userNm;
    }

    public function getStaffCd() {
        return $_SESSION[self::STAFF_CD];
    }

    public function getCompanyNm() {
        return $_SESSION[self::COMPANY_NM];
    }

    public function getOrganization() {
        return $_SESSION[self::ORGANIZATION];
    }

    public function getOrganizationId() {
        return $_SESSION[self::ORGANIZATION_ID];
    }

    public function getPersonalId() {
        return $_SESSION[self::PERSONAL_ID];
    }

    public function getIcalFile() {
        return $_SESSION[self::ICAL_FILE];
    }

    public function getHash() {
        return $_SESSION[self::HASH];
    }

    public function getAuthRank() {
        return $_SESSION[self::AUTH_RANK];
    }

    public function getAuthFunctionList() {
        return $_SESSION[self::AUTH_FUNCTION_LIST];
    }

    public function getProjectFrom() {
        return $_SESSION[self::PROJECT_FROM];
    }

}
?>
