<?php
/**
 * xbeGadget XMLNX
 *
 * @author      Shiro Tajima<tajima@exbridge.jp> 2007N0905
 *              Shiro Tajima<tajima@exbridge.jp> 2007N1105 xbepɈڍs
 * @copyright   2006 EXBRIDGE,Inc. All Rights Reserved.
 */
require_once(XBE_LIBS_DIR . '/xb.library/xml/baseXMLparser.class.php');

class xbGadget extends baseXMLparser {

    /** create instance */
    function getInstance() {
        $class = __CLASS__;
        return new $class();
    }

    /** construct */
    function __construct() {
        $this->_xml_file = include(XBE_LIBS_DIR . '/xb.library/xml/xbGadget.xml.php');
        parent::baseXMLparser();
    }

    /** title */
    function setTitle($value) {
        $path = '/Module/ModulePrefs';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/Module';
            $node = $this->addElement($path, 'ModulePrefs', '');
        }
        else {
            $this->setValue($node, '', self::NODE);
        }
        $this->setAttribute($node, 'title', $value, self::NODE);
        xbLog::logger(xbLog::DEBUG, __CLASS__, 'setTitle:' . $value);
    }

    /** contents */
    function setContents( $value ){
        $path = '/Module/Content';
        $node = $this->xpathExecute($path);
        if(is_null($node)){
            $path = '/Module';
            $node = $this->addElement($path, 'Content', $value);
        }
        else{
            $this->setValue($node, $value, self::NODE);
        }
        $this->setAttribute($node, 'type', 'html', self::NODE);
        xbLog::logger(xbLog::DEBUG, __CLASS__, 'setContents:' . $value);
    }
}
?>
